#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigDialog
      switch(to) {
        case 4: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KMimeType
      switch(to) {
        case 7: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 8:   //KSharedConfig
      switch(to) {
        case 8: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 9:   //KStandardDirs
      switch(to) {
        case 9: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 10:   //KUrl
      switch(to) {
        case 10: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 11:   //KXMLGUIClient
      switch(to) {
        case 11: return (void*)(KXMLGUIClient*)xptr;
        case 46: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Action
      switch(to) {
        case 12: return (void*)(Okular::Action*)xptr;
        case 64: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 22: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 26: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 32: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 62: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 45: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::ActionPrivate
      switch(to) {
        case 13: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::Annotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)xptr;
        case 69: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 47: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 68: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 49: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 65: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 34: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 50: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 44: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 23: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::Annotation::Revision
      switch(to) {
        case 15: return (void*)(Okular::Annotation::Revision*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::Annotation::Style
      switch(to) {
        case 16: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::Annotation::Window
      switch(to) {
        case 17: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::AnnotationObjectRect
      switch(to) {
        case 54: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 18: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::AnnotationPrivate
      switch(to) {
        case 19: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::AnnotationUtils
      switch(to) {
        case 20: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::BookmarkManager
      switch(to) {
        case 21: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::BrowseAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 22: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::CaretAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 23: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::ConfigInterface
      switch(to) {
        case 24: return (void*)(Okular::ConfigInterface*)xptr;
        case 71: return (void*)(Okular::TextDocumentGenerator*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::Document
      switch(to) {
        case 95: return (void*)(QObject*)(Okular::Document*)xptr;
        case 25: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 26: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::DocumentInfo
      switch(to) {
        case 86: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 88: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 27: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::DocumentObserver
      switch(to) {
        case 28: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::DocumentSynopsis
      switch(to) {
        case 86: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 88: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 29: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::DocumentViewport
      switch(to) {
        case 30: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::EmbeddedFile
      switch(to) {
        case 31: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::ExecuteAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 32: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::ExportFormat
      switch(to) {
        case 33: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 34: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FilePrinter
      switch(to) {
        case 35: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FontInfo
      switch(to) {
        case 36: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormField
      switch(to) {
        case 37: return (void*)(Okular::FormField*)xptr;
        case 38: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 41: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 39: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::FormFieldButton
      switch(to) {
        case 37: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 38: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::FormFieldChoice
      switch(to) {
        case 37: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 39: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::FormFieldPrivate
      switch(to) {
        case 40: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::FormFieldText
      switch(to) {
        case 37: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 41: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::Generator
      switch(to) {
        case 95: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 42: return (void*)(Okular::Generator*)xptr;
        case 71: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::GeneratorPrivate
      switch(to) {
        case 43: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::GeomAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 44: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::GotoAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 45: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::GuiInterface
      switch(to) {
        case 11: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 46: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::HighlightAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 47: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::HighlightAnnotation::Quad
      switch(to) {
        case 48: return (void*)(Okular::HighlightAnnotation::Quad*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::InkAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 49: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::LineAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 50: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::MovieAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::MovieAction*)xptr;
        case 51: return (void*)(Okular::MovieAction*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::NormalizedPoint
      switch(to) {
        case 52: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::NormalizedRect
      switch(to) {
        case 53: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::ObjectRect
      switch(to) {
        case 54: return (void*)(Okular::ObjectRect*)xptr;
        case 66: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 18: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::Page
      switch(to) {
        case 55: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::PageSize
      switch(to) {
        case 56: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::PageTransition
      switch(to) {
        case 57: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::PixmapRequest
      switch(to) {
        case 58: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::PrintInterface
      switch(to) {
        case 59: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::RegularAreaRect
      switch(to) {
        case 60: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::RenditionAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::RenditionAction*)xptr;
        case 61: return (void*)(Okular::RenditionAction*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::ScriptAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 62: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::Sound
      switch(to) {
        case 63: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::SoundAction
      switch(to) {
        case 12: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 64: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::SoundAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 65: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::SourceRefObjectRect
      switch(to) {
        case 54: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 66: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::SourceReference
      switch(to) {
        case 67: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::StampAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 68: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::TextAnnotation
      switch(to) {
        case 14: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 69: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::TextDocumentConverter
      switch(to) {
        case 95: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 70: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::TextDocumentGenerator
      switch(to) {
        case 42: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 95: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 24: return (void*)(Okular::ConfigInterface*)(Okular::TextDocumentGenerator*)xptr;
        case 71: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 72:   //Okular::TextDocumentSettings
      switch(to) {
        case 72: return (void*)(Okular::TextDocumentSettings*)xptr;
        default: return xptr;
      }
    case 73:   //Okular::TextEntity
      switch(to) {
        case 73: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 74:   //Okular::TextPage
      switch(to) {
        case 74: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 75:   //Okular::TextSelection
      switch(to) {
        case 75: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 76:   //Okular::Tile
      switch(to) {
        case 76: return (void*)(Okular::Tile*)xptr;
        default: return xptr;
      }
    case 77:   //Okular::Utils
      switch(to) {
        case 77: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 78:   //Okular::View
      switch(to) {
        case 78: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 79:   //Okular::VisiblePageRect
      switch(to) {
        case 79: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 80:   //QAction
      switch(to) {
        case 80: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 81:   //QBool
      switch(to) {
        case 81: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 82:   //QByteArray
      switch(to) {
        case 82: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 83:   //QChildEvent
      switch(to) {
        case 83: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QColor
      switch(to) {
        case 84: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 85:   //QDateTime
      switch(to) {
        case 85: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 86:   //QDomDocument
      switch(to) {
        case 88: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 86: return (void*)(QDomDocument*)xptr;
        case 27: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 29: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 87:   //QDomElement
      switch(to) {
        case 88: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 87: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 88:   //QDomNode
      switch(to) {
        case 88: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 29: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 89:   //QEvent
      switch(to) {
        case 89: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QFont
      switch(to) {
        case 90: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 92:   //QImage
      switch(to) {
        case 92: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 93:   //QMetaObject
      switch(to) {
        case 93: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 94:   //QMutex
      switch(to) {
        case 94: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 95:   //QObject
      switch(to) {
        case 95: return (void*)(QObject*)xptr;
        case 42: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 25: return (void*)(Okular::Document*)(QObject*)xptr;
        case 71: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 70: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 96:   //QPainterPath
      switch(to) {
        case 96: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 97:   //QPixmap
      switch(to) {
        case 97: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 98:   //QPolygonF
      switch(to) {
        case 98: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 99:   //QPrinter
      switch(to) {
        case 99: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 100:   //QRect
      switch(to) {
        case 100: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 101:   //QRectF
      switch(to) {
        case 101: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 102:   //QRegExp
      switch(to) {
        case 102: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 103:   //QSize
      switch(to) {
        case 103: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 104:   //QSizeF
      switch(to) {
        case 104: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 105:   //QTextBlock
      switch(to) {
        case 105: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 106:   //QTextDocument
      switch(to) {
        case 106: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 107:   //QTimerEvent
      switch(to) {
        case 107: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 108:   //QTransform
      switch(to) {
        case 108: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 109:   //QVariant
      switch(to) {
        case 109: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 110:   //QWidget
      switch(to) {
        case 95: return (void*)(QObject*)(QWidget*)xptr;
        case 110: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    54, 0,	// 1: Okular::ObjectRect
    12, 0,	// 3: Okular::Action
    14, 0,	// 5: Okular::Annotation
    95, 0,	// 7: QObject
    86, 0,	// 9: QDomDocument
    37, 0,	// 11: Okular::FormField
    11, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    42, 24, 0,	// 17: Okular::Generator, Okular::ConfigInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PixmapRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Tile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//7
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//8
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//9
    { "KUrl", true, 0, 0, 0, 0, 0 },	//10
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//12
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//14
    { "Okular::Annotation::Revision", true, 0, 0, 0, 0, 0 },	//15
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//16
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//17
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//18
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//20
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//21
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//22
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//23
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//24
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//25
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//26
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//27
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//28
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//29
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//30
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//31
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//32
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//33
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//34
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//35
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//36
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//37
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//38
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//39
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//40
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//41
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//42
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//43
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//44
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//45
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//46
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//47
    { "Okular::HighlightAnnotation::Quad", true, 0, 0, 0, 0, 0 },	//48
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//49
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//50
    { "Okular::MovieAction", true, 0, 0, 0, 0, 0 },	//51
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//52
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//53
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//54
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//55
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//56
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//57
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, xenum_Okular__PixmapRequest, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//58
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//59
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//60
    { "Okular::RenditionAction", true, 0, 0, 0, 0, 0 },	//61
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//62
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//63
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//64
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//65
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//66
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//67
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//68
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//69
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//70
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//71
    { "Okular::TextDocumentSettings", true, 0, 0, 0, 0, 0 },	//72
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//73
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//74
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//75
    { "Okular::Tile", false, 0, xcall_Okular__Tile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Tile) },	//76
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//77
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//78
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//79
    { "QAction", true, 0, 0, 0, 0, 0 },	//80
    { "QBool", true, 0, 0, 0, 0, 0 },	//81
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//82
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QColor", true, 0, 0, 0, 0, 0 },	//84
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//85
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//86
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//87
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//88
    { "QEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QFont", true, 0, 0, 0, 0, 0 },	//90
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//91
    { "QImage", true, 0, 0, 0, 0, 0 },	//92
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//93
    { "QMutex", true, 0, 0, 0, 0, 0 },	//94
    { "QObject", true, 0, 0, 0, 0, 0 },	//95
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//96
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//97
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//98
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//99
    { "QRect", true, 0, 0, 0, 0, 0 },	//100
    { "QRectF", true, 0, 0, 0, 0, 0 },	//101
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//102
    { "QSize", true, 0, 0, 0, 0, 0 },	//103
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//104
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//105
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//106
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//107
    { "QTransform", true, 0, 0, 0, 0, 0 },	//108
    { "QVariant", true, 0, 0, 0, 0, 0 },	//109
    { "QWidget", true, 0, 0, 0, 0, 0 },	//110
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfigDialog*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KMimeType", 7, Smoke::t_class|Smoke::tf_stack },	//8
    { "KSharedConfig", 8, Smoke::t_class|Smoke::tf_stack },	//9
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "KStandardDirs*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KSycocaFactoryId", 91, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KSycocaType", 91, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KUrl", 10, Smoke::t_class|Smoke::tf_stack },	//15
    { "KXMLGUIClient*", 11, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KXMLGUIClient::ReverseStateChange", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Okular::Action*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Okular::Action::ActionType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Okular::ActionPrivate&", 13, Smoke::t_class|Smoke::tf_ref },	//20
    { "Okular::ActionPrivate*", 13, Smoke::t_class|Smoke::tf_ptr },	//21
    { "Okular::Annotation*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Okular::Annotation::AdditionalActionType", 14, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::Flag", 14, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::LineEffect", 14, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Okular::Annotation::LineStyle", 14, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Okular::Annotation::Revision", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "Okular::Annotation::RevisionScope", 14, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Okular::Annotation::RevisionType", 14, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Okular::Annotation::Style&", 16, Smoke::t_class|Smoke::tf_ref },	//30
    { "Okular::Annotation::SubType", 14, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Okular::Annotation::Window&", 17, Smoke::t_class|Smoke::tf_ref },	//32
    { "Okular::AnnotationObjectRect*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::AnnotationPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//34
    { "Okular::AnnotationPrivate*", 19, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Okular::AnnotationUtils*", 20, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Okular::BookmarkManager*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::BrowseAction*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Okular::CaretAnnotation*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Okular::CaretAnnotation::CaretSymbol", 23, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::ConfigInterface*", 24, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Okular::Document*", 25, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Okular::Document::PixmapRequestFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Okular::Document::PrintingType", 25, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Okular::Document::SaveCapability", 25, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Okular::Document::SearchStatus", 25, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Okular::Document::SearchType", 25, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Okular::DocumentAction*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentAction::DocumentActionType", 26, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Okular::DocumentInfo*", 27, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Okular::DocumentInfo::Key", 27, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Okular::DocumentObserver*", 28, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Okular::DocumentSynopsis*", 29, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::DocumentViewport", 30, Smoke::t_class|Smoke::tf_stack },	//54
    { "Okular::DocumentViewport*", 30, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Okular::DocumentViewport::Position", 30, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Okular::EmbeddedFile*", 31, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Okular::ExecuteAction*", 32, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Okular::ExportFormat", 33, Smoke::t_class|Smoke::tf_stack },	//59
    { "Okular::ExportFormat&", 33, Smoke::t_class|Smoke::tf_ref },	//60
    { "Okular::ExportFormat*", 33, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Okular::ExportFormat::StandardExportFormat", 33, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Okular::FileAttachmentAnnotation*", 34, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Okular::FilePrinter*", 35, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Okular::FilePrinter::FileDeletePolicy", 35, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Okular::FilePrinter::PageSelectPolicy", 35, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Okular::FontInfo", 36, Smoke::t_class|Smoke::tf_stack },	//67
    { "Okular::FontInfo&", 36, Smoke::t_class|Smoke::tf_ref },	//68
    { "Okular::FontInfo*", 36, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Okular::FontInfo::EmbedType", 36, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Okular::FontInfo::FontType", 36, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormField*", 37, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Okular::FormField::FieldType", 37, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Okular::FormFieldButton*", 38, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldButton::ButtonType", 38, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Okular::FormFieldChoice*", 39, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Okular::FormFieldChoice::ChoiceType", 39, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Okular::FormFieldPrivate&", 40, Smoke::t_class|Smoke::tf_ref },	//78
    { "Okular::FormFieldPrivate*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Okular::FormFieldText*", 41, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Okular::FormFieldText::TextType", 41, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Okular::Generator*", 42, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Okular::Generator::GeneratorFeature", 42, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Okular::Generator::PageSizeMetric", 42, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Okular::Generator::PrintError", 42, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Okular::GeneratorPrivate&", 43, Smoke::t_class|Smoke::tf_ref },	//87
    { "Okular::GeneratorPrivate*", 43, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Okular::GeomAnnotation*", 44, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::GeomAnnotation::GeomType", 44, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Okular::GotoAction*", 45, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Okular::GuiInterface*", 46, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Okular::HighlightAnnotation*", 47, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Okular::HighlightAnnotation::HighlightType", 47, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Okular::HighlightAnnotation::Quad", 48, Smoke::t_class|Smoke::tf_stack },	//95
    { "Okular::InkAnnotation*", 49, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Okular::LineAnnotation*", 50, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Okular::LineAnnotation::LineIntent", 50, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Okular::LineAnnotation::TermStyle", 50, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Okular::NormalizedPoint", 52, Smoke::t_class|Smoke::tf_stack },	//101
    { "Okular::NormalizedPoint&", 52, Smoke::t_class|Smoke::tf_ref },	//102
    { "Okular::NormalizedPoint*", 52, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Okular::NormalizedRect", 53, Smoke::t_class|Smoke::tf_stack },	//104
    { "Okular::NormalizedRect&", 53, Smoke::t_class|Smoke::tf_ref },	//105
    { "Okular::NormalizedRect*", 53, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Okular::ObjectRect*", 54, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Okular::ObjectRect::ObjectType", 54, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Okular::Page*", 55, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Okular::Page::PageAction", 55, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Okular::PageSize", 56, Smoke::t_class|Smoke::tf_stack },	//111
    { "Okular::PageSize&", 56, Smoke::t_class|Smoke::tf_ref },	//112
    { "Okular::PageSize*", 56, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Okular::PageTransition&", 57, Smoke::t_class|Smoke::tf_ref },	//114
    { "Okular::PageTransition*", 57, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::PageTransition::Alignment", 57, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::PageTransition::Direction", 57, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Okular::PageTransition::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::PixmapRequest*", 58, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::PixmapRequest::PixmapRequestFeature", 58, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::PrintInterface*", 59, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Okular::RegularAreaRect&", 60, Smoke::t_class|Smoke::tf_ref },	//123
    { "Okular::RegularAreaRect*", 60, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Okular::ScriptAction*", 62, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Okular::Sound*", 63, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Okular::Sound::SoundEncoding", 63, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Okular::Sound::SoundType", 63, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Okular::SoundAction*", 64, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::SoundAnnotation*", 65, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::SourceRefObjectRect*", 66, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::SourceReference*", 67, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Okular::StampAnnotation*", 68, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::TextAnnotation*", 69, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::TextAnnotation::InplaceIntent", 69, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Okular::TextAnnotation::TextType", 69, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Okular::TextDocumentConverter*", 70, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Okular::TextDocumentGenerator*", 71, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Okular::TextDocumentSettings*", 72, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Okular::TextEntity*", 73, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Okular::TextPage*", 74, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Okular::TextPage::TextAreaInclusionBehaviour", 74, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Okular::TextSelection*", 75, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Okular::Tile", 76, Smoke::t_class|Smoke::tf_stack },	//147
    { "Okular::Tile&", 76, Smoke::t_class|Smoke::tf_ref },	//148
    { "Okular::Tile*", 76, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Okular::Utils*", 77, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Okular::View*", 78, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Okular::VisiblePageRect*", 79, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QAction*", 80, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QBool", 81, Smoke::t_class|Smoke::tf_stack },	//154
    { "QByteArray", 82, Smoke::t_class|Smoke::tf_stack },	//155
    { "QByteArray*", 82, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QChildEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QColor", 84, Smoke::t_class|Smoke::tf_stack },	//158
    { "QDateTime", 85, Smoke::t_class|Smoke::tf_stack },	//159
    { "QDomDocument", 86, Smoke::t_class|Smoke::tf_stack },	//160
    { "QDomDocument&", 86, Smoke::t_class|Smoke::tf_ref },	//161
    { "QDomElement", 87, Smoke::t_class|Smoke::tf_stack },	//162
    { "QDomElement&", 87, Smoke::t_class|Smoke::tf_ref },	//163
    { "QDomNode", 88, Smoke::t_class|Smoke::tf_stack },	//164
    { "QDomNode&", 88, Smoke::t_class|Smoke::tf_ref },	//165
    { "QEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QFlags<Okular::PixmapRequest::PixmapRequestFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//168
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//169
    { "QFont", 90, Smoke::t_class|Smoke::tf_stack },	//170
    { "QImage", 92, Smoke::t_class|Smoke::tf_stack },	//171
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//173
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QLinkedList<const Okular::ObjectRect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "QList<Okular::FormFieldButton*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//180
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "QList<Okular::TextEntity*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "QList<Okular::Tile>", 0, Smoke::t_voidp|Smoke::tf_stack },	//183
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//185
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//186
    { "QMetaObject::Call", 93, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QMutex*", 94, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QObject*", 95, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QPainterPath&", 96, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPixmap*", 97, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QPrinter&", 99, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPrinter::Orientation", 99, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QRect", 100, Smoke::t_class|Smoke::tf_stack },	//194
    { "QRegExp&", 102, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSize", 103, Smoke::t_class|Smoke::tf_stack },	//196
    { "QSizeF", 104, Smoke::t_class|Smoke::tf_stack },	//197
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//198
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//199
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//200
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
    { "QTextBlock", 105, Smoke::t_class|Smoke::tf_stack },	//202
    { "QTextDocument*", 106, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QTimerEvent*", 107, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QVariant", 109, Smoke::t_class|Smoke::tf_stack },	//205
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//206
    { "QWidget*", 110, Smoke::t_class|Smoke::tf_ptr },	//207
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "_LIB_VERSION_TYPE", 91, Smoke::t_enum|Smoke::tf_stack },	//280
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//281
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//282
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KComponentData*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const KIcon&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const KUrl&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Okular::Action*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const Okular::ActionPrivate*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const Okular::Annotation*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const Okular::Annotation::Style&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const Okular::Annotation::Window&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const Okular::AnnotationObjectRect&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::AnnotationPrivate*", 19, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "const Okular::AnnotationUtils&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const Okular::ConfigInterface&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::Document*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::DocumentInfo&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::DocumentInfo*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const Okular::DocumentSynopsis&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::DocumentSynopsis*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//301
    { "const Okular::DocumentViewport&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::EmbeddedFile&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const Okular::ExportFormat&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const Okular::FilePrinter&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const Okular::FontInfo&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const Okular::FormFieldPrivate*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//307
    { "const Okular::GeneratorPrivate*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const Okular::GuiInterface&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const Okular::MovieAction*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//310
    { "const Okular::NormalizedPoint&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const Okular::NormalizedRect&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const Okular::NormalizedRect*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const Okular::ObjectRect&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const Okular::ObjectRect*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//315
    { "const Okular::Page*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//316
    { "const Okular::PageSize&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const Okular::PageTransition&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const Okular::PageTransition*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "const Okular::PrintInterface&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const Okular::RegularAreaRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const Okular::RegularAreaRect*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//322
    { "const Okular::RenditionAction*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const Okular::SourceRefObjectRect&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const Okular::SourceReference*", 67, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//325
    { "const Okular::Tile&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const Okular::Utils&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const Okular::VisiblePageRect&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QByteArray&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QColor&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QDateTime&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QDomDocument&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QDomElement&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QDomNode&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QFont&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QImage*", 92, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//336
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//344
    { "const QList<Okular::FormFieldButton*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QMetaObject&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QMetaObject*", 93, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//352
    { "const QObject*", 95, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//353
    { "const QPainterPath&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QPolygonF&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QRect&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QRectF&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QRegExp&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//359
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//361
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//362
    { "const QTextBlock&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QTransform&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QVariant&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//368
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//369
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//370
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//371
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//372
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//373
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//375
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//376
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    333, 0,	//1  const QDomElement&
    283, 0,	//3  const KComponentData&
    360, 281, 281, 0,	//5  const QString&, bool, bool
    360, 0,	//9  const QString&
    360, 281, 0,	//11  const QString&, bool
    332, 281, 0,	//14  const QDomDocument&, bool
    360, 17, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    371, 374, 0,	//20  int, void*
    365, 0,	//23  const QVariant&
    20, 0,	//25  Okular::ActionPrivate&
    331, 0,	//27  const QDateTime&
    371, 0,	//29  int
    312, 0,	//31  const Okular::NormalizedRect&
    311, 0,	//33  const Okular::NormalizedPoint&
    373, 0,	//35  void(*)(const Okular::Annotation*)
    165, 161, 0,	//37  QDomNode&, QDomDocument&
    334, 0,	//40  const QDomNode&
    34, 0,	//42  Okular::AnnotationPrivate&
    34, 334, 0,	//44  Okular::AnnotationPrivate&, const QDomNode&
    22, 0,	//47  Okular::Annotation*
    369, 369, 0,	//49  double, double
    369, 369, 369, 369, 0,	//52  double, double, double, double
    364, 0,	//57  const QTransform&
    293, 0,	//59  const Okular::AnnotationObjectRect&
    290, 163, 161, 0,	//61  const Okular::Annotation*, QDomElement&, QDomDocument&
    334, 360, 0,	//65  const QDomNode&, const QString&
    290, 369, 369, 0,	//68  const Okular::Annotation*, double, double
    295, 0,	//72  const Okular::AnnotationUtils&
    40, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    4, 0,	//76  KConfigDialog*
    296, 0,	//78  const Okular::ConfigInterface&
    367, 0,	//80  const char*
    367, 367, 0,	//82  const char*, const char*
    367, 367, 371, 0,	//85  const char*, const char*, int
    187, 371, 375, 0,	//89  QMetaObject::Call, int, void**
    207, 0,	//93  QWidget*
    360, 287, 286, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    52, 0,	//99  Okular::DocumentObserver*
    366, 52, 0,	//101  const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*
    119, 0,	//104  Okular::Permission
    360, 304, 0,	//106  const QString&, const Okular::ExportFormat&
    360, 365, 0,	//109  const QString&, const QVariant&
    371, 52, 281, 0,	//112  int, Okular::DocumentObserver*, bool
    302, 52, 281, 0,	//116  const Okular::DocumentViewport&, Okular::DocumentObserver*, bool
    302, 0,	//120  const Okular::DocumentViewport&
    371, 52, 0,	//122  int, Okular::DocumentObserver*
    341, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    341, 167, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    372, 0,	//130  unsigned int
    371, 22, 0,	//132  int, Okular::Annotation*
    290, 0,	//135  const Okular::Annotation*
    371, 22, 311, 0,	//137  int, Okular::Annotation*, const Okular::NormalizedPoint&
    371, 22, 360, 371, 371, 371, 0,	//141  int, Okular::Annotation*, const QString&, int, int, int
    371, 343, 0,	//148  int, const QList<Okular::Annotation*>&
    371, 124, 330, 0,	//151  int, Okular::RegularAreaRect*, const QColor&
    371, 360, 281, 217, 47, 281, 330, 281, 0,	//155  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    371, 47, 0,	//164  int, Okular::Document::SearchType
    288, 0,	//167  const Okular::Action*
    325, 0,	//169  const Okular::SourceReference*
    192, 0,	//171  QPrinter&
    45, 0,	//173  Okular::Document::SaveCapability
    360, 199, 0,	//175  const QString&, QString*
    151, 0,	//178  Okular::View*
    306, 0,	//180  const Okular::FontInfo&
    360, 287, 0,	//182  const QString&, const KUrl&
    371, 369, 369, 0,	//185  int, double, double
    281, 0,	//189  bool
    317, 0,	//191  const Okular::PageSize&
    371, 80, 360, 371, 371, 371, 0,	//193  int, Okular::FormFieldText*, const QString&, int, int, int
    371, 76, 350, 0,	//200  int, Okular::FormFieldChoice*, const QList<int>&
    371, 76, 360, 371, 371, 371, 0,	//204  int, Okular::FormFieldChoice*, const QString&, int, int, int
    371, 345, 349, 0,	//211  int, const QList<Okular::FormFieldButton*>&, const QList<bool>&
    287, 0,	//215  const KUrl&
    360, 371, 0,	//217  const QString&, int
    371, 46, 0,	//220  int, Okular::Document::SearchStatus
    360, 371, 371, 282, 0,	//223  const QString&, int, int, bool*
    310, 0,	//228  const Okular::MovieAction*
    323, 0,	//230  const Okular::RenditionAction*
    22, 360, 371, 371, 0,	//232  Okular::Annotation*, const QString&, int, int
    371, 80, 360, 371, 371, 0,	//237  int, Okular::FormFieldText*, const QString&, int, int
    371, 76, 360, 371, 371, 0,	//243  int, Okular::FormFieldChoice*, const QString&, int, int
    371, 345, 0,	//249  int, const QList<Okular::FormFieldButton*>&
    366, 0,	//252  const QVector<Okular::VisiblePageRect*>&
    302, 52, 0,	//254  const Okular::DocumentViewport&, Okular::DocumentObserver*
    371, 360, 281, 217, 47, 281, 330, 0,	//257  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    49, 0,	//265  Okular::DocumentAction::DocumentActionType
    360, 360, 360, 0,	//267  const QString&, const QString&, const QString&
    51, 360, 0,	//271  Okular::DocumentInfo::Key, const QString&
    51, 0,	//274  Okular::DocumentInfo::Key
    298, 0,	//276  const Okular::DocumentInfo&
    360, 360, 0,	//278  const QString&, const QString&
    332, 0,	//281  const QDomDocument&
    300, 0,	//283  const Okular::DocumentSynopsis&
    303, 0,	//285  const Okular::EmbeddedFile&
    360, 286, 0,	//287  const QString&, const KSharedPtr<KMimeType>&
    285, 360, 286, 0,	//290  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    304, 0,	//294  const Okular::ExportFormat&
    62, 0,	//296  Okular::ExportFormat::StandardExportFormat
    57, 0,	//298  Okular::EmbeddedFile*
    192, 359, 193, 65, 66, 360, 0,	//300  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    192, 371, 371, 350, 0,	//307  QPrinter&, int, int, const QList<int>&
    192, 371, 350, 0,	//312  QPrinter&, int, const QList<int>&
    350, 0,	//316  const QList<int>&
    192, 361, 65, 66, 360, 193, 0,	//318  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation
    192, 65, 66, 281, 360, 360, 193, 0,	//325  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation
    192, 360, 0,	//333  QPrinter&, const QString&
    192, 65, 360, 0,	//336  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    192, 66, 360, 281, 360, 0,	//340  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    192, 193, 0,	//346  QPrinter&, QPrinter::Orientation
    305, 0,	//349  const Okular::FilePrinter&
    192, 359, 193, 0,	//351  QPrinter&, const QString, QPrinter::Orientation
    192, 359, 193, 65, 0,	//355  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy
    192, 359, 193, 65, 66, 0,	//360  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    71, 0,	//366  Okular::FontInfo::FontType
    70, 0,	//368  Okular::FontInfo::EmbedType
    78, 0,	//370  Okular::FormFieldPrivate&
    18, 0,	//372  Okular::Action*
    189, 348, 0,	//374  QObject*, const QList<QVariant>&
    360, 206, 0,	//377  const QString&, QVector<Okular::Page*>&
    329, 206, 0,	//380  const QByteArray&, QVector<Okular::Page*>&
    120, 0,	//383  Okular::PixmapRequest*
    109, 0,	//385  Okular::Page*
    125, 125, 0,	//387  Okular::Rotation, Okular::Rotation
    317, 317, 0,	//390  const Okular::PageSize&, const Okular::PageSize&
    84, 0,	//393  Okular::Generator::GeneratorFeature
    109, 144, 0,	//395  Okular::Page*, Okular::TextPage*
    84, 281, 0,	//398  Okular::Generator::GeneratorFeature, bool
    371, 312, 0,	//401  int, const Okular::NormalizedRect&
    306, 156, 0,	//404  const Okular::FontInfo&, QByteArray*
    87, 189, 348, 0,	//407  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    90, 0,	//411  Okular::GeomAnnotation::GeomType
    330, 0,	//413  const QColor&
    360, 302, 0,	//415  const QString&, const Okular::DocumentViewport&
    309, 0,	//418  const Okular::GuiInterface&
    94, 0,	//420  Okular::HighlightAnnotation::HighlightType
    347, 0,	//422  const QList<QLinkedList<Okular::NormalizedPoint> >&
    339, 0,	//424  const QLinkedList<Okular::NormalizedPoint>&
    99, 0,	//426  Okular::LineAnnotation::TermStyle
    369, 0,	//428  double
    98, 0,	//430  Okular::LineAnnotation::LineIntent
    371, 371, 371, 371, 0,	//432  int, int, int, int
    369, 369, 369, 369, 311, 311, 0,	//437  double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&
    356, 369, 369, 0,	//444  const QRect&, double, double
    357, 0,	//448  const QRectF&
    313, 0,	//450  const Okular::NormalizedRect*
    371, 371, 0,	//452  int, int
    369, 369, 369, 369, 281, 108, 374, 0,	//455  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    312, 281, 108, 374, 0,	//463  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    355, 108, 374, 0,	//468  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    314, 0,	//472  const Okular::ObjectRect&
    108, 0,	//474  Okular::ObjectRect::ObjectType
    374, 0,	//476  void*
    354, 0,	//478  const QPainterPath&
    372, 369, 369, 125, 0,	//480  unsigned int, double, double, Okular::Rotation
    52, 371, 371, 312, 0,	//485  Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&
    371, 360, 128, 217, 322, 0,	//490  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    322, 0,	//496  const Okular::RegularAreaRect*
    322, 145, 0,	//498  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    311, 199, 0,	//501  const Okular::NormalizedPoint&, QString*
    146, 0,	//504  Okular::TextSelection*
    108, 369, 369, 369, 369, 0,	//506  Okular::ObjectRect::ObjectType, double, double, double, double
    108, 369, 369, 369, 369, 370, 0,	//512  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    110, 0,	//519  Okular::Page::PageAction
    52, 191, 312, 0,	//521  Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&
    144, 0,	//525  Okular::TextPage*
    340, 0,	//527  const QLinkedList<Okular::ObjectRect*>&
    342, 0,	//529  const QLinkedList<Okular::SourceRefObjectRect*>&
    115, 0,	//531  Okular::PageTransition*
    110, 18, 0,	//533  Okular::Page::PageAction, Okular::Action*
    338, 0,	//536  const QLinkedList<Okular::FormField*>&
    52, 371, 0,	//538  Okular::DocumentObserver*, int
    52, 371, 371, 0,	//541  Okular::DocumentObserver*, int, int
    371, 360, 128, 217, 0,	//545  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    52, 191, 0,	//550  Okular::DocumentObserver*, QPixmap*
    369, 369, 360, 0,	//553  double, double, const QString&
    118, 0,	//557  Okular::PageTransition::Type
    318, 0,	//559  const Okular::PageTransition&
    116, 0,	//561  Okular::PageTransition::Alignment
    117, 0,	//563  Okular::PageTransition::Direction
    52, 371, 371, 371, 371, 168, 0,	//565  Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>
    320, 0,	//572  const Okular::PrintInterface&
    321, 0,	//574  const Okular::RegularAreaRect&
    127, 360, 0,	//576  Okular::ScriptType, const QString&
    329, 0,	//579  const QByteArray&
    130, 0,	//581  Okular::Sound::SoundEncoding
    369, 281, 281, 281, 129, 0,	//583  double, bool, bool, bool, Okular::Sound*
    129, 0,	//589  Okular::Sound*
    311, 374, 0,	//591  const Okular::NormalizedPoint&, void*
    324, 0,	//594  const Okular::SourceRefObjectRect&
    360, 371, 371, 0,	//596  const QString&, int, int
    139, 0,	//600  Okular::TextAnnotation::TextType
    335, 0,	//602  const QFont&
    311, 371, 0,	//604  const Okular::NormalizedPoint&, int
    138, 0,	//607  Okular::TextAnnotation::InplaceIntent
    18, 371, 371, 0,	//609  Okular::Action*, int, int
    22, 371, 371, 0,	//613  Okular::Annotation*, int, int
    371, 360, 363, 0,	//617  int, const QString&, const QTextBlock&
    203, 363, 0,	//621  QTextDocument*, const QTextBlock&
    140, 360, 189, 348, 0,	//624  Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&
    140, 189, 348, 0,	//629  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    360, 106, 0,	//633  const QString&, Okular::NormalizedRect*
    346, 0,	//636  const QList<Okular::TextEntity*>&
    312, 191, 281, 0,	//638  const Okular::NormalizedRect&, QPixmap*, bool
    326, 0,	//642  const Okular::Tile&
    356, 371, 371, 371, 0,	//644  const QRect&, int, int, int
    336, 0,	//649  const QImage*
    327, 0,	//651  const Okular::Utils&
    328, 0,	//653  const Okular::VisiblePageRect&
    166, 0,	//655  QEvent*
    189, 166, 0,	//657  QObject*, QEvent*
    204, 0,	//660  QTimerEvent*
    157, 0,	//662  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "AScreen",	//9
    "ASound",	//10
    "AStamp",	//11
    "AText",	//12
    "AWidget",	//13
    "A_BASE",	//14
    "Accepted",	//15
    "Action",	//16
    "Action#",	//17
    "AllDocument",	//18
    "Annotation",	//19
    "Annotation#",	//20
    "Annotation##",	//21
    "AnnotationObjectRect",	//22
    "AnnotationObjectRect#",	//23
    "AnnotationUtils",	//24
    "AnnotationUtils#",	//25
    "AnyPixelTextAreaInclusionBehaviour",	//26
    "ApplicationDeletesFiles",	//27
    "ApplicationSelectsPages",	//28
    "Arrow",	//29
    "Asynchronous",	//30
    "Author",	//31
    "BeingMoved",	//32
    "Beveled",	//33
    "Blinds",	//34
    "Box",	//35
    "Browse",	//36
    "BrowseAction",	//37
    "BrowseAction$",	//38
    "Butt",	//39
    "CIDTrueType",	//40
    "CIDTrueTypeOT",	//41
    "CIDType0",	//42
    "CIDType0C",	//43
    "CIDType0COT",	//44
    "Callout",	//45
    "Cancelled",	//46
    "CaretAnnotation",	//47
    "CaretAnnotation#",	//48
    "Category",	//49
    "Center",	//50
    "CentralPixelTextAreaInclusionBehaviour",	//51
    "CheckBox",	//52
    "Circle",	//53
    "Close",	//54
    "ClosedArrow",	//55
    "Closing",	//56
    "Cloudy",	//57
    "ComboBox",	//58
    "Completed",	//59
    "ConfigInterface",	//60
    "ConfigInterface#",	//61
    "Copyright",	//62
    "Cover",	//63
    "CreationDate",	//64
    "Creator",	//65
    "Dashed",	//66
    "Delete",	//67
    "DenyDelete",	//68
    "DenyPrint",	//69
    "DenyWrite",	//70
    "Description",	//71
    "Diamond",	//72
    "Dimension",	//73
    "Dissolve",	//74
    "DocAction",	//75
    "Document",	//76
    "Document#",	//77
    "DocumentAction",	//78
    "DocumentAction$",	//79
    "DocumentInfo",	//80
    "DocumentInfo#",	//81
    "DocumentSize",	//82
    "DocumentSynopsis",	//83
    "DocumentSynopsis#",	//84
    "DocumentViewport",	//85
    "DocumentViewport#",	//86
    "DocumentViewport$",	//87
    "Embedded",	//88
    "EmbeddedFile",	//89
    "EmbeddedFile#",	//90
    "EmbeddedSubset",	//91
    "EndPresentation",	//92
    "Execute",	//93
    "ExecuteAction",	//94
    "ExecuteAction$$",	//95
    "ExportFormat",	//96
    "ExportFormat#",	//97
    "ExportFormat#$?",	//98
    "ExportFormat$?",	//99
    "External",	//100
    "ExternallyDrawn",	//101
    "Fade",	//102
    "FileAttachmentAnnotation",	//103
    "FileAttachmentAnnotation#",	//104
    "FileConversionPrintError",	//105
    "FilePath",	//106
    "FilePrinter",	//107
    "FilePrinter#",	//108
    "FileSelect",	//109
    "Find",	//110
    "FixedRotation",	//111
    "FixedSize",	//112
    "Fly",	//113
    "FontInfo",	//114
    "FontInfo#",	//115
    "FormButton",	//116
    "FormChoice",	//117
    "FormField",	//118
    "FormField#",	//119
    "FormFieldButton",	//120
    "FormFieldChoice",	//121
    "FormFieldText",	//122
    "FormSignature",	//123
    "FormText",	//124
    "FullyEmbedded",	//125
    "Generator",	//126
    "Generator##?",	//127
    "Generator#?",	//128
    "GeomAnnotation",	//129
    "GeomAnnotation#",	//130
    "Glitter",	//131
    "GoToPage",	//132
    "GoogleAll",	//133
    "GoogleAny",	//134
    "Goto",	//135
    "GotoAction",	//136
    "GotoAction$#",	//137
    "GotoAction$$",	//138
    "Group",	//139
    "GuiInterface",	//140
    "GuiInterface#",	//141
    "HTML",	//142
    "Hidden",	//143
    "Highlight",	//144
    "HighlightAnnotation",	//145
    "HighlightAnnotation#",	//146
    "HistoryBack",	//147
    "HistoryForward",	//148
    "Horizontal",	//149
    "Image",	//150
    "InPlace",	//151
    "InkAnnotation",	//152
    "InkAnnotation#",	//153
    "InscribedCircle",	//154
    "InscribedSquare",	//155
    "Inset",	//156
    "InvalidPrinterStatePrintError",	//157
    "Inward",	//158
    "KST_CTimeInfo",	//159
    "KST_KCustom",	//160
    "KST_KDEDesktopMimeType",	//161
    "KST_KFolderMimeType",	//162
    "KST_KImageIO",	//163
    "KST_KImageIOFormat",	//164
    "KST_KMimeType",	//165
    "KST_KMimeTypeEntry",	//166
    "KST_KMimeTypeFactory",	//167
    "KST_KProtocolInfo",	//168
    "KST_KProtocolInfoFactory",	//169
    "KST_KService",	//170
    "KST_KServiceFactory",	//171
    "KST_KServiceGroup",	//172
    "KST_KServiceGroupFactory",	//173
    "KST_KServiceSeparator",	//174
    "KST_KServiceType",	//175
    "KST_KServiceTypeFactory",	//176
    "KST_KSycocaEntry",	//177
    "Keywords",	//178
    "LineAnnotation",	//179
    "LineAnnotation#",	//180
    "Linked",	//181
    "ListBox",	//182
    "Marked",	//183
    "MatchFound",	//184
    "MimeType",	//185
    "ModificationDate",	//186
    "Movie",	//187
    "Multiline",	//188
    "NativePrinting",	//189
    "NextMatch",	//190
    "NoBinaryToPrintError",	//191
    "NoEffect",	//192
    "NoFeature",	//193
    "NoFileToPrintError",	//194
    "NoMatchFound",	//195
    "NoOption",	//196
    "NoPrintError",	//197
    "NoPrinting",	//198
    "None",	//199
    "Normal",	//200
    "NormalizedPoint",	//201
    "NormalizedPoint#",	//202
    "NormalizedPoint$$",	//203
    "NormalizedPoint$$$$",	//204
    "NormalizedRect",	//205
    "NormalizedRect#",	//206
    "NormalizedRect#$$",	//207
    "NormalizedRect$$$$",	//208
    "NotEmbedded",	//209
    "OAnnotation",	//210
    "ObjectRect",	//211
    "ObjectRect#",	//212
    "ObjectRect#$$",	//213
    "ObjectRect#$$$",	//214
    "ObjectRect$$$$$$$",	//215
    "OpenArrow",	//216
    "OpenDocumentText",	//217
    "Opening",	//218
    "Outward",	//219
    "P",	//220
    "PDF",	//221
    "Page",	//222
    "Page$$$$",	//223
    "PageClosing",	//224
    "PageFirst",	//225
    "PageLast",	//226
    "PageNext",	//227
    "PageOpening",	//228
    "PagePrev",	//229
    "PageSize",	//230
    "PageSize#",	//231
    "PageSize$$$",	//232
    "PageSizes",	//233
    "PageTransition",	//234
    "PageTransition#",	//235
    "PageTransition$",	//236
    "Pages",	//237
    "PagesSize",	//238
    "PixmapRequest",	//239
    "PixmapRequest#$$$$$",	//240
    "PlainText",	//241
    "Points",	//242
    "PolygonCloud",	//243
    "PostscriptPrinting",	//244
    "Preload",	//245
    "Presentation",	//246
    "PreviousMatch",	//247
    "PrintInterface",	//248
    "PrintInterface#",	//249
    "PrintNative",	//250
    "PrintPostscript",	//251
    "PrintToFile",	//252
    "PrintToFilePrintError",	//253
    "PrintingProcessCrashPrintError",	//254
    "PrintingProcessStartPrintError",	//255
    "Producer",	//256
    "Push",	//257
    "Quit",	//258
    "RClosedArrow",	//259
    "ROpenArrow",	//260
    "Radio",	//261
    "Raw",	//262
    "ReadRawData",	//263
    "RegularAreaRect",	//264
    "RegularAreaRect#",	//265
    "Rejected",	//266
    "RemoveAllPrevious",	//267
    "Rendition",	//268
    "Replace",	//269
    "Reply",	//270
    "SaveAnnotationsCapability",	//271
    "SaveFormsCapability",	//272
    "Script",	//273
    "ScriptAction",	//274
    "ScriptAction$$",	//275
    "SearchCancelled",	//276
    "Signed",	//277
    "Slash",	//278
    "Solid",	//279
    "Sound",	//280
    "Sound#",	//281
    "Sound$",	//282
    "SoundAction",	//283
    "SoundAction$$$$#",	//284
    "SoundAnnotation",	//285
    "SoundAnnotation#",	//286
    "SourceRef",	//287
    "SourceRefObjectRect",	//288
    "SourceRefObjectRect#",	//289
    "SourceRefObjectRect#$",	//290
    "SourceReference",	//291
    "SourceReference$$",	//292
    "SourceReference$$$",	//293
    "Split",	//294
    "Square",	//295
    "Squiggly",	//296
    "StampAnnotation",	//297
    "StampAnnotation#",	//298
    "StateNoReverse",	//299
    "StateReverse",	//300
    "StrikeOut",	//301
    "Subject",	//302
    "SystemDeletesFiles",	//303
    "SystemSelectsPages",	//304
    "TeXFontMetric",	//305
    "TeXFreeTypeHandled",	//306
    "TeXPK",	//307
    "TeXVirtual",	//308
    "TemporaryFileOpenPrintError",	//309
    "TextAnnotation",	//310
    "TextAnnotation#",	//311
    "TextDocumentConverter",	//312
    "TextDocumentGenerator",	//313
    "TextDocumentGenerator##?",	//314
    "TextDocumentGenerator#$#?",	//315
    "TextEntity",	//316
    "TextEntity$#",	//317
    "TextExtraction",	//318
    "TextPage",	//319
    "TextPage?",	//320
    "Threaded",	//321
    "Tile",	//322
    "Tile#",	//323
    "Tile##$",	//324
    "TiledRendering",	//325
    "Title",	//326
    "ToggleHidingOnMouse",	//327
    "TopLeft",	//328
    "TrueType",	//329
    "TrueTypeOT",	//330
    "Type1",	//331
    "Type1C",	//332
    "Type1COT",	//333
    "Type3",	//334
    "TypeWriter",	//335
    "UnableToFindFilePrintError",	//336
    "Uncover",	//337
    "Underline",	//338
    "Unknown",	//339
    "UnknownPrintError",	//340
    "Unmarked",	//341
    "Utils",	//342
    "Utils#",	//343
    "Vertical",	//344
    "VisiblePageRect",	//345
    "VisiblePageRect#",	//346
    "VisiblePageRect$",	//347
    "VisiblePageRect$#",	//348
    "Wipe",	//349
    "_IEEE_",	//350
    "_ISOC_",	//351
    "_POSIX_",	//352
    "_SVID_",	//353
    "_XOPEN_",	//354
    "action",	//355
    "actionCollection",	//356
    "actionTip",	//357
    "actionType",	//358
    "activationAction",	//359
    "addAction",	//360
    "addAction#$$",	//361
    "addAnnotation",	//362
    "addAnnotation#",	//363
    "addAnnotation#$$",	//364
    "addMetaData",	//365
    "addMetaData$$",	//366
    "addMetaData$$$",	//367
    "addObserver",	//368
    "addObserver#",	//369
    "addPageAnnotation",	//370
    "addPageAnnotation$#",	//371
    "addPages",	//372
    "addPages#",	//373
    "addTitle",	//374
    "addTitle$$#",	//375
    "alignment",	//376
    "allPagesSize",	//377
    "angle",	//378
    "annotation",	//379
    "annotationContentsChangedByUndoRedo",	//380
    "annotationContentsChangedByUndoRedo#$$$",	//381
    "annotationGeometry",	//382
    "annotationGeometry#$$",	//383
    "annotations",	//384
    "append",	//385
    "append$#",	//386
    "area",	//387
    "asynchronous",	//388
    "author",	//389
    "bitsPerSample",	//390
    "bookmarkManager",	//391
    "bookmarkedPageList",	//392
    "bookmarkedPageRange",	//393
    "bottom",	//394
    "boundingBox",	//395
    "boundingRect",	//396
    "boundingRect$$",	//397
    "boundingRectangle",	//398
    "buttonType",	//399
    "calculateViewport",	//400
    "calculateViewport##",	//401
    "canBeExtracted",	//402
    "canBeMoved",	//403
    "canBeSpellChecked",	//404
    "canConfigurePrinter",	//405
    "canExportToText",	//406
    "canGeneratePixmap",	//407
    "canGenerateTextPage",	//408
    "canModifyPageAnnotation",	//409
    "canModifyPageAnnotation#",	//410
    "canProvideFontInformation",	//411
    "canRedo",	//412
    "canRedoChanged",	//413
    "canRedoChanged$",	//414
    "canRemovePageAnnotation",	//415
    "canRemovePageAnnotation#",	//416
    "canSaveChanges",	//417
    "canSaveChanges$",	//418
    "canUndo",	//419
    "canUndoChanged",	//420
    "canUndoChanged$",	//421
    "cancelSearch",	//422
    "caption",	//423
    "caretSymbol",	//424
    "center",	//425
    "channels",	//426
    "childEvent",	//427
    "choiceType",	//428
    "choices",	//429
    "close",	//430
    "closeDocument",	//431
    "column",	//432
    "componentData",	//433
    "configurableGenerators",	//434
    "connectNotify",	//435
    "contains",	//436
    "contains$$",	//437
    "contains$$$$",	//438
    "contents",	//439
    "continueSearch",	//440
    "continueSearch$",	//441
    "continueSearch$$",	//442
    "convert",	//443
    "convert$",	//444
    "copies",	//445
    "copies#$",	//446
    "createAnnotation",	//447
    "createAnnotation#",	//448
    "creationDate",	//449
    "cupsAvailable",	//450
    "cupsOptions",	//451
    "cupsOptions#$",	//452
    "currentChoices",	//453
    "currentDocument",	//454
    "currentPage",	//455
    "customEvent",	//456
    "d_func",	//457
    "data",	//458
    "deleteAnnotations",	//459
    "deleteFile",	//460
    "deleteFile#$$",	//461
    "deletePixmap",	//462
    "deletePixmap#",	//463
    "deletePixmaps",	//464
    "deleteRects",	//465
    "deleteSourceReferences",	//466
    "description",	//467
    "destViewport",	//468
    "destination",	//469
    "destination#$",	//470
    "destinationName",	//471
    "detectCupsConfig",	//472
    "detectCupsService",	//473
    "direction",	//474
    "disconnectNotify",	//475
    "distanceSqr",	//476
    "distanceSqr$$$$",	//477
    "distanceSqr$$$$##",	//478
    "doCloseDocument",	//479
    "doPrintFiles",	//480
    "doPrintFiles#?$$$$",	//481
    "document",	//482
    "documentActionType",	//483
    "documentInfo",	//484
    "documentMetaData",	//485
    "documentMetaData$",	//486
    "documentMetaData$#",	//487
    "documentSynopsis",	//488
    "domDocument",	//489
    "dpiX",	//490
    "dpiY",	//491
    "duration",	//492
    "dynamicSourceReference",	//493
    "dynamicSourceReference$$$",	//494
    "editChoice",	//495
    "editFormButtons",	//496
    "editFormButtons$??",	//497
    "editFormCombo",	//498
    "editFormCombo$#$$$$",	//499
    "editFormList",	//500
    "editFormList$#?",	//501
    "editFormText",	//502
    "editFormText$#$$$$",	//503
    "editPageAnnotationContents",	//504
    "editPageAnnotationContents$#$$$$",	//505
    "embedType",	//506
    "embeddedFile",	//507
    "embeddedFiles",	//508
    "error",	//509
    "error$$",	//510
    "event",	//511
    "eventFilter",	//512
    "exportFormats",	//513
    "exportTo",	//514
    "exportTo$#",	//515
    "exportToText",	//516
    "exportToText$",	//517
    "file",	//518
    "fileIconName",	//519
    "fileName",	//520
    "fillConfigDialog",	//521
    "fillConfigDialog#",	//522
    "findChildElement",	//523
    "findChildElement#$",	//524
    "findText",	//525
    "findText$$$$",	//526
    "findText$$$$#",	//527
    "flags",	//528
    "fontData",	//529
    "fontData#",	//530
    "fontReadingEnded",	//531
    "fontReadingProgress",	//532
    "fontReadingProgress$",	//533
    "fontsForPage",	//534
    "fontsForPage$",	//535
    "formButtonsChangedByUndoRedo",	//536
    "formButtonsChangedByUndoRedo$?",	//537
    "formComboChangedByUndoRedo",	//538
    "formComboChangedByUndoRedo$#$$$",	//539
    "formFields",	//540
    "formListChangedByUndoRedo",	//541
    "formListChangedByUndoRedo$#?",	//542
    "formTextChangedByUndoRedo",	//543
    "formTextChangedByUndoRedo$#$$$",	//544
    "fromQRectF",	//545
    "fromQRectF#",	//546
    "generalSettings",	//547
    "generateDocumentInfo",	//548
    "generateDocumentSynopsis",	//549
    "generatePixmap",	//550
    "generatePixmap#",	//551
    "generateTextPage",	//552
    "generateTextPage#",	//553
    "generator",	//554
    "geometricalInnerColor",	//555
    "geometricalType",	//556
    "geometry",	//557
    "geometry$$",	//558
    "get",	//559
    "get$",	//560
    "getAnnotationPropertiesDomNode",	//561
    "getKeyString",	//562
    "getKeyString$",	//563
    "getKeyTitle",	//564
    "getKeyTitle$",	//565
    "gotFont",	//566
    "gotFont#",	//567
    "guiClient",	//568
    "hasAnnotations",	//569
    "hasFeature",	//570
    "hasFeature$",	//571
    "hasHighlights",	//572
    "hasHighlights$",	//573
    "hasObjectRect",	//574
    "hasObjectRect$$$$",	//575
    "hasPixmap",	//576
    "hasPixmap#",	//577
    "hasPixmap#$",	//578
    "hasPixmap#$$",	//579
    "hasPixmap#$$#",	//580
    "hasTextPage",	//581
    "hasTilesManager",	//582
    "hasTransition",	//583
    "height",	//584
    "highlightQuads",	//585
    "highlightType",	//586
    "historyAtBegin",	//587
    "historyAtEnd",	//588
    "icon",	//589
    "id",	//590
    "image",	//591
    "image#",	//592
    "imageBoundingBox",	//593
    "imageBoundingBox#",	//594
    "inkPaths",	//595
    "inplaceAlignment",	//596
    "inplaceCallout",	//597
    "inplaceCallout$",	//598
    "inplaceIntent",	//599
    "intersects",	//600
    "intersects#",	//601
    "intersects$$$$",	//602
    "isAllowed",	//603
    "isAllowed$",	//604
    "isBottom",	//605
    "isBottom#",	//606
    "isBottomOrLevel",	//607
    "isBottomOrLevel#",	//608
    "isBoundingBoxKnown",	//609
    "isEditable",	//610
    "isExternal",	//611
    "isLeft",	//612
    "isLeft#",	//613
    "isNull",	//614
    "isOpened",	//615
    "isPassword",	//616
    "isReadOnly",	//617
    "isRectangular",	//618
    "isRichText",	//619
    "isRight",	//620
    "isRight#",	//621
    "isTile",	//622
    "isTop",	//623
    "isTop#",	//624
    "isTopOrLevel",	//625
    "isTopOrLevel#",	//626
    "isValid",	//627
    "isVisible",	//628
    "jobname",	//629
    "jobname#$",	//630
    "label",	//631
    "left",	//632
    "lineClosed",	//633
    "lineEndStyle",	//634
    "lineInnerColor",	//635
    "lineIntent",	//636
    "lineLeadingBackwardPoint",	//637
    "lineLeadingForwardPoint",	//638
    "linePoints",	//639
    "lineStartStyle",	//640
    "linkEndPresentation",	//641
    "linkFind",	//642
    "linkGoToPage",	//643
    "linkPresentation",	//644
    "loadDocument",	//645
    "loadDocument$?",	//646
    "loadDocumentFromData",	//647
    "loadDocumentFromData#?",	//648
    "localXMLFile",	//649
    "m_object",	//650
    "m_objectType",	//651
    "m_path",	//652
    "m_transformedPath",	//653
    "maximumLength",	//654
    "mediaPageSize",	//655
    "mediaPageSize#",	//656
    "mediaPaperSource",	//657
    "mediaPaperSource#",	//658
    "metaData",	//659
    "metaData$",	//660
    "metaData$#",	//661
    "metaObject",	//662
    "mimeType",	//663
    "mix",	//664
    "modificationDate",	//665
    "modifyPageAnnotationProperties",	//666
    "modifyPageAnnotationProperties$#",	//667
    "muLaw",	//668
    "multiSelect",	//669
    "name",	//670
    "nativeId",	//671
    "nearestObjectRect",	//672
    "nearestObjectRect$$$$$$",	//673
    "normalizedRect",	//674
    "notice",	//675
    "notice$$",	//676
    "number",	//677
    "object",	//678
    "objectRect",	//679
    "objectRect$$$$$",	//680
    "objectRects",	//681
    "objectRects$$$$$",	//682
    "objectType",	//683
    "observer",	//684
    "openDialogAfterCreation",	//685
    "openDocument",	//686
    "openDocument$#?",	//687
    "openDocumentArchive",	//688
    "openDocumentArchive$#",	//689
    "openUrl",	//690
    "openUrl#",	//691
    "operator!=",	//692
    "operator!=#",	//693
    "operator&",	//694
    "operator&#",	//695
    "operator<",	//696
    "operator<#",	//697
    "operator=",	//698
    "operator=#",	//699
    "operator==",	//700
    "operator==#",	//701
    "operator|",	//702
    "operator|#",	//703
    "operator|=",	//704
    "operator|=#",	//705
    "optionCollateCopies",	//706
    "optionCollateCopies#",	//707
    "optionCupsProperties",	//708
    "optionCupsProperties#",	//709
    "optionDoubleSidedPrinting",	//710
    "optionDoubleSidedPrinting#",	//711
    "optionMedia",	//712
    "optionMedia#",	//713
    "optionOrientation",	//714
    "optionOrientation#$",	//715
    "optionPageMargins",	//716
    "optionPageMargins#",	//717
    "optionPageOrder",	//718
    "optionPageOrder#",	//719
    "orientation",	//720
    "page",	//721
    "page$",	//722
    "pageAction",	//723
    "pageAction$",	//724
    "pageList",	//725
    "pageList#$$?",	//726
    "pageList#$?",	//727
    "pageListToPageRange",	//728
    "pageListToPageRange?",	//729
    "pageNumber",	//730
    "pageRange",	//731
    "pageRange#$?",	//732
    "pageSizeChanged",	//733
    "pageSizeChanged##",	//734
    "pageSizeString",	//735
    "pageSizeString$",	//736
    "pageSizes",	//737
    "pages",	//738
    "pages#$$$$",	//739
    "pagesSizeMetric",	//740
    "parameters",	//741
    "pdf2psAvailable",	//742
    "pixmap",	//743
    "preload",	//744
    "prepareToModifyAnnotationProperties",	//745
    "prepareToModifyAnnotationProperties#",	//746
    "print",	//747
    "print#",	//748
    "printArguments",	//749
    "printArguments#$$$$$$",	//750
    "printConfigurationWidget",	//751
    "printError",	//752
    "printError$",	//753
    "printFile",	//754
    "printFile#$$",	//755
    "printFile#$$$",	//756
    "printFile#$$$$",	//757
    "printFile#$$$$$",	//758
    "printingSupport",	//759
    "priority",	//760
    "processAction",	//761
    "processAction#",	//762
    "processMovieAction",	//763
    "processMovieAction#",	//764
    "processRenditionAction",	//765
    "processRenditionAction#",	//766
    "processSourceReference",	//767
    "processSourceReference#",	//768
    "ps2pdfAvailable",	//769
    "psPaperSize",	//770
    "psPaperSize#",	//771
    "qt_metacall",	//772
    "qt_metacall$$?",	//773
    "qt_metacast",	//774
    "qt_metacast$",	//775
    "quit",	//776
    "ratio",	//777
    "realDpiX",	//778
    "realDpiY",	//779
    "rect",	//780
    "redo",	//781
    "region",	//782
    "registerView",	//783
    "registerView#",	//784
    "removeAnnotation",	//785
    "removeAnnotation#",	//786
    "removeObserver",	//787
    "removeObserver#",	//788
    "removePageAnnotation",	//789
    "removePageAnnotation$#",	//790
    "removePageAnnotations",	//791
    "removePageAnnotations$?",	//792
    "reparseConfig",	//793
    "repeat",	//794
    "requestFontData",	//795
    "requestFontData##",	//796
    "requestPixmaps",	//797
    "requestPixmaps?",	//798
    "requestPixmaps?$",	//799
    "requestTextPage",	//800
    "requestTextPage$",	//801
    "resetSearch",	//802
    "resetSearch$",	//803
    "revisions",	//804
    "right",	//805
    "rotateRect",	//806
    "rotateRect#$$$",	//807
    "rotation",	//808
    "rotationChanged",	//809
    "rotationChanged$$",	//810
    "roundedGeometry",	//811
    "roundedGeometry$$",	//812
    "row",	//813
    "samplingRate",	//814
    "saveChanges",	//815
    "saveChanges$",	//816
    "saveChanges$$",	//817
    "saveDocumentArchive",	//818
    "saveDocumentArchive$",	//819
    "scale",	//820
    "script",	//821
    "scriptType",	//822
    "searchFinished",	//823
    "searchFinished$$",	//824
    "searchText",	//825
    "searchText$$$$$$#",	//826
    "searchText$$$$$$#$",	//827
    "set",	//828
    "set$$",	//829
    "set$$$",	//830
    "setActivationAction",	//831
    "setActivationAction#",	//832
    "setAlignment",	//833
    "setAlignment$",	//834
    "setAngle",	//835
    "setAngle$",	//836
    "setAnnotationEditingEnabled",	//837
    "setAnnotationEditingEnabled$",	//838
    "setAnnotationProperties",	//839
    "setAnnotationProperties#",	//840
    "setAuthor",	//841
    "setAuthor$",	//842
    "setBitsPerSample",	//843
    "setBitsPerSample$",	//844
    "setBottom",	//845
    "setBottom$",	//846
    "setBoundingBox",	//847
    "setBoundingBox#",	//848
    "setBoundingRectangle",	//849
    "setBoundingRectangle#",	//850
    "setCanBeExtracted",	//851
    "setCanBeExtracted$",	//852
    "setCaretSymbol",	//853
    "setCaretSymbol$",	//854
    "setChannels",	//855
    "setChannels$",	//856
    "setComponentData",	//857
    "setContents",	//858
    "setContents$",	//859
    "setCreationDate",	//860
    "setCreationDate#",	//861
    "setCurrentChoices",	//862
    "setCurrentChoices?",	//863
    "setDOMDocument",	//864
    "setDirection",	//865
    "setDirection$",	//866
    "setDisposeDataFunction",	//867
    "setDisposeDataFunction$",	//868
    "setDuration",	//869
    "setDuration$",	//870
    "setEditChoice",	//871
    "setEditChoice$",	//872
    "setEmbedType",	//873
    "setEmbedType$",	//874
    "setEmbeddedFile",	//875
    "setEmbeddedFile#",	//876
    "setFeature",	//877
    "setFeature$",	//878
    "setFeature$$",	//879
    "setFile",	//880
    "setFile$",	//881
    "setFileIconName",	//882
    "setFileIconName$",	//883
    "setFlags",	//884
    "setFlags$",	//885
    "setFormFields",	//886
    "setFormFields?",	//887
    "setGeometricalInnerColor",	//888
    "setGeometricalInnerColor#",	//889
    "setGeometricalType",	//890
    "setGeometricalType$",	//891
    "setHighlightType",	//892
    "setHighlightType$",	//893
    "setInkPaths",	//894
    "setInkPaths?",	//895
    "setInplaceAlignment",	//896
    "setInplaceAlignment$",	//897
    "setInplaceCallout",	//898
    "setInplaceCallout#$",	//899
    "setInplaceIntent",	//900
    "setInplaceIntent$",	//901
    "setIsRectangular",	//902
    "setIsRectangular$",	//903
    "setLabel",	//904
    "setLabel$",	//905
    "setLeft",	//906
    "setLeft$",	//907
    "setLineClosed",	//908
    "setLineClosed$",	//909
    "setLineEndStyle",	//910
    "setLineEndStyle$",	//911
    "setLineInnerColor",	//912
    "setLineInnerColor#",	//913
    "setLineIntent",	//914
    "setLineIntent$",	//915
    "setLineLeadingBackwardPoint",	//916
    "setLineLeadingBackwardPoint$",	//917
    "setLineLeadingForwardPoint",	//918
    "setLineLeadingForwardPoint$",	//919
    "setLinePoints",	//920
    "setLinePoints?",	//921
    "setLineStartStyle",	//922
    "setLineStartStyle$",	//923
    "setLocalXMLFile",	//924
    "setM_object",	//925
    "setM_object$",	//926
    "setM_objectType",	//927
    "setM_objectType$",	//928
    "setM_path",	//929
    "setM_path#",	//930
    "setM_transformedPath",	//931
    "setM_transformedPath#",	//932
    "setModificationDate",	//933
    "setModificationDate#",	//934
    "setName",	//935
    "setName$",	//936
    "setNativeId",	//937
    "setNativeId#",	//938
    "setNextDocumentDestination",	//939
    "setNextDocumentDestination$",	//940
    "setNextDocumentViewport",	//941
    "setNextDocumentViewport#",	//942
    "setNextViewport",	//943
    "setNormalizedRect",	//944
    "setNormalizedRect#",	//945
    "setObjectRects",	//946
    "setObjectRects?",	//947
    "setPageAction",	//948
    "setPageAction$#",	//949
    "setPageNumber",	//950
    "setPageNumber$",	//951
    "setPageSize",	//952
    "setPageSize#",	//953
    "setPageTextSelection",	//954
    "setPageTextSelection$##",	//955
    "setPixmap",	//956
    "setPixmap##",	//957
    "setPixmap###",	//958
    "setPrevViewport",	//959
    "setRect",	//960
    "setRect#",	//961
    "setRight",	//962
    "setRight$",	//963
    "setRotation",	//964
    "setRotation$",	//965
    "setSamplingRate",	//966
    "setSamplingRate$",	//967
    "setScale",	//968
    "setScale$",	//969
    "setShowCaption",	//970
    "setShowCaption$",	//971
    "setSound",	//972
    "setSound#",	//973
    "setSoundEncoding",	//974
    "setSoundEncoding$",	//975
    "setSoundIconName",	//976
    "setSoundIconName$",	//977
    "setSourceReferences",	//978
    "setSourceReferences?",	//979
    "setStampIconName",	//980
    "setStampIconName$",	//981
    "setState",	//982
    "setState$",	//983
    "setText",	//984
    "setText$",	//985
    "setTextFont",	//986
    "setTextFont#",	//987
    "setTextIcon",	//988
    "setTextIcon$",	//989
    "setTextPage",	//990
    "setTextPage#",	//991
    "setTextType",	//992
    "setTextType$",	//993
    "setTile",	//994
    "setTile$",	//995
    "setTop",	//996
    "setTop$",	//997
    "setTransition",	//998
    "setTransition#",	//999
    "setType",	//1000
    "setType$",	//1001
    "setUniqueName",	//1002
    "setUniqueName$",	//1003
    "setViewport",	//1004
    "setViewport#",	//1005
    "setViewport##",	//1006
    "setViewport##$",	//1007
    "setViewportPage",	//1008
    "setViewportPage$",	//1009
    "setViewportPage$#",	//1010
    "setViewportPage$#$",	//1011
    "setVisiblePageRects",	//1012
    "setVisiblePageRects?",	//1013
    "setVisiblePageRects?#",	//1014
    "setX",	//1015
    "setX$",	//1016
    "setXML",	//1017
    "setXMLFile",	//1018
    "setY",	//1019
    "setY$",	//1020
    "setZoom",	//1021
    "setZoom$",	//1022
    "setZoom$#",	//1023
    "showCaption",	//1024
    "siblings",	//1025
    "signalPixmapRequestDone",	//1026
    "signalPixmapRequestDone#",	//1027
    "signalTextGenerationDone",	//1028
    "signalTextGenerationDone##",	//1029
    "size",	//1030
    "sound",	//1031
    "soundEncoding",	//1032
    "soundIconName",	//1033
    "soundType",	//1034
    "sourceReferenceActivated",	//1035
    "sourceReferenceActivated$$$$",	//1036
    "stampIconName",	//1037
    "standardFormat",	//1038
    "standardFormat$",	//1039
    "startFontReading",	//1040
    "state",	//1041
    "stateChanged",	//1042
    "staticMetaObject",	//1043
    "stopFontReading",	//1044
    "store",	//1045
    "store##",	//1046
    "storeAnnotation",	//1047
    "storeAnnotation###",	//1048
    "style",	//1049
    "subType",	//1050
    "supportedMimeTypes",	//1051
    "supportsPageSizes",	//1052
    "supportsPrintToFile",	//1053
    "supportsSearching",	//1054
    "supportsTiles",	//1055
    "synchronous",	//1056
    "text",	//1057
    "text#",	//1058
    "text#$",	//1059
    "textAlignment",	//1060
    "textArea",	//1061
    "textArea#",	//1062
    "textFont",	//1063
    "textIcon",	//1064
    "textPage",	//1065
    "textPage#",	//1066
    "textSelection",	//1067
    "textSelectionColor",	//1068
    "textType",	//1069
    "tilesAt",	//1070
    "tilesAt#",	//1071
    "timerEvent",	//1072
    "toString",	//1073
    "top",	//1074
    "totalOrientation",	//1075
    "tr",	//1076
    "tr$",	//1077
    "tr$$",	//1078
    "tr$$$",	//1079
    "trUtf8",	//1080
    "trUtf8$",	//1081
    "trUtf8$$",	//1082
    "trUtf8$$$",	//1083
    "transform",	//1084
    "transform#",	//1085
    "transformedArea",	//1086
    "transformedArea#",	//1087
    "transformedBoundingRectangle",	//1088
    "transformedInkPaths",	//1089
    "transformedInplaceCallout",	//1090
    "transformedInplaceCallout$",	//1091
    "transformedLinePoints",	//1092
    "transition",	//1093
    "translate",	//1094
    "translate#",	//1095
    "translatePageAnnotation",	//1096
    "translatePageAnnotation$##",	//1097
    "type",	//1098
    "uiName",	//1099
    "undo",	//1100
    "uniqueName",	//1101
    "unregisterView",	//1102
    "unregisterView#",	//1103
    "updatePageBoundingBox",	//1104
    "updatePageBoundingBox$#",	//1105
    "url",	//1106
    "userMutex",	//1107
    "viewport",	//1108
    "virtual_hook",	//1109
    "visiblePageRects",	//1110
    "volume",	//1111
    "warning",	//1112
    "warning$$",	//1113
    "widget",	//1114
    "width",	//1115
    "window",	//1116
    "wordAt",	//1117
    "wordAt#",	//1118
    "wordAt#$",	//1119
    "words",	//1120
    "words#$",	//1121
    "x",	//1122
    "xmlFile",	//1123
    "y",	//1124
    "~Action",	//1125
    "~Annotation",	//1126
    "~AnnotationObjectRect",	//1127
    "~AnnotationUtils",	//1128
    "~BrowseAction",	//1129
    "~CaretAnnotation",	//1130
    "~ConfigInterface",	//1131
    "~Document",	//1132
    "~DocumentAction",	//1133
    "~DocumentInfo",	//1134
    "~DocumentSynopsis",	//1135
    "~DocumentViewport",	//1136
    "~EmbeddedFile",	//1137
    "~ExecuteAction",	//1138
    "~ExportFormat",	//1139
    "~FileAttachmentAnnotation",	//1140
    "~FilePrinter",	//1141
    "~FontInfo",	//1142
    "~FormField",	//1143
    "~FormFieldButton",	//1144
    "~FormFieldChoice",	//1145
    "~FormFieldText",	//1146
    "~Generator",	//1147
    "~GeomAnnotation",	//1148
    "~GotoAction",	//1149
    "~GuiInterface",	//1150
    "~HighlightAnnotation",	//1151
    "~InkAnnotation",	//1152
    "~LineAnnotation",	//1153
    "~NormalizedPoint",	//1154
    "~NormalizedRect",	//1155
    "~ObjectRect",	//1156
    "~Page",	//1157
    "~PageSize",	//1158
    "~PageTransition",	//1159
    "~PixmapRequest",	//1160
    "~PrintInterface",	//1161
    "~RegularAreaRect",	//1162
    "~ScriptAction",	//1163
    "~Sound",	//1164
    "~SoundAction",	//1165
    "~SoundAnnotation",	//1166
    "~SourceRefObjectRect",	//1167
    "~SourceReference",	//1168
    "~StampAnnotation",	//1169
    "~TextAnnotation",	//1170
    "~TextDocumentConverter",	//1171
    "~TextDocumentGenerator",	//1172
    "~TextEntity",	//1173
    "~TextPage",	//1174
    "~Tile",	//1175
    "~Utils",	//1176
    "~VisiblePageRect",	//1177
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 355, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 153, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {11, 356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {11, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {11, 489, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 160, 0},	//4 KXMLGUIClient::domDocument() const
    {11, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 0},	//5 KXMLGUIClient::xmlFile() const
    {11, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 0},	//6 KXMLGUIClient::localXMLFile() const
    {11, 857, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {11, 1018, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {11, 924, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {11, 1017, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {11, 864, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {11, 1042, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {11, 1109, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {11, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {11, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {12, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 19, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {12, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 2},	//17 Okular::Action::actionTip() const
    {12, 937, 23, 1, 0, 0, 3},	//18 Okular::Action::setNativeId(const QVariant&)
    {12, 671, 0, 0, Smoke::mf_const, 205, 4},	//19 Okular::Action::nativeId() const
    {12, 16, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 18, 5},	//20 Okular::Action::Action(Okular::ActionPrivate&)
    {12, 457, 0, 0, Smoke::mf_protected, 21, 6},	//21 Okular::Action::d_func()
    {12, 457, 0, 0, Smoke::mf_const|Smoke::mf_protected, 289, 7},	//22 Okular::Action::d_func() const
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 8},	//23 Okular::Action::Goto (enum)
    {12, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 9},	//24 Okular::Action::Execute (enum)
    {12, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 10},	//25 Okular::Action::Browse (enum)
    {12, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 11},	//26 Okular::Action::DocAction (enum)
    {12, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 12},	//27 Okular::Action::Sound (enum)
    {12, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 13},	//28 Okular::Action::Movie (enum)
    {12, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 14},	//29 Okular::Action::Script (enum)
    {12, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 15},	//30 Okular::Action::Rendition (enum)
    {12, 1125, 0, 0, Smoke::mf_dtor, 0, 16 },	//31 Okular::Action::~Action()
    {14, 841, 9, 1, 0, 0, 1},	//32 Okular::Annotation::setAuthor(const QString&)
    {14, 389, 0, 0, Smoke::mf_const, 198, 2},	//33 Okular::Annotation::author() const
    {14, 858, 9, 1, 0, 0, 3},	//34 Okular::Annotation::setContents(const QString&)
    {14, 439, 0, 0, Smoke::mf_const, 198, 4},	//35 Okular::Annotation::contents() const
    {14, 1002, 9, 1, 0, 0, 5},	//36 Okular::Annotation::setUniqueName(const QString&)
    {14, 1101, 0, 0, Smoke::mf_const, 198, 6},	//37 Okular::Annotation::uniqueName() const
    {14, 933, 27, 1, 0, 0, 7},	//38 Okular::Annotation::setModificationDate(const QDateTime&)
    {14, 665, 0, 0, Smoke::mf_const, 159, 8},	//39 Okular::Annotation::modificationDate() const
    {14, 860, 27, 1, 0, 0, 9},	//40 Okular::Annotation::setCreationDate(const QDateTime&)
    {14, 449, 0, 0, Smoke::mf_const, 159, 10},	//41 Okular::Annotation::creationDate() const
    {14, 884, 29, 1, 0, 0, 11},	//42 Okular::Annotation::setFlags(int)
    {14, 528, 0, 0, Smoke::mf_const, 371, 12},	//43 Okular::Annotation::flags() const
    {14, 849, 31, 1, 0, 0, 13},	//44 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {14, 398, 0, 0, Smoke::mf_const, 104, 14},	//45 Okular::Annotation::boundingRectangle() const
    {14, 1088, 0, 0, Smoke::mf_const, 104, 15},	//46 Okular::Annotation::transformedBoundingRectangle() const
    {14, 1094, 33, 1, 0, 0, 16},	//47 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {14, 1049, 0, 0, 0, 30, 17},	//48 Okular::Annotation::style()
    {14, 1049, 0, 0, Smoke::mf_const, 291, 18},	//49 Okular::Annotation::style() const
    {14, 1116, 0, 0, 0, 32, 19},	//50 Okular::Annotation::window()
    {14, 1116, 0, 0, Smoke::mf_const, 292, 20},	//51 Okular::Annotation::window() const
    {14, 804, 0, 0, 0, 173, 21},	//52 Okular::Annotation::revisions()
    {14, 804, 0, 0, Smoke::mf_const, 337, 22},	//53 Okular::Annotation::revisions() const
    {14, 937, 23, 1, 0, 0, 23},	//54 Okular::Annotation::setNativeId(const QVariant&)
    {14, 671, 0, 0, Smoke::mf_const, 205, 24},	//55 Okular::Annotation::nativeId() const
    {14, 867, 35, 1, 0, 0, 25},	//56 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {14, 403, 0, 0, Smoke::mf_const, 281, 26},	//57 Okular::Annotation::canBeMoved() const
    {14, 685, 0, 0, Smoke::mf_const, 281, 27},	//58 Okular::Annotation::openDialogAfterCreation() const
    {14, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 31, 28},	//59 Okular::Annotation::subType() const [pure virtual]
    {14, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 29},	//60 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {14, 561, 0, 0, Smoke::mf_const, 164, 30},	//61 Okular::Annotation::getAnnotationPropertiesDomNode() const
    {14, 839, 40, 1, 0, 0, 31},	//62 Okular::Annotation::setAnnotationProperties(const QDomNode&)
    {14, 19, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 32},	//63 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {14, 19, 44, 2, Smoke::mf_ctor|Smoke::mf_protected, 22, 33},	//64 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {14, 457, 0, 0, Smoke::mf_protected, 35, 34},	//65 Okular::Annotation::d_func()
    {14, 457, 0, 0, Smoke::mf_const|Smoke::mf_protected, 294, 35},	//66 Okular::Annotation::d_func() const
    {14, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 36},	//67 Okular::Annotation::AText (enum)
    {14, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 37},	//68 Okular::Annotation::ALine (enum)
    {14, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 38},	//69 Okular::Annotation::AGeom (enum)
    {14, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 39},	//70 Okular::Annotation::AHighlight (enum)
    {14, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 40},	//71 Okular::Annotation::AStamp (enum)
    {14, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 41},	//72 Okular::Annotation::AInk (enum)
    {14, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 42},	//73 Okular::Annotation::ACaret (enum)
    {14, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 43},	//74 Okular::Annotation::AFileAttachment (enum)
    {14, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 44},	//75 Okular::Annotation::ASound (enum)
    {14, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 45},	//76 Okular::Annotation::AMovie (enum)
    {14, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 46},	//77 Okular::Annotation::AScreen (enum)
    {14, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 47},	//78 Okular::Annotation::AWidget (enum)
    {14, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 48},	//79 Okular::Annotation::A_BASE (enum)
    {14, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 49},	//80 Okular::Annotation::Hidden (enum)
    {14, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 50},	//81 Okular::Annotation::FixedSize (enum)
    {14, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 51},	//82 Okular::Annotation::FixedRotation (enum)
    {14, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 52},	//83 Okular::Annotation::DenyPrint (enum)
    {14, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 53},	//84 Okular::Annotation::DenyWrite (enum)
    {14, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 54},	//85 Okular::Annotation::DenyDelete (enum)
    {14, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 55},	//86 Okular::Annotation::ToggleHidingOnMouse (enum)
    {14, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 56},	//87 Okular::Annotation::External (enum)
    {14, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 57},	//88 Okular::Annotation::ExternallyDrawn (enum)
    {14, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 58},	//89 Okular::Annotation::BeingMoved (enum)
    {14, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 59},	//90 Okular::Annotation::Solid (enum)
    {14, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 60},	//91 Okular::Annotation::Dashed (enum)
    {14, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 61},	//92 Okular::Annotation::Beveled (enum)
    {14, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 62},	//93 Okular::Annotation::Inset (enum)
    {14, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 63},	//94 Okular::Annotation::Underline (enum)
    {14, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 64},	//95 Okular::Annotation::NoEffect (enum)
    {14, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 65},	//96 Okular::Annotation::Cloudy (enum)
    {14, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 66},	//97 Okular::Annotation::Reply (enum)
    {14, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 67},	//98 Okular::Annotation::Group (enum)
    {14, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 68},	//99 Okular::Annotation::Delete (enum)
    {14, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 69},	//100 Okular::Annotation::None (enum)
    {14, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 70},	//101 Okular::Annotation::Marked (enum)
    {14, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 71},	//102 Okular::Annotation::Unmarked (enum)
    {14, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 72},	//103 Okular::Annotation::Accepted (enum)
    {14, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 73},	//104 Okular::Annotation::Rejected (enum)
    {14, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 74},	//105 Okular::Annotation::Cancelled (enum)
    {14, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 75},	//106 Okular::Annotation::Completed (enum)
    {14, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 76},	//107 Okular::Annotation::PageOpening (enum)
    {14, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 77},	//108 Okular::Annotation::PageClosing (enum)
    {14, 1126, 0, 0, Smoke::mf_dtor, 0, 78 },	//109 Okular::Annotation::~Annotation()
    {18, 22, 47, 1, Smoke::mf_ctor, 33, 1},	//110 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {18, 379, 0, 0, Smoke::mf_const, 22, 2},	//111 Okular::AnnotationObjectRect::annotation() const
    {18, 396, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//112 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {18, 436, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 281, 4},	//113 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {18, 1084, 57, 1, Smoke::mf_virtual, 0, 5},	//114 Okular::AnnotationObjectRect::transform(const QTransform&)
    {18, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 6},	//115 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {18, 1127, 0, 0, Smoke::mf_dtor, 0, 7 },	//116 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {20, 447, 1, 1, Smoke::mf_static, 22, 1},	//117 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {20, 1047, 61, 3, Smoke::mf_static, 0, 2},	//118 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {20, 523, 65, 2, Smoke::mf_static, 162, 3},	//119 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {20, 382, 68, 3, Smoke::mf_static, 194, 4},	//120 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {20, 24, 0, 0, Smoke::mf_ctor, 36, 5},	//121 Okular::AnnotationUtils::AnnotationUtils()
    {20, 24, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 6},	//122 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {20, 1128, 0, 0, Smoke::mf_dtor, 0, 7 },	//123 Okular::AnnotationUtils::~AnnotationUtils()
    {22, 37, 9, 1, Smoke::mf_ctor, 38, 1},	//124 Okular::BrowseAction::BrowseAction(const QString&)
    {22, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//125 Okular::BrowseAction::actionType() const
    {22, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 3},	//126 Okular::BrowseAction::actionTip() const
    {22, 1106, 0, 0, Smoke::mf_const, 198, 4},	//127 Okular::BrowseAction::url() const
    {22, 1129, 0, 0, Smoke::mf_dtor, 0, 5 },	//128 Okular::BrowseAction::~BrowseAction()
    {23, 47, 0, 0, Smoke::mf_ctor, 39, 1},	//129 Okular::CaretAnnotation::CaretAnnotation()
    {23, 47, 40, 1, Smoke::mf_ctor, 39, 2},	//130 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {23, 853, 74, 1, 0, 0, 3},	//131 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {23, 424, 0, 0, Smoke::mf_const, 40, 4},	//132 Okular::CaretAnnotation::caretSymbol() const
    {23, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 5},	//133 Okular::CaretAnnotation::subType() const
    {23, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//134 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {23, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 7},	//135 Okular::CaretAnnotation::None (enum)
    {23, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 8},	//136 Okular::CaretAnnotation::P (enum)
    {23, 1130, 0, 0, Smoke::mf_dtor, 0, 9 },	//137 Okular::CaretAnnotation::~CaretAnnotation()
    {24, 793, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 1},	//138 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {24, 372, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//139 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {24, 60, 0, 0, Smoke::mf_ctor, 41, 3},	//140 Okular::ConfigInterface::ConfigInterface()
    {24, 60, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 4},	//141 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {24, 1131, 0, 0, Smoke::mf_dtor, 0, 5 },	//142 Okular::ConfigInterface::~ConfigInterface()
    {25, 662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 1},	//143 Okular::Document::metaObject() const
    {25, 774, 80, 1, Smoke::mf_virtual, 374, 2},	//144 Okular::Document::qt_metacast(const char*)
    {25, 1076, 82, 2, Smoke::mf_static, 198, 3},	//145 Okular::Document::tr(const char*, const char*)
    {25, 1080, 82, 2, Smoke::mf_static, 198, 4},	//146 Okular::Document::trUtf8(const char*, const char*)
    {25, 1076, 85, 3, Smoke::mf_static, 198, 5},	//147 Okular::Document::tr(const char*, const char*, int)
    {25, 1080, 85, 3, Smoke::mf_static, 198, 6},	//148 Okular::Document::trUtf8(const char*, const char*, int)
    {25, 772, 89, 3, Smoke::mf_virtual, 371, 7},	//149 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {25, 76, 93, 1, Smoke::mf_ctor, 42, 8},	//150 Okular::Document::Document(QWidget*)
    {25, 686, 95, 3, 0, 281, 9},	//151 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {25, 431, 0, 0, 0, 0, 10},	//152 Okular::Document::closeDocument()
    {25, 368, 99, 1, 0, 0, 11},	//153 Okular::Document::addObserver(Okular::DocumentObserver*)
    {25, 787, 99, 1, 0, 0, 12},	//154 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {25, 793, 0, 0, 0, 0, 13},	//155 Okular::Document::reparseConfig()
    {25, 1114, 0, 0, Smoke::mf_const, 207, 14},	//156 Okular::Document::widget() const
    {25, 615, 0, 0, Smoke::mf_const, 281, 15},	//157 Okular::Document::isOpened() const
    {25, 484, 0, 0, Smoke::mf_const, 299, 16},	//158 Okular::Document::documentInfo() const
    {25, 488, 0, 0, Smoke::mf_const, 301, 17},	//159 Okular::Document::documentSynopsis() const
    {25, 1040, 0, 0, 0, 0, 18},	//160 Okular::Document::startFontReading()
    {25, 1044, 0, 0, 0, 0, 19},	//161 Okular::Document::stopFontReading()
    {25, 411, 0, 0, Smoke::mf_const, 281, 20},	//162 Okular::Document::canProvideFontInformation() const
    {25, 508, 0, 0, Smoke::mf_const, 344, 21},	//163 Okular::Document::embeddedFiles() const
    {25, 721, 29, 1, Smoke::mf_const, 316, 22},	//164 Okular::Document::page(int) const
    {25, 1108, 0, 0, Smoke::mf_const, 302, 23},	//165 Okular::Document::viewport() const
    {25, 1012, 101, 2, 0, 0, 24},	//166 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*)
    {25, 1110, 0, 0, Smoke::mf_const, 366, 25},	//167 Okular::Document::visiblePageRects() const
    {25, 455, 0, 0, Smoke::mf_const, 372, 26},	//168 Okular::Document::currentPage() const
    {25, 738, 0, 0, Smoke::mf_const, 372, 27},	//169 Okular::Document::pages() const
    {25, 454, 0, 0, Smoke::mf_const, 15, 28},	//170 Okular::Document::currentDocument() const
    {25, 603, 104, 1, Smoke::mf_const, 281, 29},	//171 Okular::Document::isAllowed(Okular::Permission) const
    {25, 1054, 0, 0, Smoke::mf_const, 281, 30},	//172 Okular::Document::supportsSearching() const
    {25, 1052, 0, 0, Smoke::mf_const, 281, 31},	//173 Okular::Document::supportsPageSizes() const
    {25, 1055, 0, 0, Smoke::mf_const, 281, 32},	//174 Okular::Document::supportsTiles() const
    {25, 737, 0, 0, Smoke::mf_const, 181, 33},	//175 Okular::Document::pageSizes() const
    {25, 406, 0, 0, Smoke::mf_const, 281, 34},	//176 Okular::Document::canExportToText() const
    {25, 516, 9, 1, Smoke::mf_const, 281, 35},	//177 Okular::Document::exportToText(const QString&) const
    {25, 513, 0, 0, Smoke::mf_const, 177, 36},	//178 Okular::Document::exportFormats() const
    {25, 514, 106, 2, Smoke::mf_const, 281, 37},	//179 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {25, 587, 0, 0, Smoke::mf_const, 281, 38},	//180 Okular::Document::historyAtBegin() const
    {25, 588, 0, 0, Smoke::mf_const, 281, 39},	//181 Okular::Document::historyAtEnd() const
    {25, 659, 109, 2, Smoke::mf_const, 205, 40},	//182 Okular::Document::metaData(const QString&, const QVariant&) const
    {25, 808, 0, 0, Smoke::mf_const, 125, 41},	//183 Okular::Document::rotation() const
    {25, 377, 0, 0, Smoke::mf_const, 197, 42},	//184 Okular::Document::allPagesSize() const
    {25, 735, 29, 1, Smoke::mf_const, 198, 43},	//185 Okular::Document::pageSizeString(int) const
    {25, 568, 0, 0, 0, 16, 44},	//186 Okular::Document::guiClient()
    {25, 1008, 112, 3, 0, 0, 45},	//187 Okular::Document::setViewportPage(int, Okular::DocumentObserver*, bool)
    {25, 1004, 116, 3, 0, 0, 46},	//188 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*, bool)
    {25, 959, 0, 0, 0, 0, 47},	//189 Okular::Document::setPrevViewport()
    {25, 943, 0, 0, 0, 0, 48},	//190 Okular::Document::setNextViewport()
    {25, 941, 120, 1, 0, 0, 49},	//191 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {25, 939, 9, 1, 0, 0, 50},	//192 Okular::Document::setNextDocumentDestination(const QString&)
    {25, 1021, 122, 2, 0, 0, 51},	//193 Okular::Document::setZoom(int, Okular::DocumentObserver*)
    {25, 797, 125, 1, 0, 0, 52},	//194 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {25, 797, 127, 2, 0, 0, 53},	//195 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {25, 800, 130, 1, 0, 0, 54},	//196 Okular::Document::requestTextPage(unsigned int)
    {25, 370, 132, 2, 0, 0, 55},	//197 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {25, 409, 135, 1, Smoke::mf_const, 281, 56},	//198 Okular::Document::canModifyPageAnnotation(const Okular::Annotation*) const
    {25, 745, 47, 1, 0, 0, 57},	//199 Okular::Document::prepareToModifyAnnotationProperties(Okular::Annotation*)
    {25, 666, 132, 2, 0, 0, 58},	//200 Okular::Document::modifyPageAnnotationProperties(int, Okular::Annotation*)
    {25, 1096, 137, 3, 0, 0, 59},	//201 Okular::Document::translatePageAnnotation(int, Okular::Annotation*, const Okular::NormalizedPoint&)
    {25, 504, 141, 6, 0, 0, 60},	//202 Okular::Document::editPageAnnotationContents(int, Okular::Annotation*, const QString&, int, int, int)
    {25, 415, 135, 1, Smoke::mf_const, 281, 61},	//203 Okular::Document::canRemovePageAnnotation(const Okular::Annotation*) const
    {25, 789, 132, 2, 0, 0, 62},	//204 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {25, 791, 148, 2, 0, 0, 63},	//205 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {25, 954, 151, 3, 0, 0, 64},	//206 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {25, 419, 0, 0, Smoke::mf_const, 281, 65},	//207 Okular::Document::canUndo() const
    {25, 412, 0, 0, Smoke::mf_const, 281, 66},	//208 Okular::Document::canRedo() const
    {25, 825, 155, 8, 0, 0, 67},	//209 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {25, 440, 29, 1, 0, 0, 68},	//210 Okular::Document::continueSearch(int)
    {25, 440, 164, 2, 0, 0, 69},	//211 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {25, 802, 29, 1, 0, 0, 70},	//212 Okular::Document::resetSearch(int)
    {25, 391, 0, 0, Smoke::mf_const, 37, 71},	//213 Okular::Document::bookmarkManager() const
    {25, 761, 167, 1, 0, 0, 72},	//214 Okular::Document::processAction(const Okular::Action*)
    {25, 392, 0, 0, Smoke::mf_const, 186, 73},	//215 Okular::Document::bookmarkedPageList() const
    {25, 393, 0, 0, Smoke::mf_const, 198, 74},	//216 Okular::Document::bookmarkedPageRange() const
    {25, 767, 169, 1, 0, 0, 75},	//217 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {25, 405, 0, 0, Smoke::mf_const, 281, 76},	//218 Okular::Document::canConfigurePrinter() const
    {25, 759, 0, 0, Smoke::mf_const, 44, 77},	//219 Okular::Document::printingSupport() const
    {25, 1053, 0, 0, Smoke::mf_const, 281, 78},	//220 Okular::Document::supportsPrintToFile() const
    {25, 747, 171, 1, 0, 281, 79},	//221 Okular::Document::print(QPrinter&)
    {25, 752, 0, 0, Smoke::mf_const, 198, 80},	//222 Okular::Document::printError() const
    {25, 751, 0, 0, Smoke::mf_const, 207, 81},	//223 Okular::Document::printConfigurationWidget() const
    {25, 521, 76, 1, 0, 0, 82},	//224 Okular::Document::fillConfigDialog(KConfigDialog*)
    {25, 434, 0, 0, Smoke::mf_const, 371, 83},	//225 Okular::Document::configurableGenerators() const
    {25, 1051, 0, 0, Smoke::mf_const, 200, 84},	//226 Okular::Document::supportedMimeTypes() const
    {25, 433, 0, 0, Smoke::mf_const, 284, 85},	//227 Okular::Document::componentData() const
    {25, 417, 173, 1, Smoke::mf_const, 281, 86},	//228 Okular::Document::canSaveChanges(Okular::Document::SaveCapability) const
    {25, 417, 0, 0, Smoke::mf_const, 281, 87},	//229 Okular::Document::canSaveChanges() const
    {25, 815, 9, 1, 0, 281, 88},	//230 Okular::Document::saveChanges(const QString&)
    {25, 815, 175, 2, 0, 281, 89},	//231 Okular::Document::saveChanges(const QString&, QString*)
    {25, 783, 178, 1, 0, 0, 90},	//232 Okular::Document::registerView(Okular::View*)
    {25, 1102, 178, 1, 0, 0, 91},	//233 Okular::Document::unregisterView(Okular::View*)
    {25, 529, 180, 1, Smoke::mf_const, 155, 92},	//234 Okular::Document::fontData(const Okular::FontInfo&) const
    {25, 688, 182, 2, 0, 281, 93},	//235 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {25, 818, 9, 1, 0, 281, 94},	//236 Okular::Document::saveDocumentArchive(const QString&)
    {25, 493, 185, 3, 0, 325, 95},	//237 Okular::Document::dynamicSourceReference(int, double, double)
    {25, 720, 0, 0, Smoke::mf_const, 193, 96},	//238 Okular::Document::orientation() const
    {25, 837, 189, 1, 0, 0, 97},	//239 Okular::Document::setAnnotationEditingEnabled(bool)
    {25, 964, 29, 1, Smoke::mf_slot, 0, 98},	//240 Okular::Document::setRotation(int)
    {25, 952, 191, 1, Smoke::mf_slot, 0, 99},	//241 Okular::Document::setPageSize(const Okular::PageSize&)
    {25, 422, 0, 0, Smoke::mf_slot, 0, 100},	//242 Okular::Document::cancelSearch()
    {25, 1100, 0, 0, Smoke::mf_slot, 0, 101},	//243 Okular::Document::undo()
    {25, 781, 0, 0, Smoke::mf_slot, 0, 102},	//244 Okular::Document::redo()
    {25, 502, 193, 6, Smoke::mf_slot, 0, 103},	//245 Okular::Document::editFormText(int, Okular::FormFieldText*, const QString&, int, int, int)
    {25, 500, 200, 3, Smoke::mf_slot, 0, 104},	//246 Okular::Document::editFormList(int, Okular::FormFieldChoice*, const QList<int>&)
    {25, 498, 204, 6, Smoke::mf_slot, 0, 105},	//247 Okular::Document::editFormCombo(int, Okular::FormFieldChoice*, const QString&, int, int, int)
    {25, 496, 211, 3, Smoke::mf_slot, 0, 106},	//248 Okular::Document::editFormButtons(int, const QList<Okular::FormFieldButton*>&, const QList<bool>&)
    {25, 430, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//249 Okular::Document::close()
    {25, 776, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//250 Okular::Document::quit()
    {25, 642, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//251 Okular::Document::linkFind()
    {25, 643, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//252 Okular::Document::linkGoToPage()
    {25, 644, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//253 Okular::Document::linkPresentation()
    {25, 641, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//254 Okular::Document::linkEndPresentation()
    {25, 690, 215, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//255 Okular::Document::openUrl(const KUrl&)
    {25, 509, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//256 Okular::Document::error(const QString&, int)
    {25, 1112, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//257 Okular::Document::warning(const QString&, int)
    {25, 675, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//258 Okular::Document::notice(const QString&, int)
    {25, 566, 180, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//259 Okular::Document::gotFont(const Okular::FontInfo&)
    {25, 532, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//260 Okular::Document::fontReadingProgress(int)
    {25, 531, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//261 Okular::Document::fontReadingEnded()
    {25, 823, 220, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//262 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {25, 1035, 223, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//263 Okular::Document::sourceReferenceActivated(const QString&, int, int, bool*)
    {25, 763, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//264 Okular::Document::processMovieAction(const Okular::MovieAction*)
    {25, 420, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//265 Okular::Document::canUndoChanged(bool)
    {25, 413, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//266 Okular::Document::canRedoChanged(bool)
    {25, 765, 230, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 125},	//267 Okular::Document::processRenditionAction(const Okular::RenditionAction*)
    {25, 380, 232, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 126},	//268 Okular::Document::annotationContentsChangedByUndoRedo(Okular::Annotation*, const QString&, int, int)
    {25, 543, 237, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 127},	//269 Okular::Document::formTextChangedByUndoRedo(int, Okular::FormFieldText*, const QString&, int, int)
    {25, 541, 200, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 128},	//270 Okular::Document::formListChangedByUndoRedo(int, Okular::FormFieldChoice*, const QList<int>&)
    {25, 538, 243, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 129},	//271 Okular::Document::formComboChangedByUndoRedo(int, Okular::FormFieldChoice*, const QString&, int, int)
    {25, 536, 249, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 130},	//272 Okular::Document::formButtonsChangedByUndoRedo(int, const QList<Okular::FormFieldButton*>&)
    {25, 1076, 80, 1, Smoke::mf_static, 198, 131},	//273 Okular::Document::tr(const char*)
    {25, 1080, 80, 1, Smoke::mf_static, 198, 132},	//274 Okular::Document::trUtf8(const char*)
    {25, 1012, 252, 1, 0, 0, 133},	//275 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {25, 659, 9, 1, Smoke::mf_const, 205, 134},	//276 Okular::Document::metaData(const QString&) const
    {25, 1008, 29, 1, 0, 0, 135},	//277 Okular::Document::setViewportPage(int)
    {25, 1008, 122, 2, 0, 0, 136},	//278 Okular::Document::setViewportPage(int, Okular::DocumentObserver*)
    {25, 1004, 120, 1, 0, 0, 137},	//279 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {25, 1004, 254, 2, 0, 0, 138},	//280 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*)
    {25, 1021, 29, 1, 0, 0, 139},	//281 Okular::Document::setZoom(int)
    {25, 825, 257, 7, 0, 0, 140},	//282 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {25, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 351, 141},	//283 Okular::Document::staticMetaObject() const
    {25, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 142},	//284 Okular::Document::NoOption (enum)
    {25, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 143},	//285 Okular::Document::RemoveAllPrevious (enum)
    {25, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 144},	//286 Okular::Document::NextMatch (enum)
    {25, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 145},	//287 Okular::Document::PreviousMatch (enum)
    {25, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 146},	//288 Okular::Document::AllDocument (enum)
    {25, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 147},	//289 Okular::Document::GoogleAll (enum)
    {25, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 148},	//290 Okular::Document::GoogleAny (enum)
    {25, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 149},	//291 Okular::Document::MatchFound (enum)
    {25, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 150},	//292 Okular::Document::NoMatchFound (enum)
    {25, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 151},	//293 Okular::Document::SearchCancelled (enum)
    {25, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 152},	//294 Okular::Document::NoPrinting (enum)
    {25, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 153},	//295 Okular::Document::NativePrinting (enum)
    {25, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 154},	//296 Okular::Document::PostscriptPrinting (enum)
    {25, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 155},	//297 Okular::Document::SaveFormsCapability (enum)
    {25, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 156},	//298 Okular::Document::SaveAnnotationsCapability (enum)
    {25, 1132, 0, 0, Smoke::mf_dtor, 0, 157 },	//299 Okular::Document::~Document()
    {26, 78, 265, 1, Smoke::mf_ctor, 48, 1},	//300 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {26, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//301 Okular::DocumentAction::actionType() const
    {26, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 3},	//302 Okular::DocumentAction::actionTip() const
    {26, 483, 0, 0, Smoke::mf_const, 49, 4},	//303 Okular::DocumentAction::documentActionType() const
    {26, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 5},	//304 Okular::DocumentAction::PageFirst (enum)
    {26, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 6},	//305 Okular::DocumentAction::PagePrev (enum)
    {26, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 7},	//306 Okular::DocumentAction::PageNext (enum)
    {26, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 8},	//307 Okular::DocumentAction::PageLast (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 9},	//308 Okular::DocumentAction::HistoryBack (enum)
    {26, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 10},	//309 Okular::DocumentAction::HistoryForward (enum)
    {26, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 11},	//310 Okular::DocumentAction::Quit (enum)
    {26, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 12},	//311 Okular::DocumentAction::Presentation (enum)
    {26, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 13},	//312 Okular::DocumentAction::EndPresentation (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 14},	//313 Okular::DocumentAction::Find (enum)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 15},	//314 Okular::DocumentAction::GoToPage (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 16},	//315 Okular::DocumentAction::Close (enum)
    {26, 1133, 0, 0, Smoke::mf_dtor, 0, 17 },	//316 Okular::DocumentAction::~DocumentAction()
    {27, 80, 0, 0, Smoke::mf_ctor, 50, 1},	//317 Okular::DocumentInfo::DocumentInfo()
    {27, 828, 267, 3, 0, 0, 2},	//318 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {27, 828, 271, 2, 0, 0, 3},	//319 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {27, 559, 9, 1, Smoke::mf_const, 198, 4},	//320 Okular::DocumentInfo::get(const QString&) const
    {27, 562, 274, 1, Smoke::mf_static, 198, 5},	//321 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {27, 564, 274, 1, Smoke::mf_static, 198, 6},	//322 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {27, 80, 276, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 7},	//323 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {27, 828, 278, 2, 0, 0, 8},	//324 Okular::DocumentInfo::set(const QString&, const QString&)
    {27, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 9},	//325 Okular::DocumentInfo::Title (enum)
    {27, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 10},	//326 Okular::DocumentInfo::Subject (enum)
    {27, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 11},	//327 Okular::DocumentInfo::Description (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 12},	//328 Okular::DocumentInfo::Author (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 13},	//329 Okular::DocumentInfo::Creator (enum)
    {27, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 14},	//330 Okular::DocumentInfo::Producer (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 15},	//331 Okular::DocumentInfo::Copyright (enum)
    {27, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//332 Okular::DocumentInfo::Pages (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//333 Okular::DocumentInfo::CreationDate (enum)
    {27, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//334 Okular::DocumentInfo::ModificationDate (enum)
    {27, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 19},	//335 Okular::DocumentInfo::MimeType (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 20},	//336 Okular::DocumentInfo::Category (enum)
    {27, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 21},	//337 Okular::DocumentInfo::Keywords (enum)
    {27, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 22},	//338 Okular::DocumentInfo::FilePath (enum)
    {27, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 23},	//339 Okular::DocumentInfo::DocumentSize (enum)
    {27, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 24},	//340 Okular::DocumentInfo::PagesSize (enum)
    {27, 1134, 0, 0, Smoke::mf_dtor, 0, 25 },	//341 Okular::DocumentInfo::~DocumentInfo()
    {29, 83, 0, 0, Smoke::mf_ctor, 53, 1},	//342 Okular::DocumentSynopsis::DocumentSynopsis()
    {29, 83, 281, 1, Smoke::mf_ctor, 53, 2},	//343 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {29, 83, 283, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 3},	//344 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {29, 1135, 0, 0, Smoke::mf_dtor, 0, 4 },	//345 Okular::DocumentSynopsis::~DocumentSynopsis()
    {30, 85, 29, 1, Smoke::mf_ctor, 55, 1},	//346 Okular::DocumentViewport::DocumentViewport(int)
    {30, 85, 9, 1, Smoke::mf_ctor, 55, 2},	//347 Okular::DocumentViewport::DocumentViewport(const QString&)
    {30, 1073, 0, 0, Smoke::mf_const, 198, 3},	//348 Okular::DocumentViewport::toString() const
    {30, 627, 0, 0, Smoke::mf_const, 281, 4},	//349 Okular::DocumentViewport::isValid() const
    {30, 700, 120, 1, Smoke::mf_const, 281, 5},	//350 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {30, 696, 120, 1, Smoke::mf_const, 281, 6},	//351 Okular::DocumentViewport::operator<(const Okular::DocumentViewport&) const
    {30, 85, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 7},	//352 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {30, 85, 0, 0, Smoke::mf_ctor, 55, 8},	//353 Okular::DocumentViewport::DocumentViewport()
    {30, 730, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 371, 9},	//354 Okular::DocumentViewport::pageNumber() const
    {30, 950, 29, 1, Smoke::mf_attribute, 0, 10},	//355 Okular::DocumentViewport::setPageNumber(int)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 11},	//356 Okular::DocumentViewport::Center (enum)
    {30, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 12},	//357 Okular::DocumentViewport::TopLeft (enum)
    {30, 1136, 0, 0, Smoke::mf_dtor, 0, 13 },	//358 Okular::DocumentViewport::~DocumentViewport()
    {31, 89, 0, 0, Smoke::mf_ctor, 57, 1},	//359 Okular::EmbeddedFile::EmbeddedFile()
    {31, 670, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 2},	//360 Okular::EmbeddedFile::name() const [pure virtual]
    {31, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 3},	//361 Okular::EmbeddedFile::description() const [pure virtual]
    {31, 458, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 4},	//362 Okular::EmbeddedFile::data() const [pure virtual]
    {31, 1030, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 371, 5},	//363 Okular::EmbeddedFile::size() const [pure virtual]
    {31, 665, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 6},	//364 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {31, 449, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 7},	//365 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {31, 89, 285, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 8},	//366 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {31, 1137, 0, 0, Smoke::mf_dtor, 0, 9 },	//367 Okular::EmbeddedFile::~EmbeddedFile()
    {32, 94, 278, 2, Smoke::mf_ctor, 58, 1},	//368 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {32, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//369 Okular::ExecuteAction::actionType() const
    {32, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 3},	//370 Okular::ExecuteAction::actionTip() const
    {32, 520, 0, 0, Smoke::mf_const, 198, 4},	//371 Okular::ExecuteAction::fileName() const
    {32, 741, 0, 0, Smoke::mf_const, 198, 5},	//372 Okular::ExecuteAction::parameters() const
    {32, 1138, 0, 0, Smoke::mf_dtor, 0, 6 },	//373 Okular::ExecuteAction::~ExecuteAction()
    {33, 96, 0, 0, Smoke::mf_ctor, 61, 1},	//374 Okular::ExportFormat::ExportFormat()
    {33, 96, 287, 2, Smoke::mf_ctor, 61, 2},	//375 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {33, 96, 290, 3, Smoke::mf_ctor, 61, 3},	//376 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {33, 96, 294, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 4},	//377 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {33, 698, 294, 1, 0, 60, 5},	//378 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {33, 467, 0, 0, Smoke::mf_const, 198, 6},	//379 Okular::ExportFormat::description() const
    {33, 663, 0, 0, Smoke::mf_const, 10, 7},	//380 Okular::ExportFormat::mimeType() const
    {33, 589, 0, 0, Smoke::mf_const, 6, 8},	//381 Okular::ExportFormat::icon() const
    {33, 614, 0, 0, Smoke::mf_const, 281, 9},	//382 Okular::ExportFormat::isNull() const
    {33, 1038, 296, 1, Smoke::mf_static, 59, 10},	//383 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {33, 700, 294, 1, Smoke::mf_const, 281, 11},	//384 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {33, 692, 294, 1, Smoke::mf_const, 281, 12},	//385 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {33, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 13},	//386 Okular::ExportFormat::PlainText (enum)
    {33, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 14},	//387 Okular::ExportFormat::PDF (enum)
    {33, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 15},	//388 Okular::ExportFormat::OpenDocumentText (enum)
    {33, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 16},	//389 Okular::ExportFormat::HTML (enum)
    {33, 1139, 0, 0, Smoke::mf_dtor, 0, 17 },	//390 Okular::ExportFormat::~ExportFormat()
    {34, 103, 0, 0, Smoke::mf_ctor, 63, 1},	//391 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {34, 103, 40, 1, Smoke::mf_ctor, 63, 2},	//392 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {34, 519, 0, 0, Smoke::mf_const, 198, 3},	//393 Okular::FileAttachmentAnnotation::fileIconName() const
    {34, 882, 9, 1, 0, 0, 4},	//394 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {34, 507, 0, 0, Smoke::mf_const, 57, 5},	//395 Okular::FileAttachmentAnnotation::embeddedFile() const
    {34, 875, 298, 1, 0, 0, 6},	//396 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {34, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 7},	//397 Okular::FileAttachmentAnnotation::subType() const
    {34, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//398 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {34, 1140, 0, 0, Smoke::mf_dtor, 0, 9 },	//399 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {35, 754, 300, 6, Smoke::mf_static, 371, 1},	//400 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {35, 725, 307, 4, Smoke::mf_static, 186, 2},	//401 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {35, 725, 312, 3, Smoke::mf_static, 186, 3},	//402 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {35, 731, 312, 3, Smoke::mf_static, 198, 4},	//403 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {35, 728, 316, 1, Smoke::mf_static, 198, 5},	//404 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {35, 769, 0, 0, Smoke::mf_static, 281, 6},	//405 Okular::FilePrinter::ps2pdfAvailable()
    {35, 742, 0, 0, Smoke::mf_static, 281, 7},	//406 Okular::FilePrinter::pdf2psAvailable()
    {35, 450, 0, 0, Smoke::mf_static, 281, 8},	//407 Okular::FilePrinter::cupsAvailable()
    {35, 770, 171, 1, Smoke::mf_static, 196, 9},	//408 Okular::FilePrinter::psPaperSize(QPrinter&)
    {35, 752, 29, 1, Smoke::mf_static, 86, 10},	//409 Okular::FilePrinter::printError(int)
    {35, 473, 0, 0, Smoke::mf_protected, 281, 11},	//410 Okular::FilePrinter::detectCupsService()
    {35, 472, 0, 0, Smoke::mf_protected, 281, 12},	//411 Okular::FilePrinter::detectCupsConfig()
    {35, 480, 318, 6, Smoke::mf_protected, 371, 13},	//412 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation)
    {35, 749, 325, 7, Smoke::mf_protected, 200, 14},	//413 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation)
    {35, 469, 333, 2, Smoke::mf_protected, 200, 15},	//414 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {35, 445, 333, 2, Smoke::mf_protected, 200, 16},	//415 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {35, 629, 333, 2, Smoke::mf_protected, 200, 17},	//416 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {35, 460, 336, 3, Smoke::mf_protected, 200, 18},	//417 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {35, 738, 340, 5, Smoke::mf_protected, 200, 19},	//418 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {35, 451, 346, 2, Smoke::mf_protected, 200, 20},	//419 Okular::FilePrinter::cupsOptions(QPrinter&, QPrinter::Orientation)
    {35, 712, 171, 1, Smoke::mf_protected, 200, 21},	//420 Okular::FilePrinter::optionMedia(QPrinter&)
    {35, 655, 171, 1, Smoke::mf_protected, 198, 22},	//421 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {35, 657, 171, 1, Smoke::mf_protected, 198, 23},	//422 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {35, 714, 346, 2, Smoke::mf_protected, 200, 24},	//423 Okular::FilePrinter::optionOrientation(QPrinter&, QPrinter::Orientation)
    {35, 710, 171, 1, Smoke::mf_protected, 200, 25},	//424 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {35, 718, 171, 1, Smoke::mf_protected, 200, 26},	//425 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {35, 706, 171, 1, Smoke::mf_protected, 200, 27},	//426 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {35, 716, 171, 1, Smoke::mf_protected, 200, 28},	//427 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {35, 708, 171, 1, Smoke::mf_protected, 200, 29},	//428 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {35, 107, 0, 0, Smoke::mf_ctor, 64, 30},	//429 Okular::FilePrinter::FilePrinter()
    {35, 107, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 31},	//430 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {35, 754, 351, 3, Smoke::mf_static, 371, 32},	//431 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    {35, 754, 355, 4, Smoke::mf_static, 371, 33},	//432 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    {35, 754, 360, 5, Smoke::mf_static, 371, 34},	//433 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {35, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 35},	//434 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {35, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 36},	//435 Okular::FilePrinter::SystemDeletesFiles (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 37},	//436 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {35, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 38},	//437 Okular::FilePrinter::SystemSelectsPages (enum)
    {35, 1141, 0, 0, Smoke::mf_dtor, 0, 39 },	//438 Okular::FilePrinter::~FilePrinter()
    {36, 114, 0, 0, Smoke::mf_ctor, 69, 1},	//439 Okular::FontInfo::FontInfo()
    {36, 114, 180, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 2},	//440 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {36, 670, 0, 0, Smoke::mf_const, 198, 3},	//441 Okular::FontInfo::name() const
    {36, 935, 9, 1, 0, 0, 4},	//442 Okular::FontInfo::setName(const QString&)
    {36, 1098, 0, 0, Smoke::mf_const, 71, 5},	//443 Okular::FontInfo::type() const
    {36, 1000, 366, 1, 0, 0, 6},	//444 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {36, 506, 0, 0, Smoke::mf_const, 70, 7},	//445 Okular::FontInfo::embedType() const
    {36, 873, 368, 1, 0, 0, 8},	//446 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {36, 518, 0, 0, Smoke::mf_const, 198, 9},	//447 Okular::FontInfo::file() const
    {36, 880, 9, 1, 0, 0, 10},	//448 Okular::FontInfo::setFile(const QString&)
    {36, 402, 0, 0, Smoke::mf_const, 281, 11},	//449 Okular::FontInfo::canBeExtracted() const
    {36, 851, 189, 1, 0, 0, 12},	//450 Okular::FontInfo::setCanBeExtracted(bool)
    {36, 937, 23, 1, 0, 0, 13},	//451 Okular::FontInfo::setNativeId(const QVariant&)
    {36, 671, 0, 0, Smoke::mf_const, 205, 14},	//452 Okular::FontInfo::nativeId() const
    {36, 698, 180, 1, 0, 68, 15},	//453 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {36, 700, 180, 1, Smoke::mf_const, 281, 16},	//454 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {36, 692, 180, 1, Smoke::mf_const, 281, 17},	//455 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {36, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 18},	//456 Okular::FontInfo::Unknown (enum)
    {36, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 19},	//457 Okular::FontInfo::Type1 (enum)
    {36, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 20},	//458 Okular::FontInfo::Type1C (enum)
    {36, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 21},	//459 Okular::FontInfo::Type1COT (enum)
    {36, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//460 Okular::FontInfo::Type3 (enum)
    {36, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 23},	//461 Okular::FontInfo::TrueType (enum)
    {36, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 24},	//462 Okular::FontInfo::TrueTypeOT (enum)
    {36, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 25},	//463 Okular::FontInfo::CIDType0 (enum)
    {36, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 26},	//464 Okular::FontInfo::CIDType0C (enum)
    {36, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 27},	//465 Okular::FontInfo::CIDType0COT (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 28},	//466 Okular::FontInfo::CIDTrueType (enum)
    {36, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 29},	//467 Okular::FontInfo::CIDTrueTypeOT (enum)
    {36, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 30},	//468 Okular::FontInfo::TeXPK (enum)
    {36, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 31},	//469 Okular::FontInfo::TeXVirtual (enum)
    {36, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 32},	//470 Okular::FontInfo::TeXFontMetric (enum)
    {36, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 33},	//471 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {36, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 34},	//472 Okular::FontInfo::NotEmbedded (enum)
    {36, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 35},	//473 Okular::FontInfo::EmbeddedSubset (enum)
    {36, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 36},	//474 Okular::FontInfo::FullyEmbedded (enum)
    {36, 1142, 0, 0, Smoke::mf_dtor, 0, 37 },	//475 Okular::FontInfo::~FontInfo()
    {37, 1098, 0, 0, Smoke::mf_const, 73, 1},	//476 Okular::FormField::type() const
    {37, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 104, 2},	//477 Okular::FormField::rect() const [pure virtual]
    {37, 590, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 371, 3},	//478 Okular::FormField::id() const [pure virtual]
    {37, 670, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 4},	//479 Okular::FormField::name() const [pure virtual]
    {37, 1099, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 5},	//480 Okular::FormField::uiName() const [pure virtual]
    {37, 617, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 6},	//481 Okular::FormField::isReadOnly() const
    {37, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 7},	//482 Okular::FormField::isVisible() const
    {37, 359, 0, 0, Smoke::mf_const, 18, 8},	//483 Okular::FormField::activationAction() const
    {37, 118, 370, 1, Smoke::mf_ctor|Smoke::mf_protected, 72, 9},	//484 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {37, 457, 0, 0, Smoke::mf_protected, 79, 10},	//485 Okular::FormField::d_func()
    {37, 457, 0, 0, Smoke::mf_const|Smoke::mf_protected, 307, 11},	//486 Okular::FormField::d_func() const
    {37, 831, 372, 1, Smoke::mf_protected, 0, 12},	//487 Okular::FormField::setActivationAction(Okular::Action*)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 13},	//488 Okular::FormField::FormButton (enum)
    {37, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 14},	//489 Okular::FormField::FormText (enum)
    {37, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 15},	//490 Okular::FormField::FormChoice (enum)
    {37, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 16},	//491 Okular::FormField::FormSignature (enum)
    {37, 1143, 0, 0, Smoke::mf_dtor, 0, 17 },	//492 Okular::FormField::~FormField()
    {38, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 75, 1},	//493 Okular::FormFieldButton::buttonType() const [pure virtual]
    {38, 423, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 2},	//494 Okular::FormFieldButton::caption() const [pure virtual]
    {38, 1041, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 3},	//495 Okular::FormFieldButton::state() const [pure virtual]
    {38, 982, 189, 1, Smoke::mf_virtual, 0, 4},	//496 Okular::FormFieldButton::setState(bool)
    {38, 1025, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 186, 5},	//497 Okular::FormFieldButton::siblings() const [pure virtual]
    {38, 120, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 74, 6},	//498 Okular::FormFieldButton::FormFieldButton()
    {38, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 7},	//499 Okular::FormFieldButton::Push (enum)
    {38, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 8},	//500 Okular::FormFieldButton::CheckBox (enum)
    {38, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 9},	//501 Okular::FormFieldButton::Radio (enum)
    {38, 1144, 0, 0, Smoke::mf_dtor, 0, 10 },	//502 Okular::FormFieldButton::~FormFieldButton()
    {39, 428, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 1},	//503 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {39, 429, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 200, 2},	//504 Okular::FormFieldChoice::choices() const [pure virtual]
    {39, 610, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 3},	//505 Okular::FormFieldChoice::isEditable() const
    {39, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 4},	//506 Okular::FormFieldChoice::multiSelect() const
    {39, 453, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 186, 5},	//507 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {39, 862, 316, 1, Smoke::mf_virtual, 0, 6},	//508 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {39, 495, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 7},	//509 Okular::FormFieldChoice::editChoice() const
    {39, 871, 9, 1, Smoke::mf_virtual, 0, 8},	//510 Okular::FormFieldChoice::setEditChoice(const QString&)
    {39, 1060, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 169, 9},	//511 Okular::FormFieldChoice::textAlignment() const
    {39, 404, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 10},	//512 Okular::FormFieldChoice::canBeSpellChecked() const
    {39, 121, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 76, 11},	//513 Okular::FormFieldChoice::FormFieldChoice()
    {39, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 12},	//514 Okular::FormFieldChoice::ComboBox (enum)
    {39, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 13},	//515 Okular::FormFieldChoice::ListBox (enum)
    {39, 1145, 0, 0, Smoke::mf_dtor, 0, 14 },	//516 Okular::FormFieldChoice::~FormFieldChoice()
    {41, 1069, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 81, 1},	//517 Okular::FormFieldText::textType() const [pure virtual]
    {41, 1057, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 2},	//518 Okular::FormFieldText::text() const [pure virtual]
    {41, 984, 9, 1, Smoke::mf_virtual, 0, 3},	//519 Okular::FormFieldText::setText(const QString&)
    {41, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 4},	//520 Okular::FormFieldText::isPassword() const
    {41, 619, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 5},	//521 Okular::FormFieldText::isRichText() const
    {41, 654, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 371, 6},	//522 Okular::FormFieldText::maximumLength() const
    {41, 1060, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 169, 7},	//523 Okular::FormFieldText::textAlignment() const
    {41, 404, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 8},	//524 Okular::FormFieldText::canBeSpellChecked() const
    {41, 122, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 80, 9},	//525 Okular::FormFieldText::FormFieldText()
    {41, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 10},	//526 Okular::FormFieldText::Normal (enum)
    {41, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 11},	//527 Okular::FormFieldText::Multiline (enum)
    {41, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 12},	//528 Okular::FormFieldText::FileSelect (enum)
    {41, 1146, 0, 0, Smoke::mf_dtor, 0, 13 },	//529 Okular::FormFieldText::~FormFieldText()
    {42, 662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 1},	//530 Okular::Generator::metaObject() const
    {42, 774, 80, 1, Smoke::mf_virtual, 374, 2},	//531 Okular::Generator::qt_metacast(const char*)
    {42, 1076, 82, 2, Smoke::mf_static, 198, 3},	//532 Okular::Generator::tr(const char*, const char*)
    {42, 1080, 82, 2, Smoke::mf_static, 198, 4},	//533 Okular::Generator::trUtf8(const char*, const char*)
    {42, 1076, 85, 3, Smoke::mf_static, 198, 5},	//534 Okular::Generator::tr(const char*, const char*, int)
    {42, 1080, 85, 3, Smoke::mf_static, 198, 6},	//535 Okular::Generator::trUtf8(const char*, const char*, int)
    {42, 772, 89, 3, Smoke::mf_virtual, 371, 7},	//536 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {42, 126, 374, 2, Smoke::mf_ctor, 83, 8},	//537 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {42, 645, 377, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 9},	//538 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {42, 647, 380, 2, Smoke::mf_virtual, 281, 10},	//539 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {42, 431, 0, 0, 0, 281, 11},	//540 Okular::Generator::closeDocument()
    {42, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 12},	//541 Okular::Generator::canGeneratePixmap() const
    {42, 550, 383, 1, Smoke::mf_virtual, 0, 13},	//542 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {42, 408, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 14},	//543 Okular::Generator::canGenerateTextPage() const
    {42, 552, 385, 1, Smoke::mf_virtual, 0, 15},	//544 Okular::Generator::generateTextPage(Okular::Page*)
    {42, 548, 0, 0, Smoke::mf_virtual, 299, 16},	//545 Okular::Generator::generateDocumentInfo()
    {42, 549, 0, 0, Smoke::mf_virtual, 301, 17},	//546 Okular::Generator::generateDocumentSynopsis()
    {42, 534, 29, 1, Smoke::mf_virtual, 178, 18},	//547 Okular::Generator::fontsForPage(int)
    {42, 508, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 19},	//548 Okular::Generator::embeddedFiles() const
    {42, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 20},	//549 Okular::Generator::pagesSizeMetric() const
    {42, 603, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//550 Okular::Generator::isAllowed(Okular::Permission) const
    {42, 809, 387, 2, Smoke::mf_virtual, 0, 22},	//551 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {42, 737, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 23},	//552 Okular::Generator::pageSizes() const
    {42, 733, 390, 2, Smoke::mf_virtual, 0, 24},	//553 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {42, 747, 171, 1, Smoke::mf_virtual, 281, 25},	//554 Okular::Generator::print(QPrinter&)
    {42, 659, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 205, 26},	//555 Okular::Generator::metaData(const QString&, const QVariant&) const
    {42, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 27},	//556 Okular::Generator::exportFormats() const
    {42, 514, 106, 2, Smoke::mf_virtual, 281, 28},	//557 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {42, 570, 393, 1, Smoke::mf_const, 281, 29},	//558 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {42, 509, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//559 Okular::Generator::error(const QString&, int)
    {42, 1112, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//560 Okular::Generator::warning(const QString&, int)
    {42, 675, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//561 Okular::Generator::notice(const QString&, int)
    {42, 1026, 383, 1, Smoke::mf_protected, 0, 33},	//562 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {42, 1028, 395, 2, Smoke::mf_protected, 0, 34},	//563 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {42, 479, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 35},	//564 Okular::Generator::doCloseDocument() [pure virtual]
    {42, 591, 383, 1, Smoke::mf_protected|Smoke::mf_virtual, 171, 36},	//565 Okular::Generator::image(Okular::PixmapRequest*)
    {42, 1065, 385, 1, Smoke::mf_protected|Smoke::mf_virtual, 144, 37},	//566 Okular::Generator::textPage(Okular::Page*)
    {42, 482, 0, 0, Smoke::mf_const|Smoke::mf_protected, 297, 38},	//567 Okular::Generator::document() const
    {42, 877, 398, 2, Smoke::mf_protected, 0, 39},	//568 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {42, 485, 109, 2, Smoke::mf_const|Smoke::mf_protected, 205, 40},	//569 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {42, 1107, 0, 0, Smoke::mf_const|Smoke::mf_protected, 188, 41},	//570 Okular::Generator::userMutex() const
    {42, 1104, 401, 2, Smoke::mf_protected, 0, 42},	//571 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {42, 795, 404, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 43},	//572 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {42, 493, 185, 3, Smoke::mf_protected|Smoke::mf_slot, 325, 44},	//573 Okular::Generator::dynamicSourceReference(int, double, double)
    {42, 752, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 86, 45},	//574 Okular::Generator::printError() const
    {42, 126, 407, 3, Smoke::mf_ctor|Smoke::mf_protected, 83, 46},	//575 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {42, 457, 0, 0, Smoke::mf_protected, 88, 47},	//576 Okular::Generator::d_func()
    {42, 457, 0, 0, Smoke::mf_const|Smoke::mf_protected, 308, 48},	//577 Okular::Generator::d_func() const
    {42, 1076, 80, 1, Smoke::mf_static, 198, 49},	//578 Okular::Generator::tr(const char*)
    {42, 1080, 80, 1, Smoke::mf_static, 198, 50},	//579 Okular::Generator::trUtf8(const char*)
    {42, 877, 393, 1, Smoke::mf_protected, 0, 51},	//580 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {42, 485, 9, 1, Smoke::mf_const|Smoke::mf_protected, 205, 52},	//581 Okular::Generator::documentMetaData(const QString&) const
    {42, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 351, 53},	//582 Okular::Generator::staticMetaObject() const
    {42, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 54},	//583 Okular::Generator::Threaded (enum)
    {42, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 55},	//584 Okular::Generator::TextExtraction (enum)
    {42, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 56},	//585 Okular::Generator::ReadRawData (enum)
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 57},	//586 Okular::Generator::FontInfo (enum)
    {42, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 58},	//587 Okular::Generator::PageSizes (enum)
    {42, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 59},	//588 Okular::Generator::PrintNative (enum)
    {42, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 60},	//589 Okular::Generator::PrintPostscript (enum)
    {42, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 61},	//590 Okular::Generator::PrintToFile (enum)
    {42, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 62},	//591 Okular::Generator::TiledRendering (enum)
    {42, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 63},	//592 Okular::Generator::None (enum)
    {42, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 64},	//593 Okular::Generator::Points (enum)
    {42, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 65},	//594 Okular::Generator::NoPrintError (enum)
    {42, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 66},	//595 Okular::Generator::UnknownPrintError (enum)
    {42, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 67},	//596 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {42, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 68},	//597 Okular::Generator::FileConversionPrintError (enum)
    {42, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 69},	//598 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {42, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 70},	//599 Okular::Generator::PrintingProcessStartPrintError (enum)
    {42, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 71},	//600 Okular::Generator::PrintToFilePrintError (enum)
    {42, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 72},	//601 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {42, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 73},	//602 Okular::Generator::UnableToFindFilePrintError (enum)
    {42, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 74},	//603 Okular::Generator::NoFileToPrintError (enum)
    {42, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 75},	//604 Okular::Generator::NoBinaryToPrintError (enum)
    {42, 1147, 0, 0, Smoke::mf_dtor, 0, 76 },	//605 Okular::Generator::~Generator()
    {44, 129, 0, 0, Smoke::mf_ctor, 89, 1},	//606 Okular::GeomAnnotation::GeomAnnotation()
    {44, 129, 40, 1, Smoke::mf_ctor, 89, 2},	//607 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {44, 890, 411, 1, 0, 0, 3},	//608 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {44, 556, 0, 0, Smoke::mf_const, 90, 4},	//609 Okular::GeomAnnotation::geometricalType() const
    {44, 888, 413, 1, 0, 0, 5},	//610 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {44, 555, 0, 0, Smoke::mf_const, 158, 6},	//611 Okular::GeomAnnotation::geometricalInnerColor() const
    {44, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 7},	//612 Okular::GeomAnnotation::subType() const
    {44, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//613 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {44, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 9},	//614 Okular::GeomAnnotation::InscribedSquare (enum)
    {44, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 10},	//615 Okular::GeomAnnotation::InscribedCircle (enum)
    {44, 1148, 0, 0, Smoke::mf_dtor, 0, 11 },	//616 Okular::GeomAnnotation::~GeomAnnotation()
    {45, 136, 415, 2, Smoke::mf_ctor, 91, 1},	//617 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {45, 136, 278, 2, Smoke::mf_ctor, 91, 2},	//618 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {45, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 3},	//619 Okular::GotoAction::actionType() const
    {45, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 4},	//620 Okular::GotoAction::actionTip() const
    {45, 611, 0, 0, Smoke::mf_const, 281, 5},	//621 Okular::GotoAction::isExternal() const
    {45, 520, 0, 0, Smoke::mf_const, 198, 6},	//622 Okular::GotoAction::fileName() const
    {45, 468, 0, 0, Smoke::mf_const, 54, 7},	//623 Okular::GotoAction::destViewport() const
    {45, 471, 0, 0, Smoke::mf_const, 198, 8},	//624 Okular::GotoAction::destinationName() const
    {45, 1149, 0, 0, Smoke::mf_dtor, 0, 9 },	//625 Okular::GotoAction::~GotoAction()
    {46, 568, 0, 0, 0, 16, 1},	//626 Okular::GuiInterface::guiClient()
    {46, 140, 0, 0, Smoke::mf_ctor, 92, 2},	//627 Okular::GuiInterface::GuiInterface()
    {46, 140, 418, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 3},	//628 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {46, 1150, 0, 0, Smoke::mf_dtor, 0, 4 },	//629 Okular::GuiInterface::~GuiInterface()
    {47, 145, 0, 0, Smoke::mf_ctor, 93, 1},	//630 Okular::HighlightAnnotation::HighlightAnnotation()
    {47, 145, 40, 1, Smoke::mf_ctor, 93, 2},	//631 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {47, 892, 420, 1, 0, 0, 3},	//632 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {47, 586, 0, 0, Smoke::mf_const, 94, 4},	//633 Okular::HighlightAnnotation::highlightType() const
    {47, 585, 0, 0, 0, 180, 5},	//634 Okular::HighlightAnnotation::highlightQuads()
    {47, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 6},	//635 Okular::HighlightAnnotation::subType() const
    {47, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//636 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {47, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 8},	//637 Okular::HighlightAnnotation::Highlight (enum)
    {47, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 9},	//638 Okular::HighlightAnnotation::Squiggly (enum)
    {47, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 10},	//639 Okular::HighlightAnnotation::Underline (enum)
    {47, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 11},	//640 Okular::HighlightAnnotation::StrikeOut (enum)
    {47, 1151, 0, 0, Smoke::mf_dtor, 0, 12 },	//641 Okular::HighlightAnnotation::~HighlightAnnotation()
    {49, 152, 0, 0, Smoke::mf_ctor, 96, 1},	//642 Okular::InkAnnotation::InkAnnotation()
    {49, 152, 40, 1, Smoke::mf_ctor, 96, 2},	//643 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {49, 894, 422, 1, 0, 0, 3},	//644 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {49, 595, 0, 0, Smoke::mf_const, 184, 4},	//645 Okular::InkAnnotation::inkPaths() const
    {49, 1089, 0, 0, Smoke::mf_const, 184, 5},	//646 Okular::InkAnnotation::transformedInkPaths() const
    {49, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 6},	//647 Okular::InkAnnotation::subType() const
    {49, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//648 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {49, 1152, 0, 0, Smoke::mf_dtor, 0, 8 },	//649 Okular::InkAnnotation::~InkAnnotation()
    {50, 179, 0, 0, Smoke::mf_ctor, 97, 1},	//650 Okular::LineAnnotation::LineAnnotation()
    {50, 179, 40, 1, Smoke::mf_ctor, 97, 2},	//651 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {50, 920, 424, 1, 0, 0, 3},	//652 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {50, 639, 0, 0, Smoke::mf_const, 175, 4},	//653 Okular::LineAnnotation::linePoints() const
    {50, 1092, 0, 0, Smoke::mf_const, 175, 5},	//654 Okular::LineAnnotation::transformedLinePoints() const
    {50, 922, 426, 1, 0, 0, 6},	//655 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {50, 640, 0, 0, Smoke::mf_const, 99, 7},	//656 Okular::LineAnnotation::lineStartStyle() const
    {50, 910, 426, 1, 0, 0, 8},	//657 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {50, 634, 0, 0, Smoke::mf_const, 99, 9},	//658 Okular::LineAnnotation::lineEndStyle() const
    {50, 908, 189, 1, 0, 0, 10},	//659 Okular::LineAnnotation::setLineClosed(bool)
    {50, 633, 0, 0, Smoke::mf_const, 281, 11},	//660 Okular::LineAnnotation::lineClosed() const
    {50, 912, 413, 1, 0, 0, 12},	//661 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {50, 635, 0, 0, Smoke::mf_const, 158, 13},	//662 Okular::LineAnnotation::lineInnerColor() const
    {50, 918, 428, 1, 0, 0, 14},	//663 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {50, 638, 0, 0, Smoke::mf_const, 369, 15},	//664 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {50, 916, 428, 1, 0, 0, 16},	//665 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {50, 637, 0, 0, Smoke::mf_const, 369, 17},	//666 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {50, 970, 189, 1, 0, 0, 18},	//667 Okular::LineAnnotation::setShowCaption(bool)
    {50, 1024, 0, 0, Smoke::mf_const, 281, 19},	//668 Okular::LineAnnotation::showCaption() const
    {50, 914, 430, 1, 0, 0, 20},	//669 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {50, 636, 0, 0, Smoke::mf_const, 98, 21},	//670 Okular::LineAnnotation::lineIntent() const
    {50, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 22},	//671 Okular::LineAnnotation::subType() const
    {50, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//672 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {50, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 24},	//673 Okular::LineAnnotation::Square (enum)
    {50, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 25},	//674 Okular::LineAnnotation::Circle (enum)
    {50, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 26},	//675 Okular::LineAnnotation::Diamond (enum)
    {50, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 27},	//676 Okular::LineAnnotation::OpenArrow (enum)
    {50, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 28},	//677 Okular::LineAnnotation::ClosedArrow (enum)
    {50, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 29},	//678 Okular::LineAnnotation::None (enum)
    {50, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 30},	//679 Okular::LineAnnotation::Butt (enum)
    {50, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 31},	//680 Okular::LineAnnotation::ROpenArrow (enum)
    {50, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 32},	//681 Okular::LineAnnotation::RClosedArrow (enum)
    {50, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 33},	//682 Okular::LineAnnotation::Slash (enum)
    {50, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 34},	//683 Okular::LineAnnotation::Unknown (enum)
    {50, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 35},	//684 Okular::LineAnnotation::Arrow (enum)
    {50, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 36},	//685 Okular::LineAnnotation::Dimension (enum)
    {50, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 37},	//686 Okular::LineAnnotation::PolygonCloud (enum)
    {50, 1153, 0, 0, Smoke::mf_dtor, 0, 38 },	//687 Okular::LineAnnotation::~LineAnnotation()
    {52, 201, 0, 0, Smoke::mf_ctor, 103, 1},	//688 Okular::NormalizedPoint::NormalizedPoint()
    {52, 201, 49, 2, Smoke::mf_ctor, 103, 2},	//689 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {52, 201, 432, 4, Smoke::mf_ctor, 103, 3},	//690 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {52, 698, 33, 1, 0, 102, 4},	//691 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {52, 1084, 57, 1, 0, 0, 5},	//692 Okular::NormalizedPoint::transform(const QTransform&)
    {52, 476, 52, 4, Smoke::mf_const, 369, 6},	//693 Okular::NormalizedPoint::distanceSqr(double, double, double, double) const
    {52, 476, 437, 6, Smoke::mf_static, 369, 7},	//694 Okular::NormalizedPoint::distanceSqr(double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&)
    {52, 201, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 8},	//695 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {52, 1122, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 9},	//696 Okular::NormalizedPoint::x() const
    {52, 1015, 428, 1, Smoke::mf_attribute, 0, 10},	//697 Okular::NormalizedPoint::setX(double)
    {52, 1124, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 11},	//698 Okular::NormalizedPoint::y() const
    {52, 1019, 428, 1, Smoke::mf_attribute, 0, 12},	//699 Okular::NormalizedPoint::setY(double)
    {52, 1154, 0, 0, Smoke::mf_dtor, 0, 13 },	//700 Okular::NormalizedPoint::~NormalizedPoint()
    {53, 205, 0, 0, Smoke::mf_ctor, 106, 1},	//701 Okular::NormalizedRect::NormalizedRect()
    {53, 205, 52, 4, Smoke::mf_ctor, 106, 2},	//702 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {53, 205, 444, 3, Smoke::mf_ctor, 106, 3},	//703 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {53, 205, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 4},	//704 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {53, 698, 31, 1, 0, 105, 5},	//705 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {53, 545, 448, 1, Smoke::mf_static, 104, 6},	//706 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {53, 614, 0, 0, Smoke::mf_const, 281, 7},	//707 Okular::NormalizedRect::isNull() const
    {53, 436, 49, 2, Smoke::mf_const, 281, 8},	//708 Okular::NormalizedRect::contains(double, double) const
    {53, 600, 31, 1, Smoke::mf_const, 281, 9},	//709 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {53, 600, 450, 1, Smoke::mf_const, 281, 10},	//710 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {53, 600, 52, 4, Smoke::mf_const, 281, 11},	//711 Okular::NormalizedRect::intersects(double, double, double, double) const
    {53, 557, 452, 2, Smoke::mf_const, 194, 12},	//712 Okular::NormalizedRect::geometry(int, int) const
    {53, 811, 452, 2, Smoke::mf_const, 194, 13},	//713 Okular::NormalizedRect::roundedGeometry(int, int) const
    {53, 702, 31, 1, Smoke::mf_const, 104, 14},	//714 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {53, 704, 31, 1, 0, 105, 15},	//715 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {53, 694, 31, 1, Smoke::mf_const, 104, 16},	//716 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {53, 700, 31, 1, Smoke::mf_const, 281, 17},	//717 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {53, 425, 0, 0, Smoke::mf_const, 101, 18},	//718 Okular::NormalizedRect::center() const
    {53, 1084, 57, 1, 0, 0, 19},	//719 Okular::NormalizedRect::transform(const QTransform&)
    {53, 605, 33, 1, Smoke::mf_const, 281, 20},	//720 Okular::NormalizedRect::isBottom(const Okular::NormalizedPoint&) const
    {53, 623, 33, 1, Smoke::mf_const, 281, 21},	//721 Okular::NormalizedRect::isTop(const Okular::NormalizedPoint&) const
    {53, 607, 33, 1, Smoke::mf_const, 281, 22},	//722 Okular::NormalizedRect::isBottomOrLevel(const Okular::NormalizedPoint&) const
    {53, 625, 33, 1, Smoke::mf_const, 281, 23},	//723 Okular::NormalizedRect::isTopOrLevel(const Okular::NormalizedPoint&) const
    {53, 612, 33, 1, Smoke::mf_const, 281, 24},	//724 Okular::NormalizedRect::isLeft(const Okular::NormalizedPoint&) const
    {53, 620, 33, 1, Smoke::mf_const, 281, 25},	//725 Okular::NormalizedRect::isRight(const Okular::NormalizedPoint&) const
    {53, 476, 52, 4, Smoke::mf_const, 369, 26},	//726 Okular::NormalizedRect::distanceSqr(double, double, double, double) const
    {53, 632, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 27},	//727 Okular::NormalizedRect::left() const
    {53, 906, 428, 1, Smoke::mf_attribute, 0, 28},	//728 Okular::NormalizedRect::setLeft(double)
    {53, 1074, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 29},	//729 Okular::NormalizedRect::top() const
    {53, 996, 428, 1, Smoke::mf_attribute, 0, 30},	//730 Okular::NormalizedRect::setTop(double)
    {53, 805, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 31},	//731 Okular::NormalizedRect::right() const
    {53, 962, 428, 1, Smoke::mf_attribute, 0, 32},	//732 Okular::NormalizedRect::setRight(double)
    {53, 394, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 33},	//733 Okular::NormalizedRect::bottom() const
    {53, 845, 428, 1, Smoke::mf_attribute, 0, 34},	//734 Okular::NormalizedRect::setBottom(double)
    {53, 1155, 0, 0, Smoke::mf_dtor, 0, 35 },	//735 Okular::NormalizedRect::~NormalizedRect()
    {54, 211, 455, 7, Smoke::mf_ctor, 107, 1},	//736 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {54, 211, 463, 4, Smoke::mf_ctor, 107, 2},	//737 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {54, 211, 468, 3, Smoke::mf_ctor, 107, 3},	//738 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {54, 683, 0, 0, Smoke::mf_const, 108, 4},	//739 Okular::ObjectRect::objectType() const
    {54, 678, 0, 0, Smoke::mf_const, 368, 5},	//740 Okular::ObjectRect::object() const
    {54, 782, 0, 0, Smoke::mf_const, 354, 6},	//741 Okular::ObjectRect::region() const
    {54, 396, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 194, 7},	//742 Okular::ObjectRect::boundingRect(double, double) const
    {54, 436, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 281, 8},	//743 Okular::ObjectRect::contains(double, double, double, double) const
    {54, 1084, 57, 1, Smoke::mf_virtual, 0, 9},	//744 Okular::ObjectRect::transform(const QTransform&)
    {54, 476, 52, 4, Smoke::mf_const, 369, 10},	//745 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {54, 211, 472, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 11},	//746 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {54, 651, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 108, 12},	//747 Okular::ObjectRect::m_objectType() const
    {54, 927, 474, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//748 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {54, 650, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 374, 14},	//749 Okular::ObjectRect::m_object() const
    {54, 925, 476, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//750 Okular::ObjectRect::setM_object(void*)
    {54, 652, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 190, 16},	//751 Okular::ObjectRect::m_path() const
    {54, 929, 478, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//752 Okular::ObjectRect::setM_path(const QPainterPath&)
    {54, 653, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 190, 18},	//753 Okular::ObjectRect::m_transformedPath() const
    {54, 931, 478, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//754 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 20},	//755 Okular::ObjectRect::Action (enum)
    {54, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 21},	//756 Okular::ObjectRect::Image (enum)
    {54, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 22},	//757 Okular::ObjectRect::OAnnotation (enum)
    {54, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 23},	//758 Okular::ObjectRect::SourceRef (enum)
    {54, 1156, 0, 0, Smoke::mf_dtor, 0, 24 },	//759 Okular::ObjectRect::~ObjectRect()
    {55, 222, 480, 4, Smoke::mf_ctor, 109, 1},	//760 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {55, 677, 0, 0, Smoke::mf_const, 371, 2},	//761 Okular::Page::number() const
    {55, 720, 0, 0, Smoke::mf_const, 125, 3},	//762 Okular::Page::orientation() const
    {55, 808, 0, 0, Smoke::mf_const, 125, 4},	//763 Okular::Page::rotation() const
    {55, 1075, 0, 0, Smoke::mf_const, 125, 5},	//764 Okular::Page::totalOrientation() const
    {55, 1115, 0, 0, Smoke::mf_const, 369, 6},	//765 Okular::Page::width() const
    {55, 584, 0, 0, Smoke::mf_const, 369, 7},	//766 Okular::Page::height() const
    {55, 777, 0, 0, Smoke::mf_const, 369, 8},	//767 Okular::Page::ratio() const
    {55, 395, 0, 0, Smoke::mf_const, 104, 9},	//768 Okular::Page::boundingBox() const
    {55, 609, 0, 0, Smoke::mf_const, 281, 10},	//769 Okular::Page::isBoundingBoxKnown() const
    {55, 847, 31, 1, 0, 0, 11},	//770 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {55, 576, 485, 4, Smoke::mf_const, 281, 12},	//771 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&) const
    {55, 581, 0, 0, Smoke::mf_const, 281, 13},	//772 Okular::Page::hasTextPage() const
    {55, 574, 52, 4, Smoke::mf_const, 281, 14},	//773 Okular::Page::hasObjectRect(double, double, double, double) const
    {55, 572, 29, 1, Smoke::mf_const, 281, 15},	//774 Okular::Page::hasHighlights(int) const
    {55, 583, 0, 0, Smoke::mf_const, 281, 16},	//775 Okular::Page::hasTransition() const
    {55, 569, 0, 0, Smoke::mf_const, 281, 17},	//776 Okular::Page::hasAnnotations() const
    {55, 525, 490, 5, Smoke::mf_const, 124, 18},	//777 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {55, 1057, 496, 1, Smoke::mf_const, 198, 19},	//778 Okular::Page::text(const Okular::RegularAreaRect*) const
    {55, 1057, 498, 2, Smoke::mf_const, 198, 20},	//779 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {55, 1120, 498, 2, Smoke::mf_const, 182, 21},	//780 Okular::Page::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {55, 1117, 501, 2, Smoke::mf_const, 124, 22},	//781 Okular::Page::wordAt(const Okular::NormalizedPoint&, QString*) const
    {55, 1061, 504, 1, Smoke::mf_const, 124, 23},	//782 Okular::Page::textArea(Okular::TextSelection*) const
    {55, 679, 506, 5, Smoke::mf_const, 315, 24},	//783 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {55, 681, 506, 5, Smoke::mf_const, 176, 25},	//784 Okular::Page::objectRects(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {55, 672, 512, 6, Smoke::mf_const, 315, 26},	//785 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {55, 1093, 0, 0, Smoke::mf_const, 319, 27},	//786 Okular::Page::transition() const
    {55, 384, 0, 0, Smoke::mf_const, 172, 28},	//787 Okular::Page::annotations() const
    {55, 723, 519, 1, Smoke::mf_const, 288, 29},	//788 Okular::Page::pageAction(Okular::Page::PageAction) const
    {55, 540, 0, 0, Smoke::mf_const, 174, 30},	//789 Okular::Page::formFields() const
    {55, 956, 521, 3, 0, 0, 31},	//790 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&)
    {55, 990, 525, 1, 0, 0, 32},	//791 Okular::Page::setTextPage(Okular::TextPage*)
    {55, 946, 527, 1, 0, 0, 33},	//792 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {55, 978, 529, 1, 0, 0, 34},	//793 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {55, 869, 428, 1, 0, 0, 35},	//794 Okular::Page::setDuration(double)
    {55, 492, 0, 0, Smoke::mf_const, 369, 36},	//795 Okular::Page::duration() const
    {55, 904, 9, 1, 0, 0, 37},	//796 Okular::Page::setLabel(const QString&)
    {55, 631, 0, 0, Smoke::mf_const, 198, 38},	//797 Okular::Page::label() const
    {55, 1067, 0, 0, Smoke::mf_const, 322, 39},	//798 Okular::Page::textSelection() const
    {55, 1068, 0, 0, Smoke::mf_const, 158, 40},	//799 Okular::Page::textSelectionColor() const
    {55, 362, 47, 1, 0, 0, 41},	//800 Okular::Page::addAnnotation(Okular::Annotation*)
    {55, 785, 47, 1, 0, 281, 42},	//801 Okular::Page::removeAnnotation(Okular::Annotation*)
    {55, 998, 531, 1, 0, 0, 43},	//802 Okular::Page::setTransition(Okular::PageTransition*)
    {55, 948, 533, 2, 0, 0, 44},	//803 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {55, 886, 536, 1, 0, 0, 45},	//804 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {55, 462, 99, 1, 0, 0, 46},	//805 Okular::Page::deletePixmap(Okular::DocumentObserver*)
    {55, 464, 0, 0, 0, 0, 47},	//806 Okular::Page::deletePixmaps()
    {55, 465, 0, 0, 0, 0, 48},	//807 Okular::Page::deleteRects()
    {55, 466, 0, 0, 0, 0, 49},	//808 Okular::Page::deleteSourceReferences()
    {55, 459, 0, 0, 0, 0, 50},	//809 Okular::Page::deleteAnnotations()
    {55, 582, 0, 0, Smoke::mf_const, 281, 51},	//810 Okular::Page::hasTilesManager() const
    {55, 1070, 31, 1, Smoke::mf_const, 183, 52},	//811 Okular::Page::tilesAt(const Okular::NormalizedRect&) const
    {55, 576, 99, 1, Smoke::mf_const, 281, 53},	//812 Okular::Page::hasPixmap(Okular::DocumentObserver*) const
    {55, 576, 538, 2, Smoke::mf_const, 281, 54},	//813 Okular::Page::hasPixmap(Okular::DocumentObserver*, int) const
    {55, 576, 541, 3, Smoke::mf_const, 281, 55},	//814 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int) const
    {55, 572, 0, 0, Smoke::mf_const, 281, 56},	//815 Okular::Page::hasHighlights() const
    {55, 525, 545, 4, Smoke::mf_const, 124, 57},	//816 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {55, 1057, 0, 0, Smoke::mf_const, 198, 58},	//817 Okular::Page::text() const
    {55, 1117, 33, 1, Smoke::mf_const, 124, 59},	//818 Okular::Page::wordAt(const Okular::NormalizedPoint&) const
    {55, 956, 550, 2, 0, 0, 60},	//819 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*)
    {55, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 61},	//820 Okular::Page::Opening (enum)
    {55, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 62},	//821 Okular::Page::Closing (enum)
    {55, 1157, 0, 0, Smoke::mf_dtor, 0, 63 },	//822 Okular::Page::~Page()
    {56, 230, 0, 0, Smoke::mf_ctor, 113, 1},	//823 Okular::PageSize::PageSize()
    {56, 230, 553, 3, Smoke::mf_ctor, 113, 2},	//824 Okular::PageSize::PageSize(double, double, const QString&)
    {56, 230, 191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 3},	//825 Okular::PageSize::PageSize(const Okular::PageSize&)
    {56, 1115, 0, 0, Smoke::mf_const, 369, 4},	//826 Okular::PageSize::width() const
    {56, 584, 0, 0, Smoke::mf_const, 369, 5},	//827 Okular::PageSize::height() const
    {56, 670, 0, 0, Smoke::mf_const, 198, 6},	//828 Okular::PageSize::name() const
    {56, 614, 0, 0, Smoke::mf_const, 281, 7},	//829 Okular::PageSize::isNull() const
    {56, 698, 191, 1, 0, 112, 8},	//830 Okular::PageSize::operator=(const Okular::PageSize&)
    {56, 700, 191, 1, Smoke::mf_const, 281, 9},	//831 Okular::PageSize::operator==(const Okular::PageSize&) const
    {56, 692, 191, 1, Smoke::mf_const, 281, 10},	//832 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {56, 1158, 0, 0, Smoke::mf_dtor, 0, 11 },	//833 Okular::PageSize::~PageSize()
    {57, 234, 557, 1, Smoke::mf_ctor, 115, 1},	//834 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {57, 234, 559, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 2},	//835 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {57, 698, 559, 1, 0, 114, 3},	//836 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {57, 1098, 0, 0, Smoke::mf_const, 118, 4},	//837 Okular::PageTransition::type() const
    {57, 492, 0, 0, Smoke::mf_const, 371, 5},	//838 Okular::PageTransition::duration() const
    {57, 376, 0, 0, Smoke::mf_const, 116, 6},	//839 Okular::PageTransition::alignment() const
    {57, 474, 0, 0, Smoke::mf_const, 117, 7},	//840 Okular::PageTransition::direction() const
    {57, 378, 0, 0, Smoke::mf_const, 371, 8},	//841 Okular::PageTransition::angle() const
    {57, 820, 0, 0, Smoke::mf_const, 369, 9},	//842 Okular::PageTransition::scale() const
    {57, 618, 0, 0, Smoke::mf_const, 281, 10},	//843 Okular::PageTransition::isRectangular() const
    {57, 1000, 557, 1, 0, 0, 11},	//844 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {57, 869, 29, 1, 0, 0, 12},	//845 Okular::PageTransition::setDuration(int)
    {57, 833, 561, 1, 0, 0, 13},	//846 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {57, 865, 563, 1, 0, 0, 14},	//847 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {57, 835, 29, 1, 0, 0, 15},	//848 Okular::PageTransition::setAngle(int)
    {57, 968, 428, 1, 0, 0, 16},	//849 Okular::PageTransition::setScale(double)
    {57, 902, 189, 1, 0, 0, 17},	//850 Okular::PageTransition::setIsRectangular(bool)
    {57, 234, 0, 0, Smoke::mf_ctor, 115, 18},	//851 Okular::PageTransition::PageTransition()
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 19},	//852 Okular::PageTransition::Replace (enum)
    {57, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 20},	//853 Okular::PageTransition::Split (enum)
    {57, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 21},	//854 Okular::PageTransition::Blinds (enum)
    {57, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 22},	//855 Okular::PageTransition::Box (enum)
    {57, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 23},	//856 Okular::PageTransition::Wipe (enum)
    {57, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 24},	//857 Okular::PageTransition::Dissolve (enum)
    {57, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 25},	//858 Okular::PageTransition::Glitter (enum)
    {57, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 26},	//859 Okular::PageTransition::Fly (enum)
    {57, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 27},	//860 Okular::PageTransition::Push (enum)
    {57, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 28},	//861 Okular::PageTransition::Cover (enum)
    {57, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 29},	//862 Okular::PageTransition::Uncover (enum)
    {57, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 30},	//863 Okular::PageTransition::Fade (enum)
    {57, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 31},	//864 Okular::PageTransition::Horizontal (enum)
    {57, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 32},	//865 Okular::PageTransition::Vertical (enum)
    {57, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 33},	//866 Okular::PageTransition::Inward (enum)
    {57, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//867 Okular::PageTransition::Outward (enum)
    {57, 1159, 0, 0, Smoke::mf_dtor, 0, 35 },	//868 Okular::PageTransition::~PageTransition()
    {58, 239, 565, 6, Smoke::mf_ctor, 120, 1},	//869 Okular::PixmapRequest::PixmapRequest(Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>)
    {58, 684, 0, 0, Smoke::mf_const, 52, 2},	//870 Okular::PixmapRequest::observer() const
    {58, 730, 0, 0, Smoke::mf_const, 371, 3},	//871 Okular::PixmapRequest::pageNumber() const
    {58, 1115, 0, 0, Smoke::mf_const, 371, 4},	//872 Okular::PixmapRequest::width() const
    {58, 584, 0, 0, Smoke::mf_const, 371, 5},	//873 Okular::PixmapRequest::height() const
    {58, 760, 0, 0, Smoke::mf_const, 371, 6},	//874 Okular::PixmapRequest::priority() const
    {58, 388, 0, 0, Smoke::mf_const, 281, 7},	//875 Okular::PixmapRequest::asynchronous() const
    {58, 744, 0, 0, Smoke::mf_const, 281, 8},	//876 Okular::PixmapRequest::preload() const
    {58, 721, 0, 0, Smoke::mf_const, 109, 9},	//877 Okular::PixmapRequest::page() const
    {58, 994, 189, 1, 0, 0, 10},	//878 Okular::PixmapRequest::setTile(bool)
    {58, 622, 0, 0, Smoke::mf_const, 281, 11},	//879 Okular::PixmapRequest::isTile() const
    {58, 944, 31, 1, 0, 0, 12},	//880 Okular::PixmapRequest::setNormalizedRect(const Okular::NormalizedRect&)
    {58, 674, 0, 0, Smoke::mf_const, 312, 13},	//881 Okular::PixmapRequest::normalizedRect() const
    {58, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 14},	//882 Okular::PixmapRequest::NoFeature (enum)
    {58, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 15},	//883 Okular::PixmapRequest::Asynchronous (enum)
    {58, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 16},	//884 Okular::PixmapRequest::Preload (enum)
    {58, 1160, 0, 0, Smoke::mf_dtor, 0, 17 },	//885 Okular::PixmapRequest::~PixmapRequest()
    {59, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 207, 1},	//886 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {59, 248, 0, 0, Smoke::mf_ctor, 122, 2},	//887 Okular::PrintInterface::PrintInterface()
    {59, 248, 572, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 3},	//888 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {59, 1161, 0, 0, Smoke::mf_dtor, 0, 4 },	//889 Okular::PrintInterface::~PrintInterface()
    {60, 264, 0, 0, Smoke::mf_ctor, 124, 1},	//890 Okular::RegularAreaRect::RegularAreaRect()
    {60, 264, 574, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//891 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {60, 698, 574, 1, 0, 123, 3},	//892 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {60, 1162, 0, 0, Smoke::mf_dtor, 0, 4 },	//893 Okular::RegularAreaRect::~RegularAreaRect()
    {62, 274, 576, 2, Smoke::mf_ctor, 126, 1},	//894 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {62, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//895 Okular::ScriptAction::actionType() const
    {62, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 3},	//896 Okular::ScriptAction::actionTip() const
    {62, 822, 0, 0, Smoke::mf_const, 127, 4},	//897 Okular::ScriptAction::scriptType() const
    {62, 821, 0, 0, Smoke::mf_const, 198, 5},	//898 Okular::ScriptAction::script() const
    {62, 1163, 0, 0, Smoke::mf_dtor, 0, 6 },	//899 Okular::ScriptAction::~ScriptAction()
    {63, 280, 579, 1, Smoke::mf_ctor, 129, 1},	//900 Okular::Sound::Sound(const QByteArray&)
    {63, 280, 9, 1, Smoke::mf_ctor, 129, 2},	//901 Okular::Sound::Sound(const QString&)
    {63, 1034, 0, 0, Smoke::mf_const, 131, 3},	//902 Okular::Sound::soundType() const
    {63, 1106, 0, 0, Smoke::mf_const, 198, 4},	//903 Okular::Sound::url() const
    {63, 458, 0, 0, Smoke::mf_const, 155, 5},	//904 Okular::Sound::data() const
    {63, 966, 428, 1, 0, 0, 6},	//905 Okular::Sound::setSamplingRate(double)
    {63, 814, 0, 0, Smoke::mf_const, 369, 7},	//906 Okular::Sound::samplingRate() const
    {63, 855, 29, 1, 0, 0, 8},	//907 Okular::Sound::setChannels(int)
    {63, 426, 0, 0, Smoke::mf_const, 371, 9},	//908 Okular::Sound::channels() const
    {63, 843, 29, 1, 0, 0, 10},	//909 Okular::Sound::setBitsPerSample(int)
    {63, 390, 0, 0, Smoke::mf_const, 371, 11},	//910 Okular::Sound::bitsPerSample() const
    {63, 974, 581, 1, 0, 0, 12},	//911 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {63, 1032, 0, 0, Smoke::mf_const, 130, 13},	//912 Okular::Sound::soundEncoding() const
    {63, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 14},	//913 Okular::Sound::External (enum)
    {63, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 15},	//914 Okular::Sound::Embedded (enum)
    {63, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 16},	//915 Okular::Sound::Raw (enum)
    {63, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 17},	//916 Okular::Sound::Signed (enum)
    {63, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 18},	//917 Okular::Sound::muLaw (enum)
    {63, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 19},	//918 Okular::Sound::ALaw (enum)
    {63, 1164, 0, 0, Smoke::mf_dtor, 0, 20 },	//919 Okular::Sound::~Sound()
    {64, 283, 583, 5, Smoke::mf_ctor, 132, 1},	//920 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {64, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 19, 2},	//921 Okular::SoundAction::actionType() const
    {64, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 3},	//922 Okular::SoundAction::actionTip() const
    {64, 1111, 0, 0, Smoke::mf_const, 369, 4},	//923 Okular::SoundAction::volume() const
    {64, 1056, 0, 0, Smoke::mf_const, 281, 5},	//924 Okular::SoundAction::synchronous() const
    {64, 794, 0, 0, Smoke::mf_const, 281, 6},	//925 Okular::SoundAction::repeat() const
    {64, 664, 0, 0, Smoke::mf_const, 281, 7},	//926 Okular::SoundAction::mix() const
    {64, 1031, 0, 0, Smoke::mf_const, 129, 8},	//927 Okular::SoundAction::sound() const
    {64, 1165, 0, 0, Smoke::mf_dtor, 0, 9 },	//928 Okular::SoundAction::~SoundAction()
    {65, 285, 0, 0, Smoke::mf_ctor, 133, 1},	//929 Okular::SoundAnnotation::SoundAnnotation()
    {65, 285, 40, 1, Smoke::mf_ctor, 133, 2},	//930 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {65, 1033, 0, 0, Smoke::mf_const, 198, 3},	//931 Okular::SoundAnnotation::soundIconName() const
    {65, 976, 9, 1, 0, 0, 4},	//932 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {65, 1031, 0, 0, Smoke::mf_const, 129, 5},	//933 Okular::SoundAnnotation::sound() const
    {65, 972, 589, 1, 0, 0, 6},	//934 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {65, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 7},	//935 Okular::SoundAnnotation::subType() const
    {65, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//936 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {65, 1166, 0, 0, Smoke::mf_dtor, 0, 9 },	//937 Okular::SoundAnnotation::~SoundAnnotation()
    {66, 288, 591, 2, Smoke::mf_ctor, 134, 1},	//938 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {66, 396, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 194, 2},	//939 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {66, 436, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 281, 3},	//940 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {66, 288, 594, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 4},	//941 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {66, 1167, 0, 0, Smoke::mf_dtor, 0, 5 },	//942 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {67, 291, 596, 3, Smoke::mf_ctor, 135, 1},	//943 Okular::SourceReference::SourceReference(const QString&, int, int)
    {67, 520, 0, 0, Smoke::mf_const, 198, 2},	//944 Okular::SourceReference::fileName() const
    {67, 813, 0, 0, Smoke::mf_const, 371, 3},	//945 Okular::SourceReference::row() const
    {67, 432, 0, 0, Smoke::mf_const, 371, 4},	//946 Okular::SourceReference::column() const
    {67, 291, 217, 2, Smoke::mf_ctor, 135, 5},	//947 Okular::SourceReference::SourceReference(const QString&, int)
    {67, 1168, 0, 0, Smoke::mf_dtor, 0, 6 },	//948 Okular::SourceReference::~SourceReference()
    {68, 297, 0, 0, Smoke::mf_ctor, 136, 1},	//949 Okular::StampAnnotation::StampAnnotation()
    {68, 297, 40, 1, Smoke::mf_ctor, 136, 2},	//950 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {68, 980, 9, 1, 0, 0, 3},	//951 Okular::StampAnnotation::setStampIconName(const QString&)
    {68, 1037, 0, 0, Smoke::mf_const, 198, 4},	//952 Okular::StampAnnotation::stampIconName() const
    {68, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 5},	//953 Okular::StampAnnotation::subType() const
    {68, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//954 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {68, 1169, 0, 0, Smoke::mf_dtor, 0, 7 },	//955 Okular::StampAnnotation::~StampAnnotation()
    {69, 310, 0, 0, Smoke::mf_ctor, 137, 1},	//956 Okular::TextAnnotation::TextAnnotation()
    {69, 310, 40, 1, Smoke::mf_ctor, 137, 2},	//957 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {69, 992, 600, 1, 0, 0, 3},	//958 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {69, 1069, 0, 0, Smoke::mf_const, 139, 4},	//959 Okular::TextAnnotation::textType() const
    {69, 988, 9, 1, 0, 0, 5},	//960 Okular::TextAnnotation::setTextIcon(const QString&)
    {69, 1064, 0, 0, Smoke::mf_const, 198, 6},	//961 Okular::TextAnnotation::textIcon() const
    {69, 986, 602, 1, 0, 0, 7},	//962 Okular::TextAnnotation::setTextFont(const QFont&)
    {69, 1063, 0, 0, Smoke::mf_const, 170, 8},	//963 Okular::TextAnnotation::textFont() const
    {69, 896, 29, 1, 0, 0, 9},	//964 Okular::TextAnnotation::setInplaceAlignment(int)
    {69, 596, 0, 0, Smoke::mf_const, 371, 10},	//965 Okular::TextAnnotation::inplaceAlignment() const
    {69, 898, 604, 2, 0, 0, 11},	//966 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {69, 597, 29, 1, Smoke::mf_const, 101, 12},	//967 Okular::TextAnnotation::inplaceCallout(int) const
    {69, 1090, 29, 1, Smoke::mf_const, 101, 13},	//968 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {69, 900, 607, 1, 0, 0, 14},	//969 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {69, 599, 0, 0, Smoke::mf_const, 138, 15},	//970 Okular::TextAnnotation::inplaceIntent() const
    {69, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 31, 16},	//971 Okular::TextAnnotation::subType() const
    {69, 1045, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 17},	//972 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {69, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 18},	//973 Okular::TextAnnotation::Linked (enum)
    {69, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 19},	//974 Okular::TextAnnotation::InPlace (enum)
    {69, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 20},	//975 Okular::TextAnnotation::Unknown (enum)
    {69, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//976 Okular::TextAnnotation::Callout (enum)
    {69, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//977 Okular::TextAnnotation::TypeWriter (enum)
    {69, 1170, 0, 0, Smoke::mf_dtor, 0, 23 },	//978 Okular::TextAnnotation::~TextAnnotation()
    {70, 662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 1},	//979 Okular::TextDocumentConverter::metaObject() const
    {70, 774, 80, 1, Smoke::mf_virtual, 374, 2},	//980 Okular::TextDocumentConverter::qt_metacast(const char*)
    {70, 1076, 82, 2, Smoke::mf_static, 198, 3},	//981 Okular::TextDocumentConverter::tr(const char*, const char*)
    {70, 1080, 82, 2, Smoke::mf_static, 198, 4},	//982 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {70, 1076, 85, 3, Smoke::mf_static, 198, 5},	//983 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {70, 1080, 85, 3, Smoke::mf_static, 198, 6},	//984 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {70, 772, 89, 3, Smoke::mf_virtual, 371, 7},	//985 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {70, 312, 0, 0, Smoke::mf_ctor, 140, 8},	//986 Okular::TextDocumentConverter::TextDocumentConverter()
    {70, 443, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 9},	//987 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {70, 360, 609, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//988 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {70, 362, 613, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//989 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {70, 374, 617, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//990 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {70, 365, 267, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//991 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {70, 365, 271, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//992 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {70, 509, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//993 Okular::TextDocumentConverter::error(const QString&, int)
    {70, 1112, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//994 Okular::TextDocumentConverter::warning(const QString&, int)
    {70, 675, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//995 Okular::TextDocumentConverter::notice(const QString&, int)
    {70, 400, 621, 2, Smoke::mf_protected, 54, 18},	//996 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {70, 554, 0, 0, Smoke::mf_const|Smoke::mf_protected, 141, 19},	//997 Okular::TextDocumentConverter::generator() const
    {70, 1076, 80, 1, Smoke::mf_static, 198, 20},	//998 Okular::TextDocumentConverter::tr(const char*)
    {70, 1080, 80, 1, Smoke::mf_static, 198, 21},	//999 Okular::TextDocumentConverter::trUtf8(const char*)
    {70, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 351, 22},	//1000 Okular::TextDocumentConverter::staticMetaObject() const
    {70, 1171, 0, 0, Smoke::mf_dtor, 0, 23 },	//1001 Okular::TextDocumentConverter::~TextDocumentConverter()
    {71, 662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 352, 1},	//1002 Okular::TextDocumentGenerator::metaObject() const
    {71, 774, 80, 1, Smoke::mf_virtual, 374, 2},	//1003 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {71, 1076, 82, 2, Smoke::mf_static, 198, 3},	//1004 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {71, 1080, 82, 2, Smoke::mf_static, 198, 4},	//1005 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {71, 1076, 85, 3, Smoke::mf_static, 198, 5},	//1006 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {71, 1080, 85, 3, Smoke::mf_static, 198, 6},	//1007 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {71, 772, 89, 3, Smoke::mf_virtual, 371, 7},	//1008 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {71, 313, 624, 4, Smoke::mf_ctor, 141, 8},	//1009 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&)
    {71, 313, 629, 3, Smoke::mf_ctor, 141, 9},	//1010 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {71, 645, 377, 2, Smoke::mf_virtual, 281, 10},	//1011 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {71, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 11},	//1012 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {71, 550, 383, 1, Smoke::mf_virtual, 0, 12},	//1013 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {71, 747, 171, 1, Smoke::mf_virtual, 281, 13},	//1014 Okular::TextDocumentGenerator::print(QPrinter&)
    {71, 513, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 14},	//1015 Okular::TextDocumentGenerator::exportFormats() const
    {71, 514, 106, 2, Smoke::mf_virtual, 281, 15},	//1016 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {71, 793, 0, 0, Smoke::mf_virtual, 281, 16},	//1017 Okular::TextDocumentGenerator::reparseConfig()
    {71, 372, 76, 1, Smoke::mf_virtual, 0, 17},	//1018 Okular::TextDocumentGenerator::addPages(KConfigDialog*)
    {71, 547, 0, 0, 0, 142, 18},	//1019 Okular::TextDocumentGenerator::generalSettings()
    {71, 548, 0, 0, Smoke::mf_virtual, 299, 19},	//1020 Okular::TextDocumentGenerator::generateDocumentInfo()
    {71, 549, 0, 0, Smoke::mf_virtual, 301, 20},	//1021 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {71, 479, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 281, 21},	//1022 Okular::TextDocumentGenerator::doCloseDocument()
    {71, 1065, 385, 1, Smoke::mf_protected|Smoke::mf_virtual, 144, 22},	//1023 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {71, 1076, 80, 1, Smoke::mf_static, 198, 23},	//1024 Okular::TextDocumentGenerator::tr(const char*)
    {71, 1080, 80, 1, Smoke::mf_static, 198, 24},	//1025 Okular::TextDocumentGenerator::trUtf8(const char*)
    {71, 1043, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 351, 25},	//1026 Okular::TextDocumentGenerator::staticMetaObject() const
    {71, 1172, 0, 0, Smoke::mf_dtor, 0, 26 },	//1027 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {73, 316, 633, 2, Smoke::mf_ctor, 143, 1},	//1028 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {73, 1057, 0, 0, Smoke::mf_const, 198, 2},	//1029 Okular::TextEntity::text() const
    {73, 387, 0, 0, Smoke::mf_const, 106, 3},	//1030 Okular::TextEntity::area() const
    {73, 1086, 57, 1, Smoke::mf_const, 104, 4},	//1031 Okular::TextEntity::transformedArea(const QTransform&) const
    {73, 1173, 0, 0, Smoke::mf_dtor, 0, 5 },	//1032 Okular::TextEntity::~TextEntity()
    {74, 319, 0, 0, Smoke::mf_ctor, 144, 1},	//1033 Okular::TextPage::TextPage()
    {74, 319, 636, 1, Smoke::mf_ctor, 144, 2},	//1034 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {74, 385, 633, 2, 0, 0, 3},	//1035 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {74, 525, 490, 5, 0, 124, 4},	//1036 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {74, 1057, 496, 1, Smoke::mf_const, 198, 5},	//1037 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {74, 1057, 498, 2, Smoke::mf_const, 198, 6},	//1038 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {74, 1120, 498, 2, Smoke::mf_const, 182, 7},	//1039 Okular::TextPage::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {74, 1117, 501, 2, Smoke::mf_const, 124, 8},	//1040 Okular::TextPage::wordAt(const Okular::NormalizedPoint&, QString*) const
    {74, 1061, 504, 1, Smoke::mf_const, 124, 9},	//1041 Okular::TextPage::textArea(Okular::TextSelection*) const
    {74, 1057, 0, 0, Smoke::mf_const, 198, 10},	//1042 Okular::TextPage::text() const
    {74, 1117, 33, 1, Smoke::mf_const, 124, 11},	//1043 Okular::TextPage::wordAt(const Okular::NormalizedPoint&) const
    {74, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 12},	//1044 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {74, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 13},	//1045 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {74, 1174, 0, 0, Smoke::mf_dtor, 0, 14 },	//1046 Okular::TextPage::~TextPage()
    {76, 322, 638, 3, Smoke::mf_ctor, 149, 1},	//1047 Okular::Tile::Tile(const Okular::NormalizedRect&, QPixmap*, bool)
    {76, 322, 642, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1048 Okular::Tile::Tile(const Okular::Tile&)
    {76, 780, 0, 0, Smoke::mf_const, 104, 3},	//1049 Okular::Tile::rect() const
    {76, 743, 0, 0, Smoke::mf_const, 191, 4},	//1050 Okular::Tile::pixmap() const
    {76, 627, 0, 0, Smoke::mf_const, 281, 5},	//1051 Okular::Tile::isValid() const
    {76, 698, 642, 1, 0, 148, 6},	//1052 Okular::Tile::operator=(const Okular::Tile&)
    {76, 1175, 0, 0, Smoke::mf_dtor, 0, 7 },	//1053 Okular::Tile::~Tile()
    {77, 806, 644, 4, Smoke::mf_static, 194, 1},	//1054 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {77, 490, 0, 0, Smoke::mf_static, 369, 2},	//1055 Okular::Utils::dpiX()
    {77, 491, 0, 0, Smoke::mf_static, 369, 3},	//1056 Okular::Utils::dpiY()
    {77, 778, 0, 0, Smoke::mf_static, 369, 4},	//1057 Okular::Utils::realDpiX()
    {77, 779, 0, 0, Smoke::mf_static, 369, 5},	//1058 Okular::Utils::realDpiY()
    {77, 593, 649, 1, Smoke::mf_static, 104, 6},	//1059 Okular::Utils::imageBoundingBox(const QImage*)
    {77, 342, 0, 0, Smoke::mf_ctor, 150, 7},	//1060 Okular::Utils::Utils()
    {77, 342, 651, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 8},	//1061 Okular::Utils::Utils(const Okular::Utils&)
    {77, 1176, 0, 0, Smoke::mf_dtor, 0, 9 },	//1062 Okular::Utils::~Utils()
    {79, 345, 401, 2, Smoke::mf_ctor, 152, 1},	//1063 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {79, 345, 653, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 2},	//1064 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {79, 345, 0, 0, Smoke::mf_ctor, 152, 3},	//1065 Okular::VisiblePageRect::VisiblePageRect()
    {79, 345, 29, 1, Smoke::mf_ctor, 152, 4},	//1066 Okular::VisiblePageRect::VisiblePageRect(int)
    {79, 730, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 371, 5},	//1067 Okular::VisiblePageRect::pageNumber() const
    {79, 950, 29, 1, Smoke::mf_attribute, 0, 6},	//1068 Okular::VisiblePageRect::setPageNumber(int)
    {79, 780, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 105, 7},	//1069 Okular::VisiblePageRect::rect() const
    {79, 960, 31, 1, Smoke::mf_attribute, 0, 8},	//1070 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {79, 1177, 0, 0, Smoke::mf_dtor, 0, 9 },	//1071 Okular::VisiblePageRect::~VisiblePageRect()
    {91, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 1},	//1072 QGlobalSpace::_IEEE_ (enum)
    {91, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 2},	//1073 QGlobalSpace::_SVID_ (enum)
    {91, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 3},	//1074 QGlobalSpace::_XOPEN_ (enum)
    {91, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 4},	//1075 QGlobalSpace::_POSIX_ (enum)
    {91, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 280, 5},	//1076 QGlobalSpace::_ISOC_ (enum)
    {91, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 6},	//1077 QGlobalSpace::KST_KSycocaEntry (enum)
    {91, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 7},	//1078 QGlobalSpace::KST_KService (enum)
    {91, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 8},	//1079 QGlobalSpace::KST_KServiceType (enum)
    {91, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//1080 QGlobalSpace::KST_KMimeType (enum)
    {91, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//1081 QGlobalSpace::KST_KFolderMimeType (enum)
    {91, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//1082 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {91, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//1083 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {91, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 13},	//1084 QGlobalSpace::KST_KServiceGroup (enum)
    {91, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//1085 QGlobalSpace::KST_KImageIOFormat (enum)
    {91, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//1086 QGlobalSpace::KST_KProtocolInfo (enum)
    {91, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 16},	//1087 QGlobalSpace::KST_KServiceSeparator (enum)
    {91, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 17},	//1088 QGlobalSpace::KST_KCustom (enum)
    {91, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 18},	//1089 QGlobalSpace::KST_KServiceFactory (enum)
    {91, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 19},	//1090 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {91, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 20},	//1091 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {91, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 21},	//1092 QGlobalSpace::KST_KImageIO (enum)
    {91, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 22},	//1093 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {91, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 23},	//1094 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {91, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 24},	//1095 QGlobalSpace::KST_CTimeInfo (enum)
    {95, 511, 655, 1, Smoke::mf_virtual, 281, 0},	//1096 QObject::event(QEvent*)
    {95, 512, 657, 2, Smoke::mf_virtual, 281, 0},	//1097 QObject::eventFilter(QObject*, QEvent*)
    {95, 1072, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1098 QObject::timerEvent(QTimerEvent*)
    {95, 427, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QObject::childEvent(QChildEvent*)
    {95, 456, 655, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QObject::customEvent(QEvent*)
    {95, 435, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QObject::connectNotify(const char*)
    {95, 475, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1102 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    319,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    324,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    346,  // Okular::DocumentViewport::DocumentViewport(int)
    347,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    709,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    710,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    65,  // Okular::Annotation::d_func()
    66,  // Okular::Annotation::d_func() const
    0,
    52,  // Okular::Annotation::revisions()
    53,  // Okular::Annotation::revisions() const
    0,
    48,  // Okular::Annotation::style()
    49,  // Okular::Annotation::style() const
    0,
    50,  // Okular::Annotation::window()
    51,  // Okular::Annotation::window() const
    0,
    343,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    344,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    110,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    115,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    21,  // Okular::Action::d_func()
    22,  // Okular::Action::d_func() const
    0,
    485,  // Okular::FormField::d_func()
    486,  // Okular::FormField::d_func() const
    0,
    576,  // Okular::Generator::d_func()
    577,  // Okular::Generator::d_func() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {12, 17, 20},	// Okular::Action::Action#
    {12, 36, 25},	// Okular::Action::Browse
    {12, 75, 26},	// Okular::Action::DocAction
    {12, 93, 24},	// Okular::Action::Execute
    {12, 135, 23},	// Okular::Action::Goto
    {12, 187, 28},	// Okular::Action::Movie
    {12, 268, 30},	// Okular::Action::Rendition
    {12, 273, 29},	// Okular::Action::Script
    {12, 280, 27},	// Okular::Action::Sound
    {12, 357, 17},	// Okular::Action::actionTip
    {12, 358, 16},	// Okular::Action::actionType
    {12, 457, -28},	// Okular::Action::d_func
    {12, 671, 19},	// Okular::Action::nativeId
    {12, 938, 18},	// Okular::Action::setNativeId#
    {12, 1125, 31},	// Okular::Action::~Action
    {14, 1, 73},	// Okular::Annotation::ACaret
    {14, 2, 74},	// Okular::Annotation::AFileAttachment
    {14, 3, 69},	// Okular::Annotation::AGeom
    {14, 4, 70},	// Okular::Annotation::AHighlight
    {14, 5, 72},	// Okular::Annotation::AInk
    {14, 7, 68},	// Okular::Annotation::ALine
    {14, 8, 76},	// Okular::Annotation::AMovie
    {14, 9, 77},	// Okular::Annotation::AScreen
    {14, 10, 75},	// Okular::Annotation::ASound
    {14, 11, 71},	// Okular::Annotation::AStamp
    {14, 12, 67},	// Okular::Annotation::AText
    {14, 13, 78},	// Okular::Annotation::AWidget
    {14, 14, 79},	// Okular::Annotation::A_BASE
    {14, 15, 103},	// Okular::Annotation::Accepted
    {14, 20, 63},	// Okular::Annotation::Annotation#
    {14, 21, 64},	// Okular::Annotation::Annotation##
    {14, 32, 89},	// Okular::Annotation::BeingMoved
    {14, 33, 92},	// Okular::Annotation::Beveled
    {14, 46, 105},	// Okular::Annotation::Cancelled
    {14, 57, 96},	// Okular::Annotation::Cloudy
    {14, 59, 106},	// Okular::Annotation::Completed
    {14, 66, 91},	// Okular::Annotation::Dashed
    {14, 67, 99},	// Okular::Annotation::Delete
    {14, 68, 85},	// Okular::Annotation::DenyDelete
    {14, 69, 83},	// Okular::Annotation::DenyPrint
    {14, 70, 84},	// Okular::Annotation::DenyWrite
    {14, 100, 87},	// Okular::Annotation::External
    {14, 101, 88},	// Okular::Annotation::ExternallyDrawn
    {14, 111, 82},	// Okular::Annotation::FixedRotation
    {14, 112, 81},	// Okular::Annotation::FixedSize
    {14, 139, 98},	// Okular::Annotation::Group
    {14, 143, 80},	// Okular::Annotation::Hidden
    {14, 156, 93},	// Okular::Annotation::Inset
    {14, 183, 101},	// Okular::Annotation::Marked
    {14, 192, 95},	// Okular::Annotation::NoEffect
    {14, 199, 100},	// Okular::Annotation::None
    {14, 224, 108},	// Okular::Annotation::PageClosing
    {14, 228, 107},	// Okular::Annotation::PageOpening
    {14, 266, 104},	// Okular::Annotation::Rejected
    {14, 270, 97},	// Okular::Annotation::Reply
    {14, 279, 90},	// Okular::Annotation::Solid
    {14, 327, 86},	// Okular::Annotation::ToggleHidingOnMouse
    {14, 338, 94},	// Okular::Annotation::Underline
    {14, 341, 102},	// Okular::Annotation::Unmarked
    {14, 389, 33},	// Okular::Annotation::author
    {14, 398, 45},	// Okular::Annotation::boundingRectangle
    {14, 403, 57},	// Okular::Annotation::canBeMoved
    {14, 439, 35},	// Okular::Annotation::contents
    {14, 449, 41},	// Okular::Annotation::creationDate
    {14, 457, -10},	// Okular::Annotation::d_func
    {14, 528, 43},	// Okular::Annotation::flags
    {14, 561, 61},	// Okular::Annotation::getAnnotationPropertiesDomNode
    {14, 665, 39},	// Okular::Annotation::modificationDate
    {14, 671, 55},	// Okular::Annotation::nativeId
    {14, 685, 58},	// Okular::Annotation::openDialogAfterCreation
    {14, 804, -13},	// Okular::Annotation::revisions
    {14, 840, 62},	// Okular::Annotation::setAnnotationProperties#
    {14, 842, 32},	// Okular::Annotation::setAuthor$
    {14, 850, 44},	// Okular::Annotation::setBoundingRectangle#
    {14, 859, 34},	// Okular::Annotation::setContents$
    {14, 861, 40},	// Okular::Annotation::setCreationDate#
    {14, 868, 56},	// Okular::Annotation::setDisposeDataFunction$
    {14, 885, 42},	// Okular::Annotation::setFlags$
    {14, 934, 38},	// Okular::Annotation::setModificationDate#
    {14, 938, 54},	// Okular::Annotation::setNativeId#
    {14, 1003, 36},	// Okular::Annotation::setUniqueName$
    {14, 1046, 60},	// Okular::Annotation::store##
    {14, 1049, -16},	// Okular::Annotation::style
    {14, 1050, 59},	// Okular::Annotation::subType
    {14, 1088, 46},	// Okular::Annotation::transformedBoundingRectangle
    {14, 1095, 47},	// Okular::Annotation::translate#
    {14, 1101, 37},	// Okular::Annotation::uniqueName
    {14, 1116, -19},	// Okular::Annotation::window
    {14, 1126, 109},	// Okular::Annotation::~Annotation
    {18, 23, -25},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {18, 379, 111},	// Okular::AnnotationObjectRect::annotation
    {18, 397, 112},	// Okular::AnnotationObjectRect::boundingRect$$
    {18, 438, 113},	// Okular::AnnotationObjectRect::contains$$$$
    {18, 1085, 114},	// Okular::AnnotationObjectRect::transform#
    {18, 1127, 116},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {20, 24, 121},	// Okular::AnnotationUtils::AnnotationUtils
    {20, 25, 122},	// Okular::AnnotationUtils::AnnotationUtils#
    {20, 383, 120},	// Okular::AnnotationUtils::annotationGeometry#$$
    {20, 448, 117},	// Okular::AnnotationUtils::createAnnotation#
    {20, 524, 119},	// Okular::AnnotationUtils::findChildElement#$
    {20, 1048, 118},	// Okular::AnnotationUtils::storeAnnotation###
    {20, 1128, 123},	// Okular::AnnotationUtils::~AnnotationUtils
    {22, 38, 124},	// Okular::BrowseAction::BrowseAction$
    {22, 357, 126},	// Okular::BrowseAction::actionTip
    {22, 358, 125},	// Okular::BrowseAction::actionType
    {22, 1106, 127},	// Okular::BrowseAction::url
    {22, 1129, 128},	// Okular::BrowseAction::~BrowseAction
    {23, 47, 129},	// Okular::CaretAnnotation::CaretAnnotation
    {23, 48, 130},	// Okular::CaretAnnotation::CaretAnnotation#
    {23, 199, 135},	// Okular::CaretAnnotation::None
    {23, 220, 136},	// Okular::CaretAnnotation::P
    {23, 424, 132},	// Okular::CaretAnnotation::caretSymbol
    {23, 854, 131},	// Okular::CaretAnnotation::setCaretSymbol$
    {23, 1046, 134},	// Okular::CaretAnnotation::store##
    {23, 1050, 133},	// Okular::CaretAnnotation::subType
    {23, 1130, 137},	// Okular::CaretAnnotation::~CaretAnnotation
    {24, 60, 140},	// Okular::ConfigInterface::ConfigInterface
    {24, 61, 141},	// Okular::ConfigInterface::ConfigInterface#
    {24, 373, 139},	// Okular::ConfigInterface::addPages#
    {24, 793, 138},	// Okular::ConfigInterface::reparseConfig
    {24, 1131, 142},	// Okular::ConfigInterface::~ConfigInterface
    {25, 18, 288},	// Okular::Document::AllDocument
    {25, 77, 150},	// Okular::Document::Document#
    {25, 133, 289},	// Okular::Document::GoogleAll
    {25, 134, 290},	// Okular::Document::GoogleAny
    {25, 184, 291},	// Okular::Document::MatchFound
    {25, 189, 295},	// Okular::Document::NativePrinting
    {25, 190, 286},	// Okular::Document::NextMatch
    {25, 195, 292},	// Okular::Document::NoMatchFound
    {25, 196, 284},	// Okular::Document::NoOption
    {25, 198, 294},	// Okular::Document::NoPrinting
    {25, 244, 296},	// Okular::Document::PostscriptPrinting
    {25, 247, 287},	// Okular::Document::PreviousMatch
    {25, 267, 285},	// Okular::Document::RemoveAllPrevious
    {25, 271, 298},	// Okular::Document::SaveAnnotationsCapability
    {25, 272, 297},	// Okular::Document::SaveFormsCapability
    {25, 276, 293},	// Okular::Document::SearchCancelled
    {25, 369, 153},	// Okular::Document::addObserver#
    {25, 371, 197},	// Okular::Document::addPageAnnotation$#
    {25, 377, 184},	// Okular::Document::allPagesSize
    {25, 381, 268},	// Okular::Document::annotationContentsChangedByUndoRedo#$$$
    {25, 391, 213},	// Okular::Document::bookmarkManager
    {25, 392, 215},	// Okular::Document::bookmarkedPageList
    {25, 393, 216},	// Okular::Document::bookmarkedPageRange
    {25, 405, 218},	// Okular::Document::canConfigurePrinter
    {25, 406, 176},	// Okular::Document::canExportToText
    {25, 410, 198},	// Okular::Document::canModifyPageAnnotation#
    {25, 411, 162},	// Okular::Document::canProvideFontInformation
    {25, 412, 208},	// Okular::Document::canRedo
    {25, 414, 266},	// Okular::Document::canRedoChanged$
    {25, 416, 203},	// Okular::Document::canRemovePageAnnotation#
    {25, 417, 229},	// Okular::Document::canSaveChanges
    {25, 418, 228},	// Okular::Document::canSaveChanges$
    {25, 419, 207},	// Okular::Document::canUndo
    {25, 421, 265},	// Okular::Document::canUndoChanged$
    {25, 422, 242},	// Okular::Document::cancelSearch
    {25, 430, 249},	// Okular::Document::close
    {25, 431, 152},	// Okular::Document::closeDocument
    {25, 433, 227},	// Okular::Document::componentData
    {25, 434, 225},	// Okular::Document::configurableGenerators
    {25, 441, 210},	// Okular::Document::continueSearch$
    {25, 442, 211},	// Okular::Document::continueSearch$$
    {25, 454, 170},	// Okular::Document::currentDocument
    {25, 455, 168},	// Okular::Document::currentPage
    {25, 484, 158},	// Okular::Document::documentInfo
    {25, 488, 159},	// Okular::Document::documentSynopsis
    {25, 494, 237},	// Okular::Document::dynamicSourceReference$$$
    {25, 497, 248},	// Okular::Document::editFormButtons$??
    {25, 499, 247},	// Okular::Document::editFormCombo$#$$$$
    {25, 501, 246},	// Okular::Document::editFormList$#?
    {25, 503, 245},	// Okular::Document::editFormText$#$$$$
    {25, 505, 202},	// Okular::Document::editPageAnnotationContents$#$$$$
    {25, 508, 163},	// Okular::Document::embeddedFiles
    {25, 510, 256},	// Okular::Document::error$$
    {25, 513, 178},	// Okular::Document::exportFormats
    {25, 515, 179},	// Okular::Document::exportTo$#
    {25, 517, 177},	// Okular::Document::exportToText$
    {25, 522, 224},	// Okular::Document::fillConfigDialog#
    {25, 530, 234},	// Okular::Document::fontData#
    {25, 531, 261},	// Okular::Document::fontReadingEnded
    {25, 533, 260},	// Okular::Document::fontReadingProgress$
    {25, 537, 272},	// Okular::Document::formButtonsChangedByUndoRedo$?
    {25, 539, 271},	// Okular::Document::formComboChangedByUndoRedo$#$$$
    {25, 542, 270},	// Okular::Document::formListChangedByUndoRedo$#?
    {25, 544, 269},	// Okular::Document::formTextChangedByUndoRedo$#$$$
    {25, 567, 259},	// Okular::Document::gotFont#
    {25, 568, 186},	// Okular::Document::guiClient
    {25, 587, 180},	// Okular::Document::historyAtBegin
    {25, 588, 181},	// Okular::Document::historyAtEnd
    {25, 604, 171},	// Okular::Document::isAllowed$
    {25, 615, 157},	// Okular::Document::isOpened
    {25, 641, 254},	// Okular::Document::linkEndPresentation
    {25, 642, 251},	// Okular::Document::linkFind
    {25, 643, 252},	// Okular::Document::linkGoToPage
    {25, 644, 253},	// Okular::Document::linkPresentation
    {25, 660, 276},	// Okular::Document::metaData$
    {25, 661, 182},	// Okular::Document::metaData$#
    {25, 662, 143},	// Okular::Document::metaObject
    {25, 667, 200},	// Okular::Document::modifyPageAnnotationProperties$#
    {25, 676, 258},	// Okular::Document::notice$$
    {25, 687, 151},	// Okular::Document::openDocument$#?
    {25, 689, 235},	// Okular::Document::openDocumentArchive$#
    {25, 691, 255},	// Okular::Document::openUrl#
    {25, 720, 238},	// Okular::Document::orientation
    {25, 722, 164},	// Okular::Document::page$
    {25, 736, 185},	// Okular::Document::pageSizeString$
    {25, 737, 175},	// Okular::Document::pageSizes
    {25, 738, 169},	// Okular::Document::pages
    {25, 746, 199},	// Okular::Document::prepareToModifyAnnotationProperties#
    {25, 748, 221},	// Okular::Document::print#
    {25, 751, 223},	// Okular::Document::printConfigurationWidget
    {25, 752, 222},	// Okular::Document::printError
    {25, 759, 219},	// Okular::Document::printingSupport
    {25, 762, 214},	// Okular::Document::processAction#
    {25, 764, 264},	// Okular::Document::processMovieAction#
    {25, 766, 267},	// Okular::Document::processRenditionAction#
    {25, 768, 217},	// Okular::Document::processSourceReference#
    {25, 773, 149},	// Okular::Document::qt_metacall$$?
    {25, 775, 144},	// Okular::Document::qt_metacast$
    {25, 776, 250},	// Okular::Document::quit
    {25, 781, 244},	// Okular::Document::redo
    {25, 784, 232},	// Okular::Document::registerView#
    {25, 788, 154},	// Okular::Document::removeObserver#
    {25, 790, 204},	// Okular::Document::removePageAnnotation$#
    {25, 792, 205},	// Okular::Document::removePageAnnotations$?
    {25, 793, 155},	// Okular::Document::reparseConfig
    {25, 798, 194},	// Okular::Document::requestPixmaps?
    {25, 799, 195},	// Okular::Document::requestPixmaps?$
    {25, 801, 196},	// Okular::Document::requestTextPage$
    {25, 803, 212},	// Okular::Document::resetSearch$
    {25, 808, 183},	// Okular::Document::rotation
    {25, 816, 230},	// Okular::Document::saveChanges$
    {25, 817, 231},	// Okular::Document::saveChanges$$
    {25, 819, 236},	// Okular::Document::saveDocumentArchive$
    {25, 824, 262},	// Okular::Document::searchFinished$$
    {25, 826, 282},	// Okular::Document::searchText$$$$$$#
    {25, 827, 209},	// Okular::Document::searchText$$$$$$#$
    {25, 838, 239},	// Okular::Document::setAnnotationEditingEnabled$
    {25, 940, 192},	// Okular::Document::setNextDocumentDestination$
    {25, 942, 191},	// Okular::Document::setNextDocumentViewport#
    {25, 943, 190},	// Okular::Document::setNextViewport
    {25, 953, 241},	// Okular::Document::setPageSize#
    {25, 955, 206},	// Okular::Document::setPageTextSelection$##
    {25, 959, 189},	// Okular::Document::setPrevViewport
    {25, 965, 240},	// Okular::Document::setRotation$
    {25, 1005, 279},	// Okular::Document::setViewport#
    {25, 1006, 280},	// Okular::Document::setViewport##
    {25, 1007, 188},	// Okular::Document::setViewport##$
    {25, 1009, 277},	// Okular::Document::setViewportPage$
    {25, 1010, 278},	// Okular::Document::setViewportPage$#
    {25, 1011, 187},	// Okular::Document::setViewportPage$#$
    {25, 1013, 275},	// Okular::Document::setVisiblePageRects?
    {25, 1014, 166},	// Okular::Document::setVisiblePageRects?#
    {25, 1022, 281},	// Okular::Document::setZoom$
    {25, 1023, 193},	// Okular::Document::setZoom$#
    {25, 1036, 263},	// Okular::Document::sourceReferenceActivated$$$$
    {25, 1040, 160},	// Okular::Document::startFontReading
    {25, 1043, 283},	// Okular::Document::staticMetaObject
    {25, 1044, 161},	// Okular::Document::stopFontReading
    {25, 1051, 226},	// Okular::Document::supportedMimeTypes
    {25, 1052, 173},	// Okular::Document::supportsPageSizes
    {25, 1053, 220},	// Okular::Document::supportsPrintToFile
    {25, 1054, 172},	// Okular::Document::supportsSearching
    {25, 1055, 174},	// Okular::Document::supportsTiles
    {25, 1077, 273},	// Okular::Document::tr$
    {25, 1078, 145},	// Okular::Document::tr$$
    {25, 1079, 147},	// Okular::Document::tr$$$
    {25, 1081, 274},	// Okular::Document::trUtf8$
    {25, 1082, 146},	// Okular::Document::trUtf8$$
    {25, 1083, 148},	// Okular::Document::trUtf8$$$
    {25, 1097, 201},	// Okular::Document::translatePageAnnotation$##
    {25, 1100, 243},	// Okular::Document::undo
    {25, 1103, 233},	// Okular::Document::unregisterView#
    {25, 1108, 165},	// Okular::Document::viewport
    {25, 1110, 167},	// Okular::Document::visiblePageRects
    {25, 1113, 257},	// Okular::Document::warning$$
    {25, 1114, 156},	// Okular::Document::widget
    {25, 1132, 299},	// Okular::Document::~Document
    {26, 54, 315},	// Okular::DocumentAction::Close
    {26, 79, 300},	// Okular::DocumentAction::DocumentAction$
    {26, 92, 312},	// Okular::DocumentAction::EndPresentation
    {26, 110, 313},	// Okular::DocumentAction::Find
    {26, 132, 314},	// Okular::DocumentAction::GoToPage
    {26, 147, 308},	// Okular::DocumentAction::HistoryBack
    {26, 148, 309},	// Okular::DocumentAction::HistoryForward
    {26, 225, 304},	// Okular::DocumentAction::PageFirst
    {26, 226, 307},	// Okular::DocumentAction::PageLast
    {26, 227, 306},	// Okular::DocumentAction::PageNext
    {26, 229, 305},	// Okular::DocumentAction::PagePrev
    {26, 246, 311},	// Okular::DocumentAction::Presentation
    {26, 258, 310},	// Okular::DocumentAction::Quit
    {26, 357, 302},	// Okular::DocumentAction::actionTip
    {26, 358, 301},	// Okular::DocumentAction::actionType
    {26, 483, 303},	// Okular::DocumentAction::documentActionType
    {26, 1133, 316},	// Okular::DocumentAction::~DocumentAction
    {27, 31, 328},	// Okular::DocumentInfo::Author
    {27, 49, 336},	// Okular::DocumentInfo::Category
    {27, 62, 331},	// Okular::DocumentInfo::Copyright
    {27, 64, 333},	// Okular::DocumentInfo::CreationDate
    {27, 65, 329},	// Okular::DocumentInfo::Creator
    {27, 71, 327},	// Okular::DocumentInfo::Description
    {27, 80, 317},	// Okular::DocumentInfo::DocumentInfo
    {27, 81, 323},	// Okular::DocumentInfo::DocumentInfo#
    {27, 82, 339},	// Okular::DocumentInfo::DocumentSize
    {27, 106, 338},	// Okular::DocumentInfo::FilePath
    {27, 178, 337},	// Okular::DocumentInfo::Keywords
    {27, 185, 335},	// Okular::DocumentInfo::MimeType
    {27, 186, 334},	// Okular::DocumentInfo::ModificationDate
    {27, 237, 332},	// Okular::DocumentInfo::Pages
    {27, 238, 340},	// Okular::DocumentInfo::PagesSize
    {27, 256, 330},	// Okular::DocumentInfo::Producer
    {27, 302, 326},	// Okular::DocumentInfo::Subject
    {27, 326, 325},	// Okular::DocumentInfo::Title
    {27, 560, 320},	// Okular::DocumentInfo::get$
    {27, 563, 321},	// Okular::DocumentInfo::getKeyString$
    {27, 565, 322},	// Okular::DocumentInfo::getKeyTitle$
    {27, 829, -1},	// Okular::DocumentInfo::set$$
    {27, 830, 318},	// Okular::DocumentInfo::set$$$
    {27, 1134, 341},	// Okular::DocumentInfo::~DocumentInfo
    {29, 83, 342},	// Okular::DocumentSynopsis::DocumentSynopsis
    {29, 84, -22},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {29, 1135, 345},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {30, 50, 356},	// Okular::DocumentViewport::Center
    {30, 85, 353},	// Okular::DocumentViewport::DocumentViewport
    {30, 86, 352},	// Okular::DocumentViewport::DocumentViewport#
    {30, 87, -4},	// Okular::DocumentViewport::DocumentViewport$
    {30, 328, 357},	// Okular::DocumentViewport::TopLeft
    {30, 627, 349},	// Okular::DocumentViewport::isValid
    {30, 697, 351},	// Okular::DocumentViewport::operator<#
    {30, 701, 350},	// Okular::DocumentViewport::operator==#
    {30, 730, 354},	// Okular::DocumentViewport::pageNumber
    {30, 951, 355},	// Okular::DocumentViewport::setPageNumber$
    {30, 1073, 348},	// Okular::DocumentViewport::toString
    {30, 1136, 358},	// Okular::DocumentViewport::~DocumentViewport
    {31, 89, 359},	// Okular::EmbeddedFile::EmbeddedFile
    {31, 90, 366},	// Okular::EmbeddedFile::EmbeddedFile#
    {31, 449, 365},	// Okular::EmbeddedFile::creationDate
    {31, 458, 362},	// Okular::EmbeddedFile::data
    {31, 467, 361},	// Okular::EmbeddedFile::description
    {31, 665, 364},	// Okular::EmbeddedFile::modificationDate
    {31, 670, 360},	// Okular::EmbeddedFile::name
    {31, 1030, 363},	// Okular::EmbeddedFile::size
    {31, 1137, 367},	// Okular::EmbeddedFile::~EmbeddedFile
    {32, 95, 368},	// Okular::ExecuteAction::ExecuteAction$$
    {32, 357, 370},	// Okular::ExecuteAction::actionTip
    {32, 358, 369},	// Okular::ExecuteAction::actionType
    {32, 520, 371},	// Okular::ExecuteAction::fileName
    {32, 741, 372},	// Okular::ExecuteAction::parameters
    {32, 1138, 373},	// Okular::ExecuteAction::~ExecuteAction
    {33, 96, 374},	// Okular::ExportFormat::ExportFormat
    {33, 97, 377},	// Okular::ExportFormat::ExportFormat#
    {33, 98, 376},	// Okular::ExportFormat::ExportFormat#$?
    {33, 99, 375},	// Okular::ExportFormat::ExportFormat$?
    {33, 142, 389},	// Okular::ExportFormat::HTML
    {33, 217, 388},	// Okular::ExportFormat::OpenDocumentText
    {33, 221, 387},	// Okular::ExportFormat::PDF
    {33, 241, 386},	// Okular::ExportFormat::PlainText
    {33, 467, 379},	// Okular::ExportFormat::description
    {33, 589, 381},	// Okular::ExportFormat::icon
    {33, 614, 382},	// Okular::ExportFormat::isNull
    {33, 663, 380},	// Okular::ExportFormat::mimeType
    {33, 693, 385},	// Okular::ExportFormat::operator!=#
    {33, 699, 378},	// Okular::ExportFormat::operator=#
    {33, 701, 384},	// Okular::ExportFormat::operator==#
    {33, 1039, 383},	// Okular::ExportFormat::standardFormat$
    {33, 1139, 390},	// Okular::ExportFormat::~ExportFormat
    {34, 103, 391},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {34, 104, 392},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {34, 507, 395},	// Okular::FileAttachmentAnnotation::embeddedFile
    {34, 519, 393},	// Okular::FileAttachmentAnnotation::fileIconName
    {34, 876, 396},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {34, 883, 394},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {34, 1046, 398},	// Okular::FileAttachmentAnnotation::store##
    {34, 1050, 397},	// Okular::FileAttachmentAnnotation::subType
    {34, 1140, 399},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {35, 27, 434},	// Okular::FilePrinter::ApplicationDeletesFiles
    {35, 28, 436},	// Okular::FilePrinter::ApplicationSelectsPages
    {35, 107, 429},	// Okular::FilePrinter::FilePrinter
    {35, 108, 430},	// Okular::FilePrinter::FilePrinter#
    {35, 303, 435},	// Okular::FilePrinter::SystemDeletesFiles
    {35, 304, 437},	// Okular::FilePrinter::SystemSelectsPages
    {35, 446, 415},	// Okular::FilePrinter::copies#$
    {35, 450, 407},	// Okular::FilePrinter::cupsAvailable
    {35, 452, 419},	// Okular::FilePrinter::cupsOptions#$
    {35, 461, 417},	// Okular::FilePrinter::deleteFile#$$
    {35, 470, 414},	// Okular::FilePrinter::destination#$
    {35, 472, 411},	// Okular::FilePrinter::detectCupsConfig
    {35, 473, 410},	// Okular::FilePrinter::detectCupsService
    {35, 481, 412},	// Okular::FilePrinter::doPrintFiles#?$$$$
    {35, 630, 416},	// Okular::FilePrinter::jobname#$
    {35, 656, 421},	// Okular::FilePrinter::mediaPageSize#
    {35, 658, 422},	// Okular::FilePrinter::mediaPaperSource#
    {35, 707, 426},	// Okular::FilePrinter::optionCollateCopies#
    {35, 709, 428},	// Okular::FilePrinter::optionCupsProperties#
    {35, 711, 424},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {35, 713, 420},	// Okular::FilePrinter::optionMedia#
    {35, 715, 423},	// Okular::FilePrinter::optionOrientation#$
    {35, 717, 427},	// Okular::FilePrinter::optionPageMargins#
    {35, 719, 425},	// Okular::FilePrinter::optionPageOrder#
    {35, 726, 401},	// Okular::FilePrinter::pageList#$$?
    {35, 727, 402},	// Okular::FilePrinter::pageList#$?
    {35, 729, 404},	// Okular::FilePrinter::pageListToPageRange?
    {35, 732, 403},	// Okular::FilePrinter::pageRange#$?
    {35, 739, 418},	// Okular::FilePrinter::pages#$$$$
    {35, 742, 406},	// Okular::FilePrinter::pdf2psAvailable
    {35, 750, 413},	// Okular::FilePrinter::printArguments#$$$$$$
    {35, 753, 409},	// Okular::FilePrinter::printError$
    {35, 755, 431},	// Okular::FilePrinter::printFile#$$
    {35, 756, 432},	// Okular::FilePrinter::printFile#$$$
    {35, 757, 433},	// Okular::FilePrinter::printFile#$$$$
    {35, 758, 400},	// Okular::FilePrinter::printFile#$$$$$
    {35, 769, 405},	// Okular::FilePrinter::ps2pdfAvailable
    {35, 771, 408},	// Okular::FilePrinter::psPaperSize#
    {35, 1141, 438},	// Okular::FilePrinter::~FilePrinter
    {36, 40, 466},	// Okular::FontInfo::CIDTrueType
    {36, 41, 467},	// Okular::FontInfo::CIDTrueTypeOT
    {36, 42, 463},	// Okular::FontInfo::CIDType0
    {36, 43, 464},	// Okular::FontInfo::CIDType0C
    {36, 44, 465},	// Okular::FontInfo::CIDType0COT
    {36, 91, 473},	// Okular::FontInfo::EmbeddedSubset
    {36, 114, 439},	// Okular::FontInfo::FontInfo
    {36, 115, 440},	// Okular::FontInfo::FontInfo#
    {36, 125, 474},	// Okular::FontInfo::FullyEmbedded
    {36, 209, 472},	// Okular::FontInfo::NotEmbedded
    {36, 305, 470},	// Okular::FontInfo::TeXFontMetric
    {36, 306, 471},	// Okular::FontInfo::TeXFreeTypeHandled
    {36, 307, 468},	// Okular::FontInfo::TeXPK
    {36, 308, 469},	// Okular::FontInfo::TeXVirtual
    {36, 329, 461},	// Okular::FontInfo::TrueType
    {36, 330, 462},	// Okular::FontInfo::TrueTypeOT
    {36, 331, 457},	// Okular::FontInfo::Type1
    {36, 332, 458},	// Okular::FontInfo::Type1C
    {36, 333, 459},	// Okular::FontInfo::Type1COT
    {36, 334, 460},	// Okular::FontInfo::Type3
    {36, 339, 456},	// Okular::FontInfo::Unknown
    {36, 402, 449},	// Okular::FontInfo::canBeExtracted
    {36, 506, 445},	// Okular::FontInfo::embedType
    {36, 518, 447},	// Okular::FontInfo::file
    {36, 670, 441},	// Okular::FontInfo::name
    {36, 671, 452},	// Okular::FontInfo::nativeId
    {36, 693, 455},	// Okular::FontInfo::operator!=#
    {36, 699, 453},	// Okular::FontInfo::operator=#
    {36, 701, 454},	// Okular::FontInfo::operator==#
    {36, 852, 450},	// Okular::FontInfo::setCanBeExtracted$
    {36, 874, 446},	// Okular::FontInfo::setEmbedType$
    {36, 881, 448},	// Okular::FontInfo::setFile$
    {36, 936, 442},	// Okular::FontInfo::setName$
    {36, 938, 451},	// Okular::FontInfo::setNativeId#
    {36, 1001, 444},	// Okular::FontInfo::setType$
    {36, 1098, 443},	// Okular::FontInfo::type
    {36, 1142, 475},	// Okular::FontInfo::~FontInfo
    {37, 116, 488},	// Okular::FormField::FormButton
    {37, 117, 490},	// Okular::FormField::FormChoice
    {37, 119, 484},	// Okular::FormField::FormField#
    {37, 123, 491},	// Okular::FormField::FormSignature
    {37, 124, 489},	// Okular::FormField::FormText
    {37, 359, 483},	// Okular::FormField::activationAction
    {37, 457, -31},	// Okular::FormField::d_func
    {37, 590, 478},	// Okular::FormField::id
    {37, 617, 481},	// Okular::FormField::isReadOnly
    {37, 628, 482},	// Okular::FormField::isVisible
    {37, 670, 479},	// Okular::FormField::name
    {37, 780, 477},	// Okular::FormField::rect
    {37, 832, 487},	// Okular::FormField::setActivationAction#
    {37, 1098, 476},	// Okular::FormField::type
    {37, 1099, 480},	// Okular::FormField::uiName
    {37, 1143, 492},	// Okular::FormField::~FormField
    {38, 52, 500},	// Okular::FormFieldButton::CheckBox
    {38, 120, 498},	// Okular::FormFieldButton::FormFieldButton
    {38, 257, 499},	// Okular::FormFieldButton::Push
    {38, 261, 501},	// Okular::FormFieldButton::Radio
    {38, 399, 493},	// Okular::FormFieldButton::buttonType
    {38, 423, 494},	// Okular::FormFieldButton::caption
    {38, 983, 496},	// Okular::FormFieldButton::setState$
    {38, 1025, 497},	// Okular::FormFieldButton::siblings
    {38, 1041, 495},	// Okular::FormFieldButton::state
    {38, 1144, 502},	// Okular::FormFieldButton::~FormFieldButton
    {39, 58, 514},	// Okular::FormFieldChoice::ComboBox
    {39, 121, 513},	// Okular::FormFieldChoice::FormFieldChoice
    {39, 182, 515},	// Okular::FormFieldChoice::ListBox
    {39, 404, 512},	// Okular::FormFieldChoice::canBeSpellChecked
    {39, 428, 503},	// Okular::FormFieldChoice::choiceType
    {39, 429, 504},	// Okular::FormFieldChoice::choices
    {39, 453, 507},	// Okular::FormFieldChoice::currentChoices
    {39, 495, 509},	// Okular::FormFieldChoice::editChoice
    {39, 610, 505},	// Okular::FormFieldChoice::isEditable
    {39, 669, 506},	// Okular::FormFieldChoice::multiSelect
    {39, 863, 508},	// Okular::FormFieldChoice::setCurrentChoices?
    {39, 872, 510},	// Okular::FormFieldChoice::setEditChoice$
    {39, 1060, 511},	// Okular::FormFieldChoice::textAlignment
    {39, 1145, 516},	// Okular::FormFieldChoice::~FormFieldChoice
    {41, 109, 528},	// Okular::FormFieldText::FileSelect
    {41, 122, 525},	// Okular::FormFieldText::FormFieldText
    {41, 188, 527},	// Okular::FormFieldText::Multiline
    {41, 200, 526},	// Okular::FormFieldText::Normal
    {41, 404, 524},	// Okular::FormFieldText::canBeSpellChecked
    {41, 616, 520},	// Okular::FormFieldText::isPassword
    {41, 619, 521},	// Okular::FormFieldText::isRichText
    {41, 654, 522},	// Okular::FormFieldText::maximumLength
    {41, 985, 519},	// Okular::FormFieldText::setText$
    {41, 1057, 518},	// Okular::FormFieldText::text
    {41, 1060, 523},	// Okular::FormFieldText::textAlignment
    {41, 1069, 517},	// Okular::FormFieldText::textType
    {41, 1146, 529},	// Okular::FormFieldText::~FormFieldText
    {42, 105, 597},	// Okular::Generator::FileConversionPrintError
    {42, 114, 586},	// Okular::Generator::FontInfo
    {42, 127, 575},	// Okular::Generator::Generator##?
    {42, 128, 537},	// Okular::Generator::Generator#?
    {42, 157, 601},	// Okular::Generator::InvalidPrinterStatePrintError
    {42, 191, 604},	// Okular::Generator::NoBinaryToPrintError
    {42, 194, 603},	// Okular::Generator::NoFileToPrintError
    {42, 197, 594},	// Okular::Generator::NoPrintError
    {42, 199, 592},	// Okular::Generator::None
    {42, 233, 587},	// Okular::Generator::PageSizes
    {42, 242, 593},	// Okular::Generator::Points
    {42, 250, 588},	// Okular::Generator::PrintNative
    {42, 251, 589},	// Okular::Generator::PrintPostscript
    {42, 252, 590},	// Okular::Generator::PrintToFile
    {42, 253, 600},	// Okular::Generator::PrintToFilePrintError
    {42, 254, 598},	// Okular::Generator::PrintingProcessCrashPrintError
    {42, 255, 599},	// Okular::Generator::PrintingProcessStartPrintError
    {42, 263, 585},	// Okular::Generator::ReadRawData
    {42, 309, 596},	// Okular::Generator::TemporaryFileOpenPrintError
    {42, 318, 584},	// Okular::Generator::TextExtraction
    {42, 321, 583},	// Okular::Generator::Threaded
    {42, 325, 591},	// Okular::Generator::TiledRendering
    {42, 336, 602},	// Okular::Generator::UnableToFindFilePrintError
    {42, 340, 595},	// Okular::Generator::UnknownPrintError
    {42, 407, 541},	// Okular::Generator::canGeneratePixmap
    {42, 408, 543},	// Okular::Generator::canGenerateTextPage
    {42, 431, 540},	// Okular::Generator::closeDocument
    {42, 457, -34},	// Okular::Generator::d_func
    {42, 479, 564},	// Okular::Generator::doCloseDocument
    {42, 482, 567},	// Okular::Generator::document
    {42, 486, 581},	// Okular::Generator::documentMetaData$
    {42, 487, 569},	// Okular::Generator::documentMetaData$#
    {42, 494, 573},	// Okular::Generator::dynamicSourceReference$$$
    {42, 508, 548},	// Okular::Generator::embeddedFiles
    {42, 510, 559},	// Okular::Generator::error$$
    {42, 513, 556},	// Okular::Generator::exportFormats
    {42, 515, 557},	// Okular::Generator::exportTo$#
    {42, 535, 547},	// Okular::Generator::fontsForPage$
    {42, 548, 545},	// Okular::Generator::generateDocumentInfo
    {42, 549, 546},	// Okular::Generator::generateDocumentSynopsis
    {42, 551, 542},	// Okular::Generator::generatePixmap#
    {42, 553, 544},	// Okular::Generator::generateTextPage#
    {42, 571, 558},	// Okular::Generator::hasFeature$
    {42, 592, 565},	// Okular::Generator::image#
    {42, 604, 550},	// Okular::Generator::isAllowed$
    {42, 646, 538},	// Okular::Generator::loadDocument$?
    {42, 648, 539},	// Okular::Generator::loadDocumentFromData#?
    {42, 661, 555},	// Okular::Generator::metaData$#
    {42, 662, 530},	// Okular::Generator::metaObject
    {42, 676, 561},	// Okular::Generator::notice$$
    {42, 734, 553},	// Okular::Generator::pageSizeChanged##
    {42, 737, 552},	// Okular::Generator::pageSizes
    {42, 740, 549},	// Okular::Generator::pagesSizeMetric
    {42, 748, 554},	// Okular::Generator::print#
    {42, 752, 574},	// Okular::Generator::printError
    {42, 773, 536},	// Okular::Generator::qt_metacall$$?
    {42, 775, 531},	// Okular::Generator::qt_metacast$
    {42, 796, 572},	// Okular::Generator::requestFontData##
    {42, 810, 551},	// Okular::Generator::rotationChanged$$
    {42, 878, 580},	// Okular::Generator::setFeature$
    {42, 879, 568},	// Okular::Generator::setFeature$$
    {42, 1027, 562},	// Okular::Generator::signalPixmapRequestDone#
    {42, 1029, 563},	// Okular::Generator::signalTextGenerationDone##
    {42, 1043, 582},	// Okular::Generator::staticMetaObject
    {42, 1066, 566},	// Okular::Generator::textPage#
    {42, 1077, 578},	// Okular::Generator::tr$
    {42, 1078, 532},	// Okular::Generator::tr$$
    {42, 1079, 534},	// Okular::Generator::tr$$$
    {42, 1081, 579},	// Okular::Generator::trUtf8$
    {42, 1082, 533},	// Okular::Generator::trUtf8$$
    {42, 1083, 535},	// Okular::Generator::trUtf8$$$
    {42, 1105, 571},	// Okular::Generator::updatePageBoundingBox$#
    {42, 1107, 570},	// Okular::Generator::userMutex
    {42, 1113, 560},	// Okular::Generator::warning$$
    {42, 1147, 605},	// Okular::Generator::~Generator
    {44, 129, 606},	// Okular::GeomAnnotation::GeomAnnotation
    {44, 130, 607},	// Okular::GeomAnnotation::GeomAnnotation#
    {44, 154, 615},	// Okular::GeomAnnotation::InscribedCircle
    {44, 155, 614},	// Okular::GeomAnnotation::InscribedSquare
    {44, 555, 611},	// Okular::GeomAnnotation::geometricalInnerColor
    {44, 556, 609},	// Okular::GeomAnnotation::geometricalType
    {44, 889, 610},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {44, 891, 608},	// Okular::GeomAnnotation::setGeometricalType$
    {44, 1046, 613},	// Okular::GeomAnnotation::store##
    {44, 1050, 612},	// Okular::GeomAnnotation::subType
    {44, 1148, 616},	// Okular::GeomAnnotation::~GeomAnnotation
    {45, 137, 617},	// Okular::GotoAction::GotoAction$#
    {45, 138, 618},	// Okular::GotoAction::GotoAction$$
    {45, 357, 620},	// Okular::GotoAction::actionTip
    {45, 358, 619},	// Okular::GotoAction::actionType
    {45, 468, 623},	// Okular::GotoAction::destViewport
    {45, 471, 624},	// Okular::GotoAction::destinationName
    {45, 520, 622},	// Okular::GotoAction::fileName
    {45, 611, 621},	// Okular::GotoAction::isExternal
    {45, 1149, 625},	// Okular::GotoAction::~GotoAction
    {46, 140, 627},	// Okular::GuiInterface::GuiInterface
    {46, 141, 628},	// Okular::GuiInterface::GuiInterface#
    {46, 568, 626},	// Okular::GuiInterface::guiClient
    {46, 1150, 629},	// Okular::GuiInterface::~GuiInterface
    {47, 144, 637},	// Okular::HighlightAnnotation::Highlight
    {47, 145, 630},	// Okular::HighlightAnnotation::HighlightAnnotation
    {47, 146, 631},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {47, 296, 638},	// Okular::HighlightAnnotation::Squiggly
    {47, 301, 640},	// Okular::HighlightAnnotation::StrikeOut
    {47, 338, 639},	// Okular::HighlightAnnotation::Underline
    {47, 585, 634},	// Okular::HighlightAnnotation::highlightQuads
    {47, 586, 633},	// Okular::HighlightAnnotation::highlightType
    {47, 893, 632},	// Okular::HighlightAnnotation::setHighlightType$
    {47, 1046, 636},	// Okular::HighlightAnnotation::store##
    {47, 1050, 635},	// Okular::HighlightAnnotation::subType
    {47, 1151, 641},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {49, 152, 642},	// Okular::InkAnnotation::InkAnnotation
    {49, 153, 643},	// Okular::InkAnnotation::InkAnnotation#
    {49, 595, 645},	// Okular::InkAnnotation::inkPaths
    {49, 895, 644},	// Okular::InkAnnotation::setInkPaths?
    {49, 1046, 648},	// Okular::InkAnnotation::store##
    {49, 1050, 647},	// Okular::InkAnnotation::subType
    {49, 1089, 646},	// Okular::InkAnnotation::transformedInkPaths
    {49, 1152, 649},	// Okular::InkAnnotation::~InkAnnotation
    {50, 29, 684},	// Okular::LineAnnotation::Arrow
    {50, 39, 679},	// Okular::LineAnnotation::Butt
    {50, 53, 674},	// Okular::LineAnnotation::Circle
    {50, 55, 677},	// Okular::LineAnnotation::ClosedArrow
    {50, 72, 675},	// Okular::LineAnnotation::Diamond
    {50, 73, 685},	// Okular::LineAnnotation::Dimension
    {50, 179, 650},	// Okular::LineAnnotation::LineAnnotation
    {50, 180, 651},	// Okular::LineAnnotation::LineAnnotation#
    {50, 199, 678},	// Okular::LineAnnotation::None
    {50, 216, 676},	// Okular::LineAnnotation::OpenArrow
    {50, 243, 686},	// Okular::LineAnnotation::PolygonCloud
    {50, 259, 681},	// Okular::LineAnnotation::RClosedArrow
    {50, 260, 680},	// Okular::LineAnnotation::ROpenArrow
    {50, 278, 682},	// Okular::LineAnnotation::Slash
    {50, 295, 673},	// Okular::LineAnnotation::Square
    {50, 339, 683},	// Okular::LineAnnotation::Unknown
    {50, 633, 660},	// Okular::LineAnnotation::lineClosed
    {50, 634, 658},	// Okular::LineAnnotation::lineEndStyle
    {50, 635, 662},	// Okular::LineAnnotation::lineInnerColor
    {50, 636, 670},	// Okular::LineAnnotation::lineIntent
    {50, 637, 666},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {50, 638, 664},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {50, 639, 653},	// Okular::LineAnnotation::linePoints
    {50, 640, 656},	// Okular::LineAnnotation::lineStartStyle
    {50, 909, 659},	// Okular::LineAnnotation::setLineClosed$
    {50, 911, 657},	// Okular::LineAnnotation::setLineEndStyle$
    {50, 913, 661},	// Okular::LineAnnotation::setLineInnerColor#
    {50, 915, 669},	// Okular::LineAnnotation::setLineIntent$
    {50, 917, 665},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {50, 919, 663},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {50, 921, 652},	// Okular::LineAnnotation::setLinePoints?
    {50, 923, 655},	// Okular::LineAnnotation::setLineStartStyle$
    {50, 971, 667},	// Okular::LineAnnotation::setShowCaption$
    {50, 1024, 668},	// Okular::LineAnnotation::showCaption
    {50, 1046, 672},	// Okular::LineAnnotation::store##
    {50, 1050, 671},	// Okular::LineAnnotation::subType
    {50, 1092, 654},	// Okular::LineAnnotation::transformedLinePoints
    {50, 1153, 687},	// Okular::LineAnnotation::~LineAnnotation
    {52, 201, 688},	// Okular::NormalizedPoint::NormalizedPoint
    {52, 202, 695},	// Okular::NormalizedPoint::NormalizedPoint#
    {52, 203, 689},	// Okular::NormalizedPoint::NormalizedPoint$$
    {52, 204, 690},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {52, 477, 693},	// Okular::NormalizedPoint::distanceSqr$$$$
    {52, 478, 694},	// Okular::NormalizedPoint::distanceSqr$$$$##
    {52, 699, 691},	// Okular::NormalizedPoint::operator=#
    {52, 1016, 697},	// Okular::NormalizedPoint::setX$
    {52, 1020, 699},	// Okular::NormalizedPoint::setY$
    {52, 1085, 692},	// Okular::NormalizedPoint::transform#
    {52, 1122, 696},	// Okular::NormalizedPoint::x
    {52, 1124, 698},	// Okular::NormalizedPoint::y
    {52, 1154, 700},	// Okular::NormalizedPoint::~NormalizedPoint
    {53, 205, 701},	// Okular::NormalizedRect::NormalizedRect
    {53, 206, 704},	// Okular::NormalizedRect::NormalizedRect#
    {53, 207, 703},	// Okular::NormalizedRect::NormalizedRect#$$
    {53, 208, 702},	// Okular::NormalizedRect::NormalizedRect$$$$
    {53, 394, 733},	// Okular::NormalizedRect::bottom
    {53, 425, 718},	// Okular::NormalizedRect::center
    {53, 437, 708},	// Okular::NormalizedRect::contains$$
    {53, 477, 726},	// Okular::NormalizedRect::distanceSqr$$$$
    {53, 546, 706},	// Okular::NormalizedRect::fromQRectF#
    {53, 558, 712},	// Okular::NormalizedRect::geometry$$
    {53, 601, -7},	// Okular::NormalizedRect::intersects#
    {53, 602, 711},	// Okular::NormalizedRect::intersects$$$$
    {53, 606, 720},	// Okular::NormalizedRect::isBottom#
    {53, 608, 722},	// Okular::NormalizedRect::isBottomOrLevel#
    {53, 613, 724},	// Okular::NormalizedRect::isLeft#
    {53, 614, 707},	// Okular::NormalizedRect::isNull
    {53, 621, 725},	// Okular::NormalizedRect::isRight#
    {53, 624, 721},	// Okular::NormalizedRect::isTop#
    {53, 626, 723},	// Okular::NormalizedRect::isTopOrLevel#
    {53, 632, 727},	// Okular::NormalizedRect::left
    {53, 695, 716},	// Okular::NormalizedRect::operator&#
    {53, 699, 705},	// Okular::NormalizedRect::operator=#
    {53, 701, 717},	// Okular::NormalizedRect::operator==#
    {53, 703, 714},	// Okular::NormalizedRect::operator|#
    {53, 705, 715},	// Okular::NormalizedRect::operator|=#
    {53, 805, 731},	// Okular::NormalizedRect::right
    {53, 812, 713},	// Okular::NormalizedRect::roundedGeometry$$
    {53, 846, 734},	// Okular::NormalizedRect::setBottom$
    {53, 907, 728},	// Okular::NormalizedRect::setLeft$
    {53, 963, 732},	// Okular::NormalizedRect::setRight$
    {53, 997, 730},	// Okular::NormalizedRect::setTop$
    {53, 1074, 729},	// Okular::NormalizedRect::top
    {53, 1085, 719},	// Okular::NormalizedRect::transform#
    {53, 1155, 735},	// Okular::NormalizedRect::~NormalizedRect
    {54, 16, 755},	// Okular::ObjectRect::Action
    {54, 150, 756},	// Okular::ObjectRect::Image
    {54, 210, 757},	// Okular::ObjectRect::OAnnotation
    {54, 212, 746},	// Okular::ObjectRect::ObjectRect#
    {54, 213, 738},	// Okular::ObjectRect::ObjectRect#$$
    {54, 214, 737},	// Okular::ObjectRect::ObjectRect#$$$
    {54, 215, 736},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {54, 287, 758},	// Okular::ObjectRect::SourceRef
    {54, 397, 742},	// Okular::ObjectRect::boundingRect$$
    {54, 438, 743},	// Okular::ObjectRect::contains$$$$
    {54, 477, 745},	// Okular::ObjectRect::distanceSqr$$$$
    {54, 650, 749},	// Okular::ObjectRect::m_object
    {54, 651, 747},	// Okular::ObjectRect::m_objectType
    {54, 652, 751},	// Okular::ObjectRect::m_path
    {54, 653, 753},	// Okular::ObjectRect::m_transformedPath
    {54, 678, 740},	// Okular::ObjectRect::object
    {54, 683, 739},	// Okular::ObjectRect::objectType
    {54, 782, 741},	// Okular::ObjectRect::region
    {54, 926, 750},	// Okular::ObjectRect::setM_object$
    {54, 928, 748},	// Okular::ObjectRect::setM_objectType$
    {54, 930, 752},	// Okular::ObjectRect::setM_path#
    {54, 932, 754},	// Okular::ObjectRect::setM_transformedPath#
    {54, 1085, 744},	// Okular::ObjectRect::transform#
    {54, 1156, 759},	// Okular::ObjectRect::~ObjectRect
    {55, 56, 821},	// Okular::Page::Closing
    {55, 218, 820},	// Okular::Page::Opening
    {55, 223, 760},	// Okular::Page::Page$$$$
    {55, 363, 800},	// Okular::Page::addAnnotation#
    {55, 384, 787},	// Okular::Page::annotations
    {55, 395, 768},	// Okular::Page::boundingBox
    {55, 459, 809},	// Okular::Page::deleteAnnotations
    {55, 463, 805},	// Okular::Page::deletePixmap#
    {55, 464, 806},	// Okular::Page::deletePixmaps
    {55, 465, 807},	// Okular::Page::deleteRects
    {55, 466, 808},	// Okular::Page::deleteSourceReferences
    {55, 492, 795},	// Okular::Page::duration
    {55, 526, 816},	// Okular::Page::findText$$$$
    {55, 527, 777},	// Okular::Page::findText$$$$#
    {55, 540, 789},	// Okular::Page::formFields
    {55, 569, 776},	// Okular::Page::hasAnnotations
    {55, 572, 815},	// Okular::Page::hasHighlights
    {55, 573, 774},	// Okular::Page::hasHighlights$
    {55, 575, 773},	// Okular::Page::hasObjectRect$$$$
    {55, 577, 812},	// Okular::Page::hasPixmap#
    {55, 578, 813},	// Okular::Page::hasPixmap#$
    {55, 579, 814},	// Okular::Page::hasPixmap#$$
    {55, 580, 771},	// Okular::Page::hasPixmap#$$#
    {55, 581, 772},	// Okular::Page::hasTextPage
    {55, 582, 810},	// Okular::Page::hasTilesManager
    {55, 583, 775},	// Okular::Page::hasTransition
    {55, 584, 766},	// Okular::Page::height
    {55, 609, 769},	// Okular::Page::isBoundingBoxKnown
    {55, 631, 797},	// Okular::Page::label
    {55, 673, 785},	// Okular::Page::nearestObjectRect$$$$$$
    {55, 677, 761},	// Okular::Page::number
    {55, 680, 783},	// Okular::Page::objectRect$$$$$
    {55, 682, 784},	// Okular::Page::objectRects$$$$$
    {55, 720, 762},	// Okular::Page::orientation
    {55, 724, 788},	// Okular::Page::pageAction$
    {55, 777, 767},	// Okular::Page::ratio
    {55, 786, 801},	// Okular::Page::removeAnnotation#
    {55, 808, 763},	// Okular::Page::rotation
    {55, 848, 770},	// Okular::Page::setBoundingBox#
    {55, 870, 794},	// Okular::Page::setDuration$
    {55, 887, 804},	// Okular::Page::setFormFields?
    {55, 905, 796},	// Okular::Page::setLabel$
    {55, 947, 792},	// Okular::Page::setObjectRects?
    {55, 949, 803},	// Okular::Page::setPageAction$#
    {55, 957, 819},	// Okular::Page::setPixmap##
    {55, 958, 790},	// Okular::Page::setPixmap###
    {55, 979, 793},	// Okular::Page::setSourceReferences?
    {55, 991, 791},	// Okular::Page::setTextPage#
    {55, 999, 802},	// Okular::Page::setTransition#
    {55, 1057, 817},	// Okular::Page::text
    {55, 1058, 778},	// Okular::Page::text#
    {55, 1059, 779},	// Okular::Page::text#$
    {55, 1062, 782},	// Okular::Page::textArea#
    {55, 1067, 798},	// Okular::Page::textSelection
    {55, 1068, 799},	// Okular::Page::textSelectionColor
    {55, 1071, 811},	// Okular::Page::tilesAt#
    {55, 1075, 764},	// Okular::Page::totalOrientation
    {55, 1093, 786},	// Okular::Page::transition
    {55, 1115, 765},	// Okular::Page::width
    {55, 1118, 818},	// Okular::Page::wordAt#
    {55, 1119, 781},	// Okular::Page::wordAt#$
    {55, 1121, 780},	// Okular::Page::words#$
    {55, 1157, 822},	// Okular::Page::~Page
    {56, 230, 823},	// Okular::PageSize::PageSize
    {56, 231, 825},	// Okular::PageSize::PageSize#
    {56, 232, 824},	// Okular::PageSize::PageSize$$$
    {56, 584, 827},	// Okular::PageSize::height
    {56, 614, 829},	// Okular::PageSize::isNull
    {56, 670, 828},	// Okular::PageSize::name
    {56, 693, 832},	// Okular::PageSize::operator!=#
    {56, 699, 830},	// Okular::PageSize::operator=#
    {56, 701, 831},	// Okular::PageSize::operator==#
    {56, 1115, 826},	// Okular::PageSize::width
    {56, 1158, 833},	// Okular::PageSize::~PageSize
    {57, 34, 854},	// Okular::PageTransition::Blinds
    {57, 35, 855},	// Okular::PageTransition::Box
    {57, 63, 861},	// Okular::PageTransition::Cover
    {57, 74, 857},	// Okular::PageTransition::Dissolve
    {57, 102, 863},	// Okular::PageTransition::Fade
    {57, 113, 859},	// Okular::PageTransition::Fly
    {57, 131, 858},	// Okular::PageTransition::Glitter
    {57, 149, 864},	// Okular::PageTransition::Horizontal
    {57, 158, 866},	// Okular::PageTransition::Inward
    {57, 219, 867},	// Okular::PageTransition::Outward
    {57, 234, 851},	// Okular::PageTransition::PageTransition
    {57, 235, 835},	// Okular::PageTransition::PageTransition#
    {57, 236, 834},	// Okular::PageTransition::PageTransition$
    {57, 257, 860},	// Okular::PageTransition::Push
    {57, 269, 852},	// Okular::PageTransition::Replace
    {57, 294, 853},	// Okular::PageTransition::Split
    {57, 337, 862},	// Okular::PageTransition::Uncover
    {57, 344, 865},	// Okular::PageTransition::Vertical
    {57, 349, 856},	// Okular::PageTransition::Wipe
    {57, 376, 839},	// Okular::PageTransition::alignment
    {57, 378, 841},	// Okular::PageTransition::angle
    {57, 474, 840},	// Okular::PageTransition::direction
    {57, 492, 838},	// Okular::PageTransition::duration
    {57, 618, 843},	// Okular::PageTransition::isRectangular
    {57, 699, 836},	// Okular::PageTransition::operator=#
    {57, 820, 842},	// Okular::PageTransition::scale
    {57, 834, 846},	// Okular::PageTransition::setAlignment$
    {57, 836, 848},	// Okular::PageTransition::setAngle$
    {57, 866, 847},	// Okular::PageTransition::setDirection$
    {57, 870, 845},	// Okular::PageTransition::setDuration$
    {57, 903, 850},	// Okular::PageTransition::setIsRectangular$
    {57, 969, 849},	// Okular::PageTransition::setScale$
    {57, 1001, 844},	// Okular::PageTransition::setType$
    {57, 1098, 837},	// Okular::PageTransition::type
    {57, 1159, 868},	// Okular::PageTransition::~PageTransition
    {58, 30, 883},	// Okular::PixmapRequest::Asynchronous
    {58, 193, 882},	// Okular::PixmapRequest::NoFeature
    {58, 240, 869},	// Okular::PixmapRequest::PixmapRequest#$$$$$
    {58, 245, 884},	// Okular::PixmapRequest::Preload
    {58, 388, 875},	// Okular::PixmapRequest::asynchronous
    {58, 584, 873},	// Okular::PixmapRequest::height
    {58, 622, 879},	// Okular::PixmapRequest::isTile
    {58, 674, 881},	// Okular::PixmapRequest::normalizedRect
    {58, 684, 870},	// Okular::PixmapRequest::observer
    {58, 721, 877},	// Okular::PixmapRequest::page
    {58, 730, 871},	// Okular::PixmapRequest::pageNumber
    {58, 744, 876},	// Okular::PixmapRequest::preload
    {58, 760, 874},	// Okular::PixmapRequest::priority
    {58, 945, 880},	// Okular::PixmapRequest::setNormalizedRect#
    {58, 995, 878},	// Okular::PixmapRequest::setTile$
    {58, 1115, 872},	// Okular::PixmapRequest::width
    {58, 1160, 885},	// Okular::PixmapRequest::~PixmapRequest
    {59, 248, 887},	// Okular::PrintInterface::PrintInterface
    {59, 249, 888},	// Okular::PrintInterface::PrintInterface#
    {59, 751, 886},	// Okular::PrintInterface::printConfigurationWidget
    {59, 1161, 889},	// Okular::PrintInterface::~PrintInterface
    {60, 264, 890},	// Okular::RegularAreaRect::RegularAreaRect
    {60, 265, 891},	// Okular::RegularAreaRect::RegularAreaRect#
    {60, 699, 892},	// Okular::RegularAreaRect::operator=#
    {60, 1162, 893},	// Okular::RegularAreaRect::~RegularAreaRect
    {62, 275, 894},	// Okular::ScriptAction::ScriptAction$$
    {62, 357, 896},	// Okular::ScriptAction::actionTip
    {62, 358, 895},	// Okular::ScriptAction::actionType
    {62, 821, 898},	// Okular::ScriptAction::script
    {62, 822, 897},	// Okular::ScriptAction::scriptType
    {62, 1163, 899},	// Okular::ScriptAction::~ScriptAction
    {63, 6, 918},	// Okular::Sound::ALaw
    {63, 88, 914},	// Okular::Sound::Embedded
    {63, 100, 913},	// Okular::Sound::External
    {63, 262, 915},	// Okular::Sound::Raw
    {63, 277, 916},	// Okular::Sound::Signed
    {63, 281, 900},	// Okular::Sound::Sound#
    {63, 282, 901},	// Okular::Sound::Sound$
    {63, 390, 910},	// Okular::Sound::bitsPerSample
    {63, 426, 908},	// Okular::Sound::channels
    {63, 458, 904},	// Okular::Sound::data
    {63, 668, 917},	// Okular::Sound::muLaw
    {63, 814, 906},	// Okular::Sound::samplingRate
    {63, 844, 909},	// Okular::Sound::setBitsPerSample$
    {63, 856, 907},	// Okular::Sound::setChannels$
    {63, 967, 905},	// Okular::Sound::setSamplingRate$
    {63, 975, 911},	// Okular::Sound::setSoundEncoding$
    {63, 1032, 912},	// Okular::Sound::soundEncoding
    {63, 1034, 902},	// Okular::Sound::soundType
    {63, 1106, 903},	// Okular::Sound::url
    {63, 1164, 919},	// Okular::Sound::~Sound
    {64, 284, 920},	// Okular::SoundAction::SoundAction$$$$#
    {64, 357, 922},	// Okular::SoundAction::actionTip
    {64, 358, 921},	// Okular::SoundAction::actionType
    {64, 664, 926},	// Okular::SoundAction::mix
    {64, 794, 925},	// Okular::SoundAction::repeat
    {64, 1031, 927},	// Okular::SoundAction::sound
    {64, 1056, 924},	// Okular::SoundAction::synchronous
    {64, 1111, 923},	// Okular::SoundAction::volume
    {64, 1165, 928},	// Okular::SoundAction::~SoundAction
    {65, 285, 929},	// Okular::SoundAnnotation::SoundAnnotation
    {65, 286, 930},	// Okular::SoundAnnotation::SoundAnnotation#
    {65, 973, 934},	// Okular::SoundAnnotation::setSound#
    {65, 977, 932},	// Okular::SoundAnnotation::setSoundIconName$
    {65, 1031, 933},	// Okular::SoundAnnotation::sound
    {65, 1033, 931},	// Okular::SoundAnnotation::soundIconName
    {65, 1046, 936},	// Okular::SoundAnnotation::store##
    {65, 1050, 935},	// Okular::SoundAnnotation::subType
    {65, 1166, 937},	// Okular::SoundAnnotation::~SoundAnnotation
    {66, 289, 941},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {66, 290, 938},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {66, 397, 939},	// Okular::SourceRefObjectRect::boundingRect$$
    {66, 438, 940},	// Okular::SourceRefObjectRect::contains$$$$
    {66, 1167, 942},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {67, 292, 947},	// Okular::SourceReference::SourceReference$$
    {67, 293, 943},	// Okular::SourceReference::SourceReference$$$
    {67, 432, 946},	// Okular::SourceReference::column
    {67, 520, 944},	// Okular::SourceReference::fileName
    {67, 813, 945},	// Okular::SourceReference::row
    {67, 1168, 948},	// Okular::SourceReference::~SourceReference
    {68, 297, 949},	// Okular::StampAnnotation::StampAnnotation
    {68, 298, 950},	// Okular::StampAnnotation::StampAnnotation#
    {68, 981, 951},	// Okular::StampAnnotation::setStampIconName$
    {68, 1037, 952},	// Okular::StampAnnotation::stampIconName
    {68, 1046, 954},	// Okular::StampAnnotation::store##
    {68, 1050, 953},	// Okular::StampAnnotation::subType
    {68, 1169, 955},	// Okular::StampAnnotation::~StampAnnotation
    {69, 45, 976},	// Okular::TextAnnotation::Callout
    {69, 151, 974},	// Okular::TextAnnotation::InPlace
    {69, 181, 973},	// Okular::TextAnnotation::Linked
    {69, 310, 956},	// Okular::TextAnnotation::TextAnnotation
    {69, 311, 957},	// Okular::TextAnnotation::TextAnnotation#
    {69, 335, 977},	// Okular::TextAnnotation::TypeWriter
    {69, 339, 975},	// Okular::TextAnnotation::Unknown
    {69, 596, 965},	// Okular::TextAnnotation::inplaceAlignment
    {69, 598, 967},	// Okular::TextAnnotation::inplaceCallout$
    {69, 599, 970},	// Okular::TextAnnotation::inplaceIntent
    {69, 897, 964},	// Okular::TextAnnotation::setInplaceAlignment$
    {69, 899, 966},	// Okular::TextAnnotation::setInplaceCallout#$
    {69, 901, 969},	// Okular::TextAnnotation::setInplaceIntent$
    {69, 987, 962},	// Okular::TextAnnotation::setTextFont#
    {69, 989, 960},	// Okular::TextAnnotation::setTextIcon$
    {69, 993, 958},	// Okular::TextAnnotation::setTextType$
    {69, 1046, 972},	// Okular::TextAnnotation::store##
    {69, 1050, 971},	// Okular::TextAnnotation::subType
    {69, 1063, 963},	// Okular::TextAnnotation::textFont
    {69, 1064, 961},	// Okular::TextAnnotation::textIcon
    {69, 1069, 959},	// Okular::TextAnnotation::textType
    {69, 1091, 968},	// Okular::TextAnnotation::transformedInplaceCallout$
    {69, 1170, 978},	// Okular::TextAnnotation::~TextAnnotation
    {70, 312, 986},	// Okular::TextDocumentConverter::TextDocumentConverter
    {70, 361, 988},	// Okular::TextDocumentConverter::addAction#$$
    {70, 364, 989},	// Okular::TextDocumentConverter::addAnnotation#$$
    {70, 366, 992},	// Okular::TextDocumentConverter::addMetaData$$
    {70, 367, 991},	// Okular::TextDocumentConverter::addMetaData$$$
    {70, 375, 990},	// Okular::TextDocumentConverter::addTitle$$#
    {70, 401, 996},	// Okular::TextDocumentConverter::calculateViewport##
    {70, 444, 987},	// Okular::TextDocumentConverter::convert$
    {70, 510, 993},	// Okular::TextDocumentConverter::error$$
    {70, 554, 997},	// Okular::TextDocumentConverter::generator
    {70, 662, 979},	// Okular::TextDocumentConverter::metaObject
    {70, 676, 995},	// Okular::TextDocumentConverter::notice$$
    {70, 773, 985},	// Okular::TextDocumentConverter::qt_metacall$$?
    {70, 775, 980},	// Okular::TextDocumentConverter::qt_metacast$
    {70, 1043, 1000},	// Okular::TextDocumentConverter::staticMetaObject
    {70, 1077, 998},	// Okular::TextDocumentConverter::tr$
    {70, 1078, 981},	// Okular::TextDocumentConverter::tr$$
    {70, 1079, 983},	// Okular::TextDocumentConverter::tr$$$
    {70, 1081, 999},	// Okular::TextDocumentConverter::trUtf8$
    {70, 1082, 982},	// Okular::TextDocumentConverter::trUtf8$$
    {70, 1083, 984},	// Okular::TextDocumentConverter::trUtf8$$$
    {70, 1113, 994},	// Okular::TextDocumentConverter::warning$$
    {70, 1171, 1001},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {71, 314, 1010},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {71, 315, 1009},	// Okular::TextDocumentGenerator::TextDocumentGenerator#$#?
    {71, 373, 1018},	// Okular::TextDocumentGenerator::addPages#
    {71, 407, 1012},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {71, 479, 1022},	// Okular::TextDocumentGenerator::doCloseDocument
    {71, 513, 1015},	// Okular::TextDocumentGenerator::exportFormats
    {71, 515, 1016},	// Okular::TextDocumentGenerator::exportTo$#
    {71, 547, 1019},	// Okular::TextDocumentGenerator::generalSettings
    {71, 548, 1020},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {71, 549, 1021},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {71, 551, 1013},	// Okular::TextDocumentGenerator::generatePixmap#
    {71, 646, 1011},	// Okular::TextDocumentGenerator::loadDocument$?
    {71, 662, 1002},	// Okular::TextDocumentGenerator::metaObject
    {71, 748, 1014},	// Okular::TextDocumentGenerator::print#
    {71, 773, 1008},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {71, 775, 1003},	// Okular::TextDocumentGenerator::qt_metacast$
    {71, 793, 1017},	// Okular::TextDocumentGenerator::reparseConfig
    {71, 1043, 1026},	// Okular::TextDocumentGenerator::staticMetaObject
    {71, 1066, 1023},	// Okular::TextDocumentGenerator::textPage#
    {71, 1077, 1024},	// Okular::TextDocumentGenerator::tr$
    {71, 1078, 1004},	// Okular::TextDocumentGenerator::tr$$
    {71, 1079, 1006},	// Okular::TextDocumentGenerator::tr$$$
    {71, 1081, 1025},	// Okular::TextDocumentGenerator::trUtf8$
    {71, 1082, 1005},	// Okular::TextDocumentGenerator::trUtf8$$
    {71, 1083, 1007},	// Okular::TextDocumentGenerator::trUtf8$$$
    {71, 1172, 1027},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {73, 317, 1028},	// Okular::TextEntity::TextEntity$#
    {73, 387, 1030},	// Okular::TextEntity::area
    {73, 1057, 1029},	// Okular::TextEntity::text
    {73, 1087, 1031},	// Okular::TextEntity::transformedArea#
    {73, 1173, 1032},	// Okular::TextEntity::~TextEntity
    {74, 26, 1044},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {74, 51, 1045},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {74, 319, 1033},	// Okular::TextPage::TextPage
    {74, 320, 1034},	// Okular::TextPage::TextPage?
    {74, 386, 1035},	// Okular::TextPage::append$#
    {74, 527, 1036},	// Okular::TextPage::findText$$$$#
    {74, 1057, 1042},	// Okular::TextPage::text
    {74, 1058, 1037},	// Okular::TextPage::text#
    {74, 1059, 1038},	// Okular::TextPage::text#$
    {74, 1062, 1041},	// Okular::TextPage::textArea#
    {74, 1118, 1043},	// Okular::TextPage::wordAt#
    {74, 1119, 1040},	// Okular::TextPage::wordAt#$
    {74, 1121, 1039},	// Okular::TextPage::words#$
    {74, 1174, 1046},	// Okular::TextPage::~TextPage
    {76, 323, 1048},	// Okular::Tile::Tile#
    {76, 324, 1047},	// Okular::Tile::Tile##$
    {76, 627, 1051},	// Okular::Tile::isValid
    {76, 699, 1052},	// Okular::Tile::operator=#
    {76, 743, 1050},	// Okular::Tile::pixmap
    {76, 780, 1049},	// Okular::Tile::rect
    {76, 1175, 1053},	// Okular::Tile::~Tile
    {77, 342, 1060},	// Okular::Utils::Utils
    {77, 343, 1061},	// Okular::Utils::Utils#
    {77, 490, 1055},	// Okular::Utils::dpiX
    {77, 491, 1056},	// Okular::Utils::dpiY
    {77, 594, 1059},	// Okular::Utils::imageBoundingBox#
    {77, 778, 1057},	// Okular::Utils::realDpiX
    {77, 779, 1058},	// Okular::Utils::realDpiY
    {77, 807, 1054},	// Okular::Utils::rotateRect#$$$
    {77, 1176, 1062},	// Okular::Utils::~Utils
    {79, 345, 1065},	// Okular::VisiblePageRect::VisiblePageRect
    {79, 346, 1064},	// Okular::VisiblePageRect::VisiblePageRect#
    {79, 347, 1066},	// Okular::VisiblePageRect::VisiblePageRect$
    {79, 348, 1063},	// Okular::VisiblePageRect::VisiblePageRect$#
    {79, 730, 1067},	// Okular::VisiblePageRect::pageNumber
    {79, 780, 1069},	// Okular::VisiblePageRect::rect
    {79, 951, 1068},	// Okular::VisiblePageRect::setPageNumber$
    {79, 961, 1070},	// Okular::VisiblePageRect::setRect#
    {79, 1177, 1071},	// Okular::VisiblePageRect::~VisiblePageRect
    {91, 159, 1095},	// QGlobalSpace::KST_CTimeInfo
    {91, 160, 1088},	// QGlobalSpace::KST_KCustom
    {91, 161, 1082},	// QGlobalSpace::KST_KDEDesktopMimeType
    {91, 162, 1081},	// QGlobalSpace::KST_KFolderMimeType
    {91, 163, 1092},	// QGlobalSpace::KST_KImageIO
    {91, 164, 1085},	// QGlobalSpace::KST_KImageIOFormat
    {91, 165, 1080},	// QGlobalSpace::KST_KMimeType
    {91, 166, 1083},	// QGlobalSpace::KST_KMimeTypeEntry
    {91, 167, 1094},	// QGlobalSpace::KST_KMimeTypeFactory
    {91, 168, 1086},	// QGlobalSpace::KST_KProtocolInfo
    {91, 169, 1093},	// QGlobalSpace::KST_KProtocolInfoFactory
    {91, 170, 1078},	// QGlobalSpace::KST_KService
    {91, 171, 1089},	// QGlobalSpace::KST_KServiceFactory
    {91, 172, 1084},	// QGlobalSpace::KST_KServiceGroup
    {91, 173, 1091},	// QGlobalSpace::KST_KServiceGroupFactory
    {91, 174, 1087},	// QGlobalSpace::KST_KServiceSeparator
    {91, 175, 1079},	// QGlobalSpace::KST_KServiceType
    {91, 176, 1090},	// QGlobalSpace::KST_KServiceTypeFactory
    {91, 177, 1077},	// QGlobalSpace::KST_KSycocaEntry
    {91, 350, 1072},	// QGlobalSpace::_IEEE_
    {91, 351, 1076},	// QGlobalSpace::_ISOC_
    {91, 352, 1075},	// QGlobalSpace::_POSIX_
    {91, 353, 1073},	// QGlobalSpace::_SVID_
    {91, 354, 1074},	// QGlobalSpace::_XOPEN_
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 110,
        __smokeokular::methods, 1103,
        __smokeokular::methodMaps, 1069,
        __smokeokular::methodNames, 1177,
        __smokeokular::types, 376,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
